searchNodes=[{"ref":"Chunky.html","title":"Chunky","type":"module","doc":"Extended chunking and enumeration manipulations. Functions Chunky.permutations/1 - Generate all permutations of a set of values, with no duplication Chunky.permutations_size/1 - Calculate the size of a permutation result from Chunky.permutations/1 Chunky.combinations/2 - Generate combinations of a set of values, with no duplication Chunky.combinations_size/2 - Calculate the size of a combanation result from Chunky.combinations/2 Chunky.chunk_length/2 - Chunk an enumerable into a list of specific length chunks For combinations and permutations, it can be helpful compare the differences: UnorderedOrdered No ReplacementChunky.combinations/2Chunky.permutations/1 Replacementunsupportedunsupported And expected outputs from simple string parameters: UnorderedOrdered No Replacement[ &quot;abc&quot;, &quot;abd&quot;, &quot;acd&quot;, &quot;bcd&quot;][&quot;abc&quot;, &quot;acb&quot;, &quot;bac&quot;, &quot;bca&quot;, &quot;cab&quot;, &quot;cba&quot;] Replacement"},{"ref":"Chunky.html#chunk_length/2","title":"Chunky.chunk_length/2","type":"function","doc":"Break a set of values into smaller chunks of a specific length. iex&gt; Chunky.chunk_length([1, 2, 3, 4, 5, 6], 3) [ [1, 2, 3], [4, 5, 6]] iex&gt; Chunky.chunk_length(&quot;Sphinx of black quartz, judge my vow&quot;, 5) [&quot;Sphin&quot;, &quot;x of &quot;, &quot;black&quot;, &quot; quar&quot;, &quot;tz, j&quot;, &quot;udge &quot;, &quot;my vo&quot;, &quot;w&quot;] The type of the set of values can be: a list of any type, like [1, 2, 3] or [:a, :b, %{}] a string or binary, like &quot;abcd&quot; a tuple, like {1, :b, &quot;asdf&quot;} a range, like 1..4 or 3..-1 When a set is chunked, the resulting list will contain values in the shape of the original; a chunked list will contains lists, chunked tuples will contain tuples, chunked strings will contain strings. The only exception is ranges, which will result in lists. Supported Chunking Types The following types of sets are supported for chunking: List A list with just about any kind of value can be chunked, and the result will be a list of lists: iex&gt; Chunky.chunk_length([1, 2, 3, 4, 5, 6, 7, 8], 3) [ [1, 2, 3], [4, 5, 6], [7, 8]] iex&gt; Chunky.chunk_length([:a, 1, :b, 2, :c, 3, :d, 4, :e, 5, :f, 6], 4) [ [:a, 1, :b, 2], [:c, 3, :d, 4], [:e, 5, :f, 6]] Collections, types, and other values can be in the chunked set: iex&gt; Chunky.chunk_length([~D(2019-12-05), %{a: &quot;foo&quot;}, {:tup, :le}, true], 2) [ [~D(2019-12-05), %{a: &quot;foo&quot;}], [{:tup, :le}, true]] String/Binary Chunked strings are returned as a list of strings. Chunky works with full UTF-8, including multi-code point glyphs like emojis and variable emojis. iex&gt; Chunky.chunk_length(&quot;abcdefghijklmnop&quot;, 7) [ &quot;abcdefg&quot;, &quot;hijklmn&quot;, &quot;op&quot;] iex&gt; Chunky.chunk_length(&quot;😀🤷🏽‍♀️⭐️℉😐&quot;, 3) [&quot;😀🤷🏽‍♀️⭐️&quot;, &quot;℉😐&quot;] Tuple When tuples are chunked, the resulting list will also contain tuples. As part of the chunking process the original tuple is converted to a list, before the final values are re-assembled into tuples. Like working with lists, tuples can contain any values: iex&gt; Chunky.chunk_length({:a, :b, :c, :d, :e, :f, :g, :h, :i, :j}, 4) [ {:a, :b, :c, :d}, {:e, :f, :g, :h}, {:i, :j}] iex&gt; Chunky.chunk_length({:task, ~D(2019-12-09), %{value: &quot;timer&quot;}, true, 123, &quot;foo&quot;}, 2) [ {:task, ~D(2019-12-09)}, {%{value: &quot;timer&quot;}, true}, {123, &quot;foo&quot;}] Ranges Ranges can be used to create chunks over ordered lists of numbers. Before chunking the provided range is converted into a list. Increasing or decreasing ranges are supported. iex&gt; Chunky.chunk_length(1..20, 5) [ [1, 2, 3, 4, 5], [6, 7, 8, 9, 10], [11, 12, 13, 14, 15], [16, 17, 18, 19, 20]] iex&gt; Chunky.chunk_length(10..-10, 3) [ [10, 9, 8], [7, 6, 5], [4, 3, 2], [1, 0, -1], [-2, -3, -4], [-5, -6, -7], [-8, -9, -10] ]"},{"ref":"Chunky.html#combinations/2","title":"Chunky.combinations/2","type":"function","doc":"Generate the set of combinations from a set of values. The type of the set of values can be: a list of any type, like [1, 2, 3] or [:a, :b, %{}] a string or binary, like &quot;abcd&quot; a tuple, like {1, :b, &quot;asdf&quot;} a range, like 1..4 or 3..-1 This is not lazy generated, so a combination of a large set may take awhile. Keep in mind that the total number of combinations of k length for a set of n values is: n! ---------- k!(n - k)! When a set is generated, the resulting list will contain values in the shape of the original; a combination from a list will contains lists, combination from tuples will contain tuples, combination from strings will contain strings. The only exception is ranges, which will result in lists. So, for instance, a combination from a string will result in a list of strings. Chunky should handle Unicode just fine: iex&gt; Chunky.combinations(&quot;😀★⍵😀🤷🏽‍♀️&quot;, 3) [&quot;😀★⍵&quot;, &quot;😀★😀&quot;, &quot;😀★🤷🏽‍♀️&quot;, &quot;😀⍵😀&quot;, &quot;😀⍵🤷🏽‍♀️&quot;, &quot;😀😀🤷🏽‍♀️&quot;, &quot;★⍵😀&quot;, &quot;★⍵🤷🏽‍♀️&quot;, &quot;★😀🤷🏽‍♀️&quot;, &quot;⍵😀🤷🏽‍♀️&quot;] Supported Combinations The Chunky.combinations/2 function can work with sets of any size (memory and time permitting). Examples that follow usually use sets with a length of 2 or 3 for ease of documentation. The following types of sets are supported as combinations: List A list with just about any kind of value can be permuted, and the result will be a list of lists: iex&gt; Chunky.combinations([1, 5, 7, 11, 27], 3) [[1, 5, 7], [1, 5, 11], [1, 5, 27], [1, 7, 11], [1, 7, 27], [1, 11, 27], [5, 7, 11], [5, 7, 27], [5, 11, 27], [7, 11, 27]] iex&gt; Chunky.combinations([:a, &quot;b&quot;, 3, 26.2], 2) [ [:a, &quot;b&quot;], [:a, 3], [:a, 26.2], [&quot;b&quot;, 3], [&quot;b&quot;, 26.2], [3, 26.2] ] Collections, types, and other values can be combined as well: iex&gt; Chunky.combinations([~D(2019-12-05), %{a: &quot;foo&quot;}, {:tup, :le}, [1, 2, 3]], 3) [ [~D[2019-12-05], %{a: &quot;foo&quot;}, {:tup, :le}], [~D[2019-12-05], %{a: &quot;foo&quot;}, [1, 2, 3]], [~D[2019-12-05], {:tup, :le}, [1, 2, 3]], [%{a: &quot;foo&quot;}, {:tup, :le}, [1, 2, 3]] ] String/Binary Combined strings are returned as a list of strings. Chunky works with full UTF-8, including multi-code point glyphs like emojis and variable emojis. iex&gt; Chunky.combinations(&quot;abcd&quot;, 2) [&quot;ab&quot;, &quot;ac&quot;, &quot;ad&quot;, &quot;bc&quot;, &quot;bd&quot;, &quot;cd&quot;] iex&gt; Chunky.combinations(&quot;😀🤷🏽‍♀️⭐️🧁🦴&quot;, 3) [ &quot;😀🤷🏽‍♀️⭐️&quot;, &quot;😀🤷🏽‍♀️🧁&quot;, &quot;😀🤷🏽‍♀️🦴&quot;, &quot;😀⭐️🧁&quot;, &quot;😀⭐️🦴&quot;, &quot;😀🧁🦴&quot;, &quot;🤷🏽‍♀️⭐️🧁&quot;, &quot;🤷🏽‍♀️⭐️🦴&quot;, &quot;🤷🏽‍♀️🧁🦴&quot;, &quot;⭐️🧁🦴&quot; ] Tuple When tuples are combined, the resulting list will also contain tuples. As part of the combination the original tuple is converted to a list, before the final values of the combination are re-assembled into tuples. Like working with lists, tuples can contain any values: iex&gt; Chunky.combinations({:a, :b, :c, :d, :e}, 3) [ {:a, :b, :c}, {:a, :b, :d}, {:a, :b, :e}, {:a, :c, :d}, {:a, :c, :e}, {:a, :d, :e}, {:b, :c, :d}, {:b, :c, :e}, {:b, :d, :e}, {:c, :d, :e} ] iex&gt; Chunky.combinations({:task, ~D(2019-12-09), %{value: &quot;timer&quot;}, [1, 2, 3]}, 3) [ {:task, ~D[2019-12-09], %{value: &quot;timer&quot;}}, {:task, ~D[2019-12-09], [1, 2, 3]}, {:task, %{value: &quot;timer&quot;}, [1, 2, 3]}, {~D[2019-12-09], %{value: &quot;timer&quot;}, [1, 2, 3]} ] Ranges Ranges can be used to create combinations over ordered lists of numbers. Before combination the provided range is converted into a list. Increasing or decreasing ranges are supported. iex&gt; Chunky.combinations(3..6, 2) [ [3, 4], [3, 5], [3, 6], [4, 5], [4, 6], [5, 6] ] iex&gt; Chunky.combinations(-10..-13, 3) [ [-10, -11, -12], [-10, -11, -13], [-10, -12, -13], [-11, -12, -13] ] Examples iex&gt; Chunky.combinations([4, 3, 4, 3], 3) [[4, 3, 4], [4, 3, 3], [4, 4, 3], [3, 4, 3]] iex&gt; Chunky.combinations(&quot;abcd&quot;, 2) [&quot;ab&quot;, &quot;ac&quot;, &quot;ad&quot;, &quot;bc&quot;, &quot;bd&quot;, &quot;cd&quot;] iex&gt; Chunky.combinations({:a, :b, :c}, 1) [ {:a}, {:b}, {:c}] iex&gt; Chunky.combinations(2..-2, 3) [ [2, 1, 0], [2, 1, -1], [2, 1, -2], [2, 0, -1], [2, 0, -2], [2, -1, -2], [1, 0, -1], [1, 0, -2], [1, -1, -2], [0, -1, -2]]"},{"ref":"Chunky.html#combinations_size/2","title":"Chunky.combinations_size/2","type":"function","doc":"Compute the size of the result of calling Chunky.combinations/2, without actually running a combination. This is particularly useful, as the number of results of a combination of k elements from a set of n, grows as: n! ---------- k!(n - k)! This can be a quick sanity check before running a permutation. Works with all of the parameters that work with Chunky.permutations/1, as a drop in replacement. Uses a closed form factorial to calculate the size of the list that would result from an indentical call to Chunky.permutations/1: iex&gt; Chunky.combinations_size(&quot;abcd&quot;, 2) 6 iex&gt; Chunky.combinations_size(1..10, 4) 210 iex&gt; Chunky.combinations_size({:a, :b, :c, :d, :e, :f, :g}, 5) 21 iex&gt; Chunky.combinations_size([2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30], 3) 455 See Chunky.combinations/2 for more details on supported types."},{"ref":"Chunky.html#permutations/1","title":"Chunky.permutations/1","type":"function","doc":"Generate all of the permutations, without duplicates, from a set of values. The type of the set of values can be: a list of any type, like [1, 2, 3] or [:a, :b, %{}] a string or binary, like &quot;abcd&quot; a tuple, like {1, :b, &quot;asdf&quot;} a range, like 1..4 or 3..-1 This is not lazy generated, so a permutation of a large set may take awhile. Keep in mind that the total number of permutations for a set of N values is N!. When a set is permuted, the resulting list will contain values in the shape of the original; a permuted list will contains lists, permuted tuples will contain tuples, permuted strings will contain strings. The only exception is ranges, which will result in lists. So, for instance, a permuted string will result in a list of strings. Chunky should handle Unicode just fine: iex&gt; Chunky.permutations(&quot;😀★⍵&quot;) [&quot;😀★⍵&quot;, &quot;😀⍵★&quot;, &quot;★😀⍵&quot;, &quot;★⍵😀&quot;, &quot;⍵😀★&quot;, &quot;⍵★😀&quot;] Supported Permutations The Chunky.permutations/1 function can work with sets of any size (memory and time permitting). Examples that follow usually use sets with a length of 3 for ease of documentation. The following types of sets are supported as permutations: List A list with just about any kind of value can be permuted, and the result will be a list of lists: iex&gt; Chunky.permutations([1, 2, 3]) [[1, 2, 3], [1, 3, 2], [2, 1, 3], [2, 3, 1], [3, 1, 2], [3, 2, 1]] iex&gt; Chunky.permutations([:a, &quot;b&quot;, 3]) [ [:a, &quot;b&quot;, 3], [:a, 3, &quot;b&quot;], [&quot;b&quot;, :a, 3], [&quot;b&quot;, 3, :a], [3, :a, &quot;b&quot;], [3, &quot;b&quot;, :a] ] Collections, types, and other values can be permuted as well: iex&gt; Chunky.permutations([~D(2019-12-05), %{a: &quot;foo&quot;}, {:tup, :le}]) [ [~D[2019-12-05], %{a: &quot;foo&quot;}, {:tup, :le}], [~D[2019-12-05], {:tup, :le}, %{a: &quot;foo&quot;}], [%{a: &quot;foo&quot;}, ~D[2019-12-05], {:tup, :le}], [%{a: &quot;foo&quot;}, {:tup, :le}, ~D[2019-12-05]], [{:tup, :le}, ~D[2019-12-05], %{a: &quot;foo&quot;}], [{:tup, :le}, %{a: &quot;foo&quot;}, ~D[2019-12-05]] ] String/Binary Permuted strings are returned as a list of strings. Chunky works with full UTF-8, including multi-code point glyphs like emojis and variable emojis. iex&gt; Chunky.permutations(&quot;abc&quot;) [&quot;abc&quot;, &quot;acb&quot;, &quot;bac&quot;, &quot;bca&quot;, &quot;cab&quot;, &quot;cba&quot;] iex&gt; Chunky.permutations(&quot;😀🤷🏽‍♀️⭐️&quot;) [ &quot;😀🤷🏽‍♀️⭐️&quot;, &quot;😀⭐️🤷🏽‍♀️&quot;, &quot;🤷🏽‍♀️😀⭐️&quot;, &quot;🤷🏽‍♀️⭐️😀&quot;, &quot;⭐️😀🤷🏽‍♀️&quot;, &quot;⭐️🤷🏽‍♀️😀&quot; ] Tuple When tuples are permuted, the resulting list will also contain tuples. As part of the permutation the original tuple is converted to a list, before the final values of the permutation are re-assembled into tuples. Like working with lists, tuples can contain any values: iex&gt; Chunky.permutations({:a, :b, :c}) [ {:a, :b, :c}, {:a, :c, :b}, {:b, :a, :c}, {:b, :c, :a}, {:c, :a, :b}, {:c, :b, :a} ] iex&gt; Chunky.permutations({:task, ~D(2019-12-09), %{value: &quot;timer&quot;}}) [ {:task, ~D[2019-12-09], %{value: &quot;timer&quot;}}, {:task, %{value: &quot;timer&quot;}, ~D[2019-12-09]}, {~D[2019-12-09], :task, %{value: &quot;timer&quot;}}, {~D[2019-12-09], %{value: &quot;timer&quot;}, :task}, {%{value: &quot;timer&quot;}, :task, ~D[2019-12-09]}, {%{value: &quot;timer&quot;}, ~D[2019-12-09], :task} ] Ranges Ranges can be used to create permutations over ordered lists of numbers. Before permutation the provided range is converted into a list. Increasing or decreasing ranges are supported. iex&gt; Chunky.permutations(3..5) [[3, 4, 5], [3, 5, 4], [4, 3, 5], [4, 5, 3], [5, 3, 4], [5, 4, 3]] iex&gt; Chunky.permutations(-10..-12) [ [-10, -11, -12], [-10, -12, -11], [-11, -10, -12], [-11, -12, -10], [-12, -10, -11], [-12, -11, -10] ] Examples iex&gt; Chunky.permutations([1, 2, 3]) [[1, 2, 3], [1, 3, 2], [2, 1, 3], [2, 3, 1], [3, 1, 2], [3, 2, 1]] iex&gt; Chunky.permutations(&quot;abc&quot;) [&quot;abc&quot;, &quot;acb&quot;, &quot;bac&quot;, &quot;bca&quot;, &quot;cab&quot;, &quot;cba&quot;] iex&gt; Chunky.permutations({:a, :b, :c}) [ {:a, :b, :c}, {:a, :c, :b}, {:b, :a, :c}, {:b, :c, :a}, {:c, :a, :b}, {:c, :b, :a} ] iex&gt; Chunky.permutations(1..-1) [ [1, 0, -1], [1, -1, 0], [0, 1, -1], [0, -1, 1], [-1, 1, 0], [-1, 0, 1]]"},{"ref":"Chunky.html#permutations_size/1","title":"Chunky.permutations_size/1","type":"function","doc":"Compute the size of the result of calling Chunky.permutations/1, without actually running a permutation. The results of a permutation of a set of n items grows at a rate of n!. This can be a quick sanity check before running a permutation. Works with all of the parameters that work with Chunky.permutations/1, as a drop in replacement. Uses a closed form factorial to calculate the size of the list that would result from an indentical call to Chunky.permutations/1: iex&gt; Chunky.permutations_size(&quot;abcd&quot;) 24 iex&gt; Chunky.permutations_size(1..10) 3628800 iex&gt; Chunky.permutations_size({:a, :b, :c, :d, :e, :f, :g}) 5040 iex&gt; Chunky.permutations_size([1, 4, 8, 10, 15, 37, 91, 113, 3345, 8765, 101010, 345678]) 479001600 See Chunky.permutations/1 for more details on supported types."},{"ref":"Chunky.CacheAgent.html","title":"Chunky.CacheAgent","type":"module","doc":"The CacheAgent is a dead simple wrapper of an atom named Agent around a Map. Start an agent for a particular function cache within the current BEAM instance with: iex&gt; CacheAgent.start_link(:function_name) Check for values with has?/2: iex&gt; CacheAgent.has?(:function_name, 3) Get and set values with get/2 and set/3: iex&gt; CacheAgent.set(:function_name, 3, 3235) iex&gt; CacheAgent.get(:function_name, 3) 3235 See Math.partition_count/1 as an example."},{"ref":"Chunky.CacheAgent.html#cache_as/3","title":"Chunky.CacheAgent.cache_as/3","type":"macro","doc":""},{"ref":"Chunky.CacheAgent.html#child_spec/1","title":"Chunky.CacheAgent.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Chunky.CacheAgent.html#get/2","title":"Chunky.CacheAgent.get/2","type":"function","doc":"Retrieve a value from the cache by key."},{"ref":"Chunky.CacheAgent.html#has?/2","title":"Chunky.CacheAgent.has?/2","type":"function","doc":"Check if the cache has a key"},{"ref":"Chunky.CacheAgent.html#put/3","title":"Chunky.CacheAgent.put/3","type":"function","doc":"Store a key/value pair in the cache."},{"ref":"Chunky.CacheAgent.html#start_link/1","title":"Chunky.CacheAgent.start_link/1","type":"function","doc":"Start a cache for a particular atom. Calling multiple times with the same atom will return the original named cache, and isn&#39;t harmful."},{"ref":"Chunky.Fraction.html","title":"Chunky.Fraction","type":"module","doc":"Functions for creating and manipulating fractions. Most functions will work with combinations of Fractions and Integers. All of the fraction functions work with explicit integer numerators and denominators, falling back to returning floating point number only when configured to in special circumstances. Value Coercion A subset of functions for working with fractions will automatically coerce things that look like fractions - any value that can be parsed by some version of new/1. This includes: Existing fractions %Fraction{num: 22, den:7} Integers 14 Floats 1.75 2-tuples {3, 91} Integer as String &quot;4&quot; Float as String &quot;1.35&quot; Fraction as String &quot;2/9&quot; See new/1 for more information about how values are converted to fractions. The following functions support mixed types as parameters, either positionally (like the basic math functions) or as part of a list (aggregate functions): add/3 divide/3 multiply/3 subtract/3 gt?/2 gte?/2 lt?/2 lte?/2 eq?/2 clamp/2 fractionalize/1 max_of/1 max_of/2 min_of/1 min_of/2 min_max_of/1 normalize_all/1 sort/2 sum/1 uniq/2 Creating Fractions Construct fractions from a single integer, tuple of integers, or a pair of integer parameters. new/1 - Create a Fraction from an integer, float, string, or tuple of integers new/2 - Create a Fraction from a numerator and denominator, or a float with options iex&gt; Fraction.new(3) %Fraction{num: 3, den: 1} iex&gt; Fraction.new({22, 7}) %Fraction{num: 22, den: 7} iex&gt; Fraction.new(0.25, conversion: :precision) %Fraction{num: 1, den: 4} iex&gt; Fraction.new(&quot;-33/913&quot;) %Fraction{num: -33, den: 913} iex&gt; Fraction.new(5, 11) %Fraction{num: 5, den: 11} Basic Math Standard math functions that work with two fractions, or a fraction and an integer. Options allow for automatic simplification and control over how certain operations work. add/3 - Add two fractions, or a fraction and a value compatible with new/1 divide/3 - Divide two fractions, or a fraction and a value compatible with new/1 max_of/2 - Find the larger of two fractions, or a fraction and a value compatible with new/1 min_of/2 - Find the smaller of two fractions, or a fraction and value compatible with new/1 multiply/3 - Multiply two fractions, or a fraction and a value compatible with new/1 power/3 - Take a fraction or an integer to the power of a fraction or an integer subtract/3 - Subtract two fractions, or a fraction and a value compatible with new/1 iex&gt; Fraction.new(4, 3) |&gt; Fraction.add(Fraction.new({1, 6})) |&gt; Fraction.power(2) %Fraction{num: 81, den: 36} iex&gt; Fraction.power(8, Fraction.new(1, 3)) %Fraction{num: 2, den: 1} Comparisons Binary comparisons between two fractions or a fraction and an integer. eq?/2 - Equality (==) comparison between two fractions, or a fraction and an integer gt?/2 - Greater than (&gt;) comparison between two fractions, or a fraction and an integer gte?/2 - Greater than or equal (&gt;=) comparison between two fractions, or a fraction and an integer lt?/2 - Less than (&lt;) comparison between two fractions, or a fraction and an integer lte?/2 - Less than or equal (&lt;=) comparison between two fractions, or a fraction and an integer iex&gt; Fraction.gt?(Fraction.new(7, 8), Fraction.new(8, 9)) false iex&gt; Fraction.eq?(3, Fraction.new(27, 9)) true Fraction Manipulation Manipulate the components of individual fractions. components/1 - Get the numerator and denominator of a fraction as a tuple of integers get_remainder/1 - Get fractional remainder after removing all whole values of a fraction get_whole/1 - Get whole value portion of a fraction reciprocal/2 - Inverse or reciprocal of a fraction simplify/1 - Simplify a fraction to it&#39;s reduced form split/1 - Extract the whole value portion and the remainer portion of a fraction as a tuple to_float/2 - Convert a fraction to a floating point value iex&gt; Fraction.new(88, 28) |&gt; Fraction.simplify() |&gt; Fraction.split() {3, %Fraction{num: 1, den: 7}} iex&gt; Fraction.new(22, 7) |&gt; Fraction.to_float(precision: 2) 3.14 Aggregate Functions Work with multiple fractions in aggregate. Most aggregate functions will work with Fractions, or any value that can be converted to a fraction with new/1. clamp/2 - Constrain a list of values to be within a specific range fractionalize/1 - Convert a list of fraction representations (anything that works with new/1) into Fraction structs max_of/1 - Find the largest value in a list of fractions, or literals compatible with new/1 min_of/1 - Find the smallest value in a list of fractions, or literals compatible with new/1 min_max_of/1 - Find the smallest and largest values in a list of fractions or literals compatible with new/1 normalize/2 - Convert two fractions to a common denominator normalize_all/1 - Convert a list of two or more fractions to a common denominator sort/2 - Sort a list of values as fractions sum/2 - Find the sum of a list of fractions uniq/2 - Extract unique fractions from a list of values iex&gt; Fraction.normalize(Fraction.new(22, 7), Fraction.new(4, 3)) { %Fraction{num: 66, den: 21}, %Fraction{num: 28, den: 21} } iex&gt; Fraction.max_of([&quot;3/4&quot;, {4, 5}, 1.5]) %Fraction{num: 15, den: 10} Inspection Inspect the properties of individual fractions. has_whole?/1 - Does a fraction have a whole value component? (i.e. has a total value greater than 1) is_negative?/1 - Is a fraction negative? is_positive?/1 - Is a fraction positive? is_simplified?/1 - Is a fraction in it&#39;s simplified form? is_whole?/1 - Is the fraction an exact whole number? is_zero?/1 - Is the fraction zero? iex&gt; Fraction.new(3, 18) |&gt; is_simplified?() false Integer Math Integer math functions that support fraction functions and manipulations. integer_nth_root?/3 - Determine if an integer has a specific n-th root lcm/1 - Least common multiple of a list of integers lcm/2 - Least common multiple of two integers nth_root/3 - Floating point n-th root of an integer iex&gt; 64 |&gt; Fraction.integer_nth_root?(3) {true, 4} iex&gt; Fraction.lcm([3, 4, 5]) 60 Float Math floats_equal/3 - Determine if two floats are equal, within an error bound"},{"ref":"Chunky.Fraction.html#add/3","title":"Chunky.Fraction.add/3","type":"function","doc":"Add two fractions, or a fraction and a value, and return the (optionally simplified) result. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.add(Fraction.new(1, 2), Fraction.new(-8, 3)) %Fraction{num: -13, den: 6} iex&gt; Fraction.add(Fraction.new(3, 4), Fraction.new(3, 4), simplify: true) %Fraction{num: 3, den: 2} iex&gt; Fraction.add(Fraction.new(1, 3), 5) %Fraction{num: 16, den: 3} iex&gt; Fraction.add(2, Fraction.new(5, 4)) %Fraction{num: 13, den: 4} iex&gt; Fraction.add(&quot;2/3&quot;, Fraction.new(5, 3)) %Fraction{num: 7, den: 3}"},{"ref":"Chunky.Fraction.html#clamp/2","title":"Chunky.Fraction.clamp/2","type":"function","doc":"Constrain a list of values as fraction to only those values within the specified min and max. Values that are not yet Fractions are coerced into fractional values before processing. Supports Type Coercion?: ✅ Options min - Minimum value for constraining value list. Can be any value that is handled by new/1 max - Maximum value for constraining value list. Can be any value that is handled by new/1 min_inclusive - Boolean. Default true. Use inclusive minimum constraint (values &gt;= min), otherwise use exclusive (values &gt; min). max_inclusive - Boolean. Default true. Use inclusive maximum constraint (values &lt;= max), otherwise use exclusive (values &lt; max). Examples iex&gt; Fraction.clamp([&quot;22/7&quot;, &quot;14/7&quot;, &quot;11/7&quot;, &quot;7/7&quot;], min: 1, max: 2, inclusive_max: false) [%Fraction{num: 11, den: 7}, %Fraction{num: 7, den: 7}] iex&gt; Fraction.clamp([&quot;22/7&quot;, &quot;14/7&quot;, &quot;11/7&quot;, &quot;7/7&quot;], min: 1, max: 2, inclusive_min: false) [%Fraction{num: 14, den: 7}, %Fraction{num: 11, den: 7}]"},{"ref":"Chunky.Fraction.html#components/1","title":"Chunky.Fraction.components/1","type":"function","doc":"Extract the numerator and denominator of a fraction as a tuple of values. Examples iex&gt; Fraction.new(1, 37) |&gt; Fraction.components() {1, 37} iex&gt; Fraction.new(0, 3) |&gt; Fraction.components() {0, 3}"},{"ref":"Chunky.Fraction.html#divide/3","title":"Chunky.Fraction.divide/3","type":"function","doc":"Divide two fractions, or a fraction and a value and return the (optionally simplified) result. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.divide(Fraction.new(3, 4), Fraction.new(-7, 2)) %Fraction{num: -6, den: 28} iex&gt; Fraction.divide(Fraction.new(28, 4), 4, simplify: true) %Fraction{num: 7, den: 4} iex&gt; Fraction.divide(60, Fraction.new(7, 12)) %Fraction{num: 720, den: 7} iex&gt; Fraction.divide(Fraction.new(11, 17), &quot;3&quot;) %Fraction{num: 11, den: 51}"},{"ref":"Chunky.Fraction.html#eq?/2","title":"Chunky.Fraction.eq?/2","type":"function","doc":"Compare a fraction with a value or fraction using equals comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.eq?(Fraction.new(7, 9), Fraction.new(3, 5)) false iex&gt; Fraction.eq?(3, Fraction.new(12, 4)) true iex&gt; Fraction.eq?(Fraction.new(-3, 12), -2) false"},{"ref":"Chunky.Fraction.html#floats_equal?/3","title":"Chunky.Fraction.floats_equal?/3","type":"function","doc":"Compare two floating points number using an epsilon error boundary. Example iex&gt; floats_equal?(3.11, 3.1) false iex&gt; floats_equal?(3.11, 3.1, 0.05) true"},{"ref":"Chunky.Fraction.html#fractionalize/1","title":"Chunky.Fraction.fractionalize/1","type":"function","doc":"Take a mixed list of fraction representations %Fraction{}, integer, float, string, etc), and convert all to fractions. This is not a normalization process - the resulting fractions are not guaranteed to share a denominator. Supports Type Coercion?: ✅ Example iex&gt; fractionalize([%Fraction{num: 3, den: 4}, 12, 0.25, &quot;22/7&quot;, &quot;4&quot;]) [%Fraction{num: 3, den: 4}, %Fraction{num: 12, den: 1}, %Fraction{num: 25, den: 100}, %Fraction{num: 22, den: 7}, %Fraction{num: 4, den: 1}]"},{"ref":"Chunky.Fraction.html#get_remainder/1","title":"Chunky.Fraction.get_remainder/1","type":"function","doc":"Get the fractional part left after removing any whole components from the fraction. Example iex&gt; Fraction.new(3, 45) |&gt; Fraction.get_remainder() %Fraction{num: 3, den: 45} iex&gt; Fraction.new(7, 3) |&gt; Fraction.get_remainder() %Fraction{num: 1, den: 3} iex&gt; Fraction.new(-10, 4) |&gt; Fraction.get_remainder() %Fraction{num: -2, den: 4}"},{"ref":"Chunky.Fraction.html#get_whole/1","title":"Chunky.Fraction.get_whole/1","type":"function","doc":"Get the whole component of a fraction. Examples iex&gt; Fraction.new(3, 7) |&gt; Fraction.get_whole() 0 iex&gt; Fraction.new(22, 7) |&gt; Fraction.get_whole() 3 iex&gt; Fraction.new(-10, 2) |&gt; Fraction.get_whole() -5"},{"ref":"Chunky.Fraction.html#gt?/2","title":"Chunky.Fraction.gt?/2","type":"function","doc":"Compare a fraction with a value or fraction using greater than comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.gt?(Fraction.new(7, 9), Fraction.new(3, 5)) true iex&gt; Fraction.gt?(3, Fraction.new(15, 4)) false iex&gt; Fraction.gt?(Fraction.new(-3, 12), -2) true"},{"ref":"Chunky.Fraction.html#gte?/2","title":"Chunky.Fraction.gte?/2","type":"function","doc":"Compare a fraction with a value or fraction using greater than or equal comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.gte?(Fraction.new(3, 9), Fraction.new(1, 3)) true iex&gt; Fraction.gte?(3, Fraction.new(15, 4)) false iex&gt; Fraction.gte?(Fraction.new(-3, 12), -2) true"},{"ref":"Chunky.Fraction.html#has_whole?/1","title":"Chunky.Fraction.has_whole?/1","type":"function","doc":"Determine if a fraction is greater than 1, and has a whole number component. Examples iex&gt; Fraction.new(3, 17) |&gt; Fraction.has_whole?() false iex&gt; Fraction.new(22, 7) |&gt; Fraction.has_whole?() true"},{"ref":"Chunky.Fraction.html#integer_nth_root?/3","title":"Chunky.Fraction.integer_nth_root?/3","type":"function","doc":"Determine if the n-th root of a number is a whole integer. If the result n-th root is within epsilon of a whole integer, we consider the result an integer n-th root. This calcualtion runs the fast converging n-th root at a higher epsilon than it&#39;s configured to use for comparison and testing of the result value. Options epsilon - Float. Default 1.0e-6. Error bounds for calculating float equality. Examples iex&gt; Fraction.integer_nth_root?(27, 3) {true, 3} iex&gt; Fraction.integer_nth_root?(1234, 6) {false, :no_integer_nth_root, 3.2750594908836885}"},{"ref":"Chunky.Fraction.html#is_negative?/1","title":"Chunky.Fraction.is_negative?/1","type":"function","doc":"Determine if a fraction is negative. Examples iex&gt; Fraction.new(-3, 4) |&gt; Fraction.is_negative?() true"},{"ref":"Chunky.Fraction.html#is_positive?/1","title":"Chunky.Fraction.is_positive?/1","type":"function","doc":"Determine if a fraction is positive. Examples iex&gt; Fraction.new(-3, 4) |&gt; Fraction.is_positive?() false"},{"ref":"Chunky.Fraction.html#is_simplified?/1","title":"Chunky.Fraction.is_simplified?/1","type":"function","doc":"Determine if a fraction is in simplified form. Examples iex&gt; Fraction.new(2, 4) |&gt; Fraction.is_simplified?() false iex&gt; Fraction.new(-10, 4) |&gt; Fraction.is_simplified?() false iex&gt; Fraction.new(0, 7) |&gt; Fraction.is_simplified?() false iex&gt; Fraction.new(22, 7) |&gt; Fraction.is_simplified?() true"},{"ref":"Chunky.Fraction.html#is_whole?/1","title":"Chunky.Fraction.is_whole?/1","type":"function","doc":"Determine if a fraction exactly represents a whole number, with no remainder. Examples iex&gt; Fraction.new(5, 3) |&gt; Fraction.is_whole?() false iex&gt; Fraction.new(-22, 11) |&gt; Fraction.is_whole?() true"},{"ref":"Chunky.Fraction.html#is_zero?/1","title":"Chunky.Fraction.is_zero?/1","type":"function","doc":"Does a fraction represent a zero value? Examples iex&gt; Fraction.new(3, 134) |&gt; Fraction.is_zero?() false iex&gt; Fraction.new(0, 34) |&gt; Fraction.is_zero?() true"},{"ref":"Chunky.Fraction.html#lcm/1","title":"Chunky.Fraction.lcm/1","type":"function","doc":"Find the least common multiple of two integers or a list of integers. Example iex&gt; lcm(5, 7) 35 iex&gt; lcm([3, 5, 7, 11, 13, 17]) 255255"},{"ref":"Chunky.Fraction.html#lcm/2","title":"Chunky.Fraction.lcm/2","type":"function","doc":""},{"ref":"Chunky.Fraction.html#lt?/2","title":"Chunky.Fraction.lt?/2","type":"function","doc":"Compare a fraction with a value or fraction using less than comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.lt?(Fraction.new(7, 9), Fraction.new(3, 5)) false iex&gt; Fraction.lt?(3, Fraction.new(15, 4)) true iex&gt; Fraction.lt?(Fraction.new(-3, 12), -2) false"},{"ref":"Chunky.Fraction.html#lte?/2","title":"Chunky.Fraction.lte?/2","type":"function","doc":"Compare a fraction with a value or fraction using less than or equal comparison. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.lte?(Fraction.new(7, 9), Fraction.new(3, 5)) false iex&gt; Fraction.lte?(3, Fraction.new(15, 4)) true iex&gt; Fraction.lte?(Fraction.new(-24, 12), -2) true"},{"ref":"Chunky.Fraction.html#max_of/1","title":"Chunky.Fraction.max_of/1","type":"function","doc":"Return the maximum value in a list of fractions or values. Relative comparisons are calculated based on float converion of fractions. Supports Type Coercion?: ✅ Example iex&gt; Fraction.max_of([ Fraction.new(3, 7), Fraction.new(5, 11), Fraction.new(11, 23)]) %Fraction{num: 11, den: 23}"},{"ref":"Chunky.Fraction.html#max_of/2","title":"Chunky.Fraction.max_of/2","type":"function","doc":"Return the larger of two fractions or values. Supports Type Coercion?: ✅ Example iex&gt; Fraction.max_of( Fraction.new(3, 7), Fraction.new(11, 28) ) %Fraction{num: 3, den: 7} iex&gt; Fraction.max_of(Fraction.new(4, 3), 8.3) %Fraction{num: 83, den: 10}"},{"ref":"Chunky.Fraction.html#min_max_of/1","title":"Chunky.Fraction.min_max_of/1","type":"function","doc":"Return a tuple with the smallest and largest fractions from a list. Supports Type Coercion?: ✅ Example iex&gt; Fraction.min_max_of([ Fraction.new(3, 7), Fraction.new(5, 11), Fraction.new(11, 23)]) { %Fraction{num: 3, den: 7}, %Fraction{num: 11, den: 23} }"},{"ref":"Chunky.Fraction.html#min_of/1","title":"Chunky.Fraction.min_of/1","type":"function","doc":"Find the minimum value in a list of fractions or vaules. Relative comparisons are calculated based on float conversion of fractions. Supports Type Coercion?: ✅ Example iex&gt; Fraction.min_of([ Fraction.new(3, 7), Fraction.new(5, 11), Fraction.new(11, 23)]) %Fraction{num: 3, den: 7}"},{"ref":"Chunky.Fraction.html#min_of/2","title":"Chunky.Fraction.min_of/2","type":"function","doc":"Return the smaller of two fractions, or a fraction and an alternate encoding (like float, string, or integer). Supports Type Coercion?: ✅ Example iex&gt; Fraction.min_of( Fraction.new(3, 7), Fraction.new(11, 28) ) %Fraction{num: 11, den: 28} iex&gt; Fraction.min_of( Fraction.new(22, 7), &quot;3/7&quot;) %Fraction{num: 3, den: 7} iex&gt; Fraction.min_of(0.5, Fraction.new(-3, 5)) %Fraction{num: -3, den: 5} iex&gt; Fraction.min_of(Fraction.new(3), &quot;22/7&quot;) %Fraction{num: 3, den: 1}"},{"ref":"Chunky.Fraction.html#multiply/3","title":"Chunky.Fraction.multiply/3","type":"function","doc":"Multiply two fractions, or a fraction and a value and return the (optionally simplified) result. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.multiply(Fraction.new(3, 7), Fraction.new(22, 7)) %Fraction{num: 66, den: 49} iex&gt; Fraction.multiply(Fraction.new(2, 9), 33, simplify: true) %Fraction{num: 22, den: 3} iex&gt; Fraction.multiply(4, Fraction.new(12, 5)) %Fraction{num: 48, den: 5} iex&gt; Fraction.multiply(&quot;4&quot;, Fraction.new(22, 7)) %Fraction{num: 88, den: 7}"},{"ref":"Chunky.Fraction.html#new/1","title":"Chunky.Fraction.new/1","type":"function","doc":"Convert a string encoding of an integer, float, or fraction into a fraction. Example iex&gt; Fraction.new(&quot;3&quot;) %Fraction{num: 3, den: 1} iex&gt; Fraction.new(&quot;12/7&quot;) %Fraction{num: 12, den: 7} iex&gt; Fraction.new(&quot;13 / 5&quot;) %Fraction{num: 13, den: 5} iex&gt; Fraction.new(&quot;foo/bar&quot;) {:error, :no_parsable_fraction} iex&gt; Fraction.new(&quot;3.14&quot;) %Fraction{num: 314, den: 100}"},{"ref":"Chunky.Fraction.html#new/2","title":"Chunky.Fraction.new/2","type":"function","doc":"Convert a floating point value to a fraction. There are two modes for converting values: Using precision approximation (via Float.ratio/1) Using natural conversion Natural conversion tries to find a fraction that represents the intended value of a float, while precision approximation tries to find a fractional representation of the encoded floating point value. Use the conversion flag to toggle between the two modes. Flags conversion - Atom. One of :natural or :precision Example iex&gt; Fraction.new(0.9, conversion: :natural) |&gt; to_string() &quot;9/10&quot; iex&gt; Fraction.new(0.9, conversion: :precision) |&gt; to_string() &quot;8106479329266893/9007199254740992&quot; iex&gt; Fraction.new(3.14, conversion: :natural) |&gt; to_string() &quot;314/100&quot; iex&gt; Fraction.new(3.14, conversion: :precision) |&gt; to_string() &quot;7070651414971679/2251799813685248&quot;"},{"ref":"Chunky.Fraction.html#normalize/2","title":"Chunky.Fraction.normalize/2","type":"function","doc":"Change a combination of fractions, or fractions and integers, into the same denominator. Example iex&gt; Fraction.normalize(Fraction.new(3, 4), Fraction.new(1, 7)) { %Fraction{num: 21, den: 28}, %Fraction{num: 4, den: 28} } iex&gt; Fraction.normalize(3, Fraction.new(2, 5)) { %Fraction{num: 15, den: 5}, %Fraction{num: 2, den: 5} } iex&gt; Fraction.normalize(Fraction.new(6, 4), 2) { %Fraction{num: 6, den: 4}, %Fraction{num: 8, den: 4} }"},{"ref":"Chunky.Fraction.html#normalize_all/1","title":"Chunky.Fraction.normalize_all/1","type":"function","doc":"Normalize (move to the same denominator) all of the fractions and integers in a list. Supports Type Coercion?: ✅ Examples iex&gt; Fraction.normalize_all([Fraction.new(1, 2), Fraction.new(2, 3), Fraction.new(3, 4), 7]) [ %Fraction{den: 12, num: 6}, %Fraction{den: 12, num: 8}, %Fraction{den: 12, num: 9}, %Fraction{den: 12, num: 84} ] iex&gt; Fraction.normalize_all([&quot;3/4&quot;, {7, 8}, Fraction.new(8, 16)]) [ %Fraction{num: 12, den: 16}, %Fraction{num: 14, den: 16}, %Fraction{num: 8, den: 16} ]"},{"ref":"Chunky.Fraction.html#nth_root/3","title":"Chunky.Fraction.nth_root/3","type":"function","doc":"Generalized integer nth root, from: https://github.com/acmeism/RosettaCodeData/blob/master/Task/Nth-root/Elixir/nth-root.elixir based on a fast converging Newton&#39;s Method process. Options precision - Float. Default 1.0e-7. Precision to which root is calculated. Examples iex&gt; nth_root(8, 3) 2.0 iex&gt; nth_root(27, 3) 3.0 iex&gt; nth_root(78125, 7) 5.0"},{"ref":"Chunky.Fraction.html#power/3","title":"Chunky.Fraction.power/3","type":"function","doc":"Use fractions in power/exponent calculations. The base or the power (or both) can be fractions. Fractions taken to an integer power will behave as expected: iex&gt; Fraction.power(Fraction.new(3, 4), 7) %Chunky.Fraction{den: 16384, num: 2187} Fractions or integers taken to a fractional power will not always return expected values, as most fractional powers do not have a result that can be represented as a fraction. By default the power functions will return an error value in these cases: iex&gt; Fraction.power(9, Fraction.new(7, 13)) {:error, :no_fractional_power} If you want the floating point fractional result, you can use the allow_irrational flag: iex&gt; Fraction.power(9, Fraction.new(7, 13), allow_irrational: true) 3.26454673038995 When calculating the fractional power of a value, an epsilon value is used as part of the n-th root finding and resulting analysis The epsilon determines how close to a whole number different components of the resulting fractions need to be, to be treated as whole numbers. Options simplify - Boolean. Default false. Optionally simplify the return fraction epsilon - Float. Small number used to compare how close two values are allow_irrational - Boolean. eDefault false. Allow a non-fractional (irrational) result to be returned Examples iex&gt; Fraction.power(Fraction.new(7, 32), Fraction.new(30, 5)) %Fraction{num: 117649, den: 1073741824} iex&gt; Fraction.power(Fraction.new(3, 5), 3) %Fraction{num: 27, den: 125} iex&gt; Fraction.power(4, Fraction.new(-4, 8)) %Fraction{num: 1, den: 2} iex&gt; Fraction.power(9, Fraction.new(7, 13), allow_irrational: true) 3.26454673038995"},{"ref":"Chunky.Fraction.html#reciprocal/2","title":"Chunky.Fraction.reciprocal/2","type":"function","doc":"Create the reciprocal of a fraction, optionally simplifying the result. Negative fractions will switch the sign to carry on the new numerator. Trying to take the reciprocal of a zero fraction will result in an error. Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.new(3, 4) |&gt; Fraction.reciprocal() %Fraction{num: 4, den: 3} iex&gt; Fraction.new(-4, 40) |&gt; Fraction.reciprocal(simplify: true) %Fraction{num: -10, den: 1} iex&gt; Fraction.new(0, 3) |&gt; Fraction.reciprocal() {:error, :invalid_denominator}"},{"ref":"Chunky.Fraction.html#simplify/1","title":"Chunky.Fraction.simplify/1","type":"function","doc":"Simplify a fraction. Examples iex&gt; Fraction.new(6, 8) |&gt; Fraction.simplify() %Fraction{num: 3, den: 4} iex&gt; Fraction.new(24, 8) |&gt; Fraction.simplify() %Fraction{num: 3, den: 1} iex&gt; Fraction.new(22, 7) |&gt; Fraction.simplify() %Fraction{num: 22, den: 7}"},{"ref":"Chunky.Fraction.html#sort/2","title":"Chunky.Fraction.sort/2","type":"function","doc":"Sort a list of values. Values that are not yet Fractions are coerced into fractional values before processing. Supports Type Coercion?: ✅ Sorting is done based on floating point values of fractions. Options sorter - Function arity 2. Default &amp;&lt;=/2. Comparison to use when sorting. Examples iex&gt; Fraction.sort([&quot;22/7&quot;, 3, &quot;2.9&quot;, Fraction.new(1, 3)]) [%Fraction{num: 1, den: 3}, %Fraction{num: 29, den: 10}, %Fraction{num: 3, den: 1}, %Fraction{num: 22, den: 7}] iex&gt; Fraction.sort([&quot;22/7&quot;, 3, &quot;2.9&quot;, Fraction.new(1, 3)], sorter: &amp;&gt;=/2) [%Fraction{num: 22, den: 7}, %Fraction{num: 3, den: 1}, %Fraction{num: 29, den: 10}, %Fraction{num: 1, den: 3}]"},{"ref":"Chunky.Fraction.html#split/1","title":"Chunky.Fraction.split/1","type":"function","doc":"Break a fraction into whole and fractional parts, returning both. Examples iex&gt; Fraction.new(6, 4) |&gt; Fraction.split() {1, %Fraction{num: 2, den: 4}} iex&gt; Fraction.new(-22, 7) |&gt; Fraction.split() {-3, %Fraction{num: -1, den: 7}} iex&gt; Fraction.new(0, 3) |&gt; Fraction.split() {0, %Fraction{num: 0, den: 3}}"},{"ref":"Chunky.Fraction.html#subtract/3","title":"Chunky.Fraction.subtract/3","type":"function","doc":"Subtract two fractions, or a fraction an a value, and return the (optionally) simplified result. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Examples iex&gt; Fraction.subtract(Fraction.new(3, 5), Fraction.new(1, 5)) %Fraction{num: 2, den: 5} iex&gt; Fraction.subtract(2, Fraction.new(-6, 9), simplify: true) %Fraction{num: 8, den: 3} iex&gt; Fraction.subtract(Fraction.new(-2, 4), -5, simplify: true) %Fraction{num: 9, den: 2} iex&gt; Fraction.subtract(Fraction.new(8, 10), 0.5) %Fraction{num: 3, den: 10}"},{"ref":"Chunky.Fraction.html#sum/2","title":"Chunky.Fraction.sum/2","type":"function","doc":"Add a series of fractions and integers. Supports Type Coercion?: ✅ Options simplify - Boolean - default false. Return result as a simplified fraction. Example iex&gt; Fraction.sum([Fraction.new(3, 4), Fraction.new(5, 7), Fraction.new(8, 11), 1, Fraction.new(249, 308)]) %Fraction{num: 1232, den: 308} iex&gt; Fraction.sum([Fraction.new(3, 4), Fraction.new(5, 7), Fraction.new(8, 11), 1, Fraction.new(249, 308)], simplify: true) %Fraction{num: 4, den: 1}"},{"ref":"Chunky.Fraction.html#to_float/2","title":"Chunky.Fraction.to_float/2","type":"function","doc":"Convert a fraction to a float, optionally rounding to a specific precision. Options precision - Integer. Default 15. Number of digits of precision in float. From 0 to 15. Examples iex&gt; Fraction.new(22, 7) |&gt; to_float() 3.142857142857143 iex&gt; Fraction.new(22, 7) |&gt; to_float(precision: 2) 3.14"},{"ref":"Chunky.Fraction.html#uniq/2","title":"Chunky.Fraction.uniq/2","type":"function","doc":"Return only the unique fractions from a list of values. Values that are not yet Fractions are coerced into fractional values before processing. Supports Type Coercion?: ✅ Determining what is unique from the list of values is controlled by the by option. By default, value comparison is used, so 1/2 and 2/4 would be equal, and only one returned. If components comparison is specified, the literal numerator and denominator must match, so non-simplified, but value equal fractions would be different from one another. Options by - Either :value or :components. Default :value. Examples iex&gt; Fraction.uniq([&quot;2/4&quot;, Fraction.new(4, 2), 2, 0.5]) [%Fraction{num: 2, den: 4}, %Fraction{num: 4, den: 2}] iex&gt; Fraction.uniq([&quot;2/4&quot;, Fraction.new(4, 2), 2, 0.5], by: :components) [%Fraction{num: 2, den: 4}, %Fraction{num: 4, den: 2}, %Fraction{num: 2, den: 1}, %Fraction{num: 5, den: 10}]"},{"ref":"Chunky.Grid.html","title":"Chunky.Grid","type":"module","doc":"Functions for creating and manipulating a two dimenesional grid. Internally the grid is ordered as lists of lists, rather than a single list."},{"ref":"Chunky.Grid.html#find_index/2","title":"Chunky.Grid.find_index/2","type":"function","doc":""},{"ref":"Chunky.Grid.html#get_at/2","title":"Chunky.Grid.get_at/2","type":"function","doc":""},{"ref":"Chunky.Grid.html#get_at/3","title":"Chunky.Grid.get_at/3","type":"function","doc":""},{"ref":"Chunky.Grid.html#new/3","title":"Chunky.Grid.new/3","type":"function","doc":""},{"ref":"Chunky.Grid.html#put_all/2","title":"Chunky.Grid.put_all/2","type":"function","doc":"Add a list of point data to a grid. Points can be specified as {x, y, value} tuples or as maps of %{x: x, y: y, value: value}. Example #iex&gt; Grid.new(10, 10) |&gt; put_all([ {1, 1, &quot;#&quot;}, {3, 2, &quot;.&quot;}, ...])"},{"ref":"Chunky.Grid.html#put_at/3","title":"Chunky.Grid.put_at/3","type":"function","doc":""},{"ref":"Chunky.Grid.html#put_at/4","title":"Chunky.Grid.put_at/4","type":"function","doc":""},{"ref":"Chunky.Grid.html#valid_coordinate/2","title":"Chunky.Grid.valid_coordinate/2","type":"function","doc":""},{"ref":"Chunky.Grid.html#valid_coordinate/3","title":"Chunky.Grid.valid_coordinate/3","type":"function","doc":""},{"ref":"Chunky.Grid.html#valid_coordinate?/2","title":"Chunky.Grid.valid_coordinate?/2","type":"function","doc":""},{"ref":"Chunky.Grid.html#valid_coordinate?/3","title":"Chunky.Grid.valid_coordinate?/3","type":"function","doc":""},{"ref":"Chunky.Math.html","title":"Chunky.Math","type":"module","doc":"Integer math, number theory, factorization, prime numbers, and numerical analysis predicates. Modular Arithmetic Pure integer operations for Modular Arithmetic. pow/3 - Integer power in modular exponentiation Generating Constants digits_of_pi/1 - Generate n digits of pi, as a large integer next_digit_of_pi/0 and next_digit_of_pi/1 - A state carrying digit generator for Pi Integer Arithmetic Arithmetic functions for pure integer operations. pow/2 - Integer exponentiation factorial/1 - Factorial (n!) of n rising_factorial/2 - Rising factorial of n^(m) falling_factorial/2 - Falling factorial of (n)m Factorization and Divisors Work with divisors and prime factors. factorization_count/1 - Count the number of possible factorizations of n. factors/1 - All divisors for an integer is_power_of?/2 - Is n a power of m? is_root_of?/2 - Check if m is a k-th root of n prime_factors/1 - Factorize an integer into prime factors sigma/1 - Sigma-1 function (sum of divisors) tau/1 - Tau function, number of divisors of n Primes Analyze, test, and generate prime numbers. greatest_prime_factor/1 - Find the largest prime factor of n is_coprime?/2 - Test if two integers are coprime or relatively prime least_prime_factor/1 - Find the smallest prime factor of n prime_factor_exponents/1 - Find the exponents of all prime factors of n prime_pi/1 - Prime counting function, number of primes less than or equal n Predicates Assess integers using predicate functions. Every predicate function takes a single integer, and returns a boolean. These predicates span all areas of integer math, from number theory, to factorization and primes, to combinatorics and beyond. is_abundant?/1 - Test if an integer is abundant is_achilles_number?/1 - Is n an Achilles Number? is_arithmetic_number?/1 - Test if an integer is an arithmetic number is_cubefree?/1 - Are any factors of n perfect cubes? is_deficient?/1 - Test if an integer is deficient is_highly_abundant?/1 - Test if an integer is a highly abundant number is_highly_powerful_number?/1 - Test if an integer is a highly powerful number is_odious_number?/1 - Does binary expansion of n have odd number of 1s? is_perfect?/1 - Test if an integer is perfect is_perfect_cube?/1 - Is m a perfect square? is_perfect_power?/1 - Is n a perfect power? is_perfect_square?/1 - Is n a perfect square? is_powerful_number?/1 - Test if an integer is a powerful number is_prime?/1 - Test if an integer is prime is_prime_fast?/1 - Alternative prime test, faster in specific cases of n is_prime_power?/1 - Check if n is a power m of a prime, where m &gt;= 1. is_sphenic_number?/1 - Is n the product of three distinct primes? is_squarefree?/1 - Are any factors of n perfect squares? Number Theory Functions related to Number Theory operations over the integers. aliquot_sum/1 - Find the Aliquot Sum of n bigomega/1 - Big Omega function - count of distinct primes, with multiplicity divisors_of_form_mx_plus_b/3 - Divisors of n that conform to values of mx + b hamming_weight/2 - Find the Hamming Weight, the count of digits not 0, in different base representations of n is_of_mx_plux_b/3 - Does n conform to values of mx + b jordan_totient/2 - Calculate the Jordan totient J-k(n) lucas_number/1 - Find the n-th Lucas Number lucky_numbers/1 - Generate the first n Lucky Numbers mobius_function/1 - Classical Mobius Function omega/1 - Omega function - count of distinct primes partition_count/1 - Number of ways to partition n into sums p_adic_valuation/2 - The p-adic valuation function (for prime p and integer n) pell_number/1 - Find the n-th denominator in the infinite sequence of fractional approximations of sqrt(2) pentagonal_number/1 - Find the n-th pentagonal number product_of_prime_factor_exponents/1 - Decompose n to prime factors of the form x^y, find product of all y radical/1 - Square-free kernel, or rad(n) - product of distict prime factors sigma/2 - Generalized Sigma function for integers square_pyramidal_number/1 - Number of elements in an n x n stacked square pyramid tetrahedral_number/1 - Find the n-th tetrahedral number totient/1 - Calculate Euler&#39;s totient for n triangle_number/1 - Number of elements in a triangle of n rows triangle_row_for_element/1 - Row in triangle for n-th element triangle_position_for_element/1 - Position in triangel for n-th element Polynomials binomial/2 - Compute the binomial coefficient over (n k) euler_polynomial/2 - Calculate the Euler polynomial E_m(x) j_invariant_q_coefficient/1 - Find the n-th coefficient of the q expansion of the modular J invariant function. ramanujan_tau/1 - Find Ramanujan&#39;s Tau of n Combinatorics Functions dealing with Combinatorics, permutation calculations, and related topics. bell_number/1 - Compute the number of partitions of a set of size n catalan_number/1 - Find the Catalan number for n, counts of highly recursive objects and sets derangement_count/1 - Number of derangements of set size n, or subfactorial n endomorphism_count/1 - Number of endomorphisms of a set of size n euler_number/1 - Find the n-th Euler number. Also written EulerE. eulerian_number/2 - A(n, m), the number of permutations of the numbers 1 to n in which exactly m elements are greater than the previous element euler_zig/1 - Find the n-th Euler zig number euler_zig_zag/1 - Calculate the size of certain set permutations fubini_number/1 - Find the n-th Fubini number, the number of ordered partitions of a set size n hipparchus_number/1 - Find the n-th Hipparchus/Schroeder/super-Catalan number involutions_count/1 - Number of self-inverse permutations of n elements jacobsthal_number/1 - Calculate the n-th Jacobsthal number motzkin_number/1 - The number of different ways of drawing non-intersecting chords between n points on a circle ordered_subsets_count/1 - Count the number of partitions of a set of size n into any number of ordered lists. plane_partition_count/1 - Number of plane partitions with sum n wedderburn_etherington_number/1 - Calculate the size of certain binary tree sets Graph Theory Analyze numbers related to graph theory and trees. cayley_number/1 - Number of trees for n labeled vertices labeled_rooted_forests_count/1 - Number of labeled, rooted forests with n nodes labeled_rooted_trees_count/1 - Number of labeled, rooted trees with n nodes rooted_tree_count/1 - The number of unlabeled, or planted, trees with n nodes Fractals Integer fractals, and related number sets. start_kolakoski_sequence/1 - Initialize the structure for a Kolakoski sequence extend_kolakoski_sequence/1 - Extend a Kolakoski sequence by one iteration extend_kolakoski_sequence_to_length/2 - Extend a Kolakoski sequence to be at least the given length Abstract Algebra Functions, numbers, and set counting related to Abstract Algebra. abelian_group_count/1 - Number of Abelian groups of order n Differential Topology Manifolds, differential geometry, and differential topology functions. hurwitz_radon_number/1 - Calculate the Hurwitz-Radon number for n Cryptography Functions related to cryptographc analysis, factorization in cryptography, and numeric constructions. is_b_smooth?/2 - Is n prime factor smooth up to b - all prime factors &lt;= b is_3_smooth?/1 - Predicate shortcut for is_b_smooth?(n, 3) is_5_smooth?/1 - Predicate shortcut for is_b_smooth?(n, 5) is_7_smooth?/1 - Predicate shortcut for is_b_smooth?(n, 7) is_11_smooth?/1 - Predicate shortcut for is_b_smooth?(n, 11) is_13_smooth?/1 - Predicate shortcut for is_b_smooth?(n, 13) is_17_smooth?/1 - Predicate shortcut for is_b_smooth?(n, 17) is_19_smooth?/1 - Predicate shortcut for is_b_smooth?(n, 19) is_23_smooth?/1 - Predicate shortcut for is_b_smooth?(n, 23) Number Generation Number sequence iteration functions used by the Chunky.Sequence library. next_abundant/1 - Find the next abundant number after n next_deficient/1 - Find the next deficient number after n next_number/2 - Use a number theory predicate to find the next integer in a sequence"},{"ref":"Chunky.Math.html#abelian_groups_count/1","title":"Chunky.Math.abelian_groups_count/1","type":"function","doc":"Count the number of Abelian groups of order n. An Abelian group is a commutative group of elements in Abstract Algebra; this function counts the number of Abelian groups of a certain size. This implementation of size counting for Abelian groups of order n is based on finding the number of partitions (see partition_count/1) of the exponents of the prime factors of n. For instance, when n is 144, the prime factorization is 2^4 * 3^2, with exponents 4 and 2. Finding the product of the partitions of the exponents via p(4) * p(2) yields 5 * 2, or 10. Examples iex&gt; Math.abelian_groups_count(1) 1 iex&gt; Math.abelian_groups_count(9984) 22"},{"ref":"Chunky.Math.html#aliquot_sum/1","title":"Chunky.Math.aliquot_sum/1","type":"function","doc":"Find the Aliquot Sum of n. An Aliquot Sum of an integer n is the sum of the proper divisors (all divisors except n) of n. Examples iex&gt; Math.aliquot_sum(1) 0 iex&gt; Math.aliquot_sum(10) 8 iex&gt; Math.aliquot_sum(48) 76"},{"ref":"Chunky.Math.html#bell_number/1","title":"Chunky.Math.bell_number/1","type":"function","doc":"Calculate the Bell Number of n, or the number of possible partitions of a set of size n. This function implementation relies on caching for efficiency. Examples iex&gt; Math.bell_number(3) 5 iex&gt; Math.bell_number(10) 115975 iex&gt; Math.bell_number(15) 1382958545 iex&gt; Math.bell_number(35) 281600203019560266563340426570"},{"ref":"Chunky.Math.html#bigomega/1","title":"Chunky.Math.bigomega/1","type":"function","doc":"Calculate Ω(n) - number of distinct prime factors, with multiplicity. See also omega/1 - number of distinct prime factors. Examples iex&gt; Math.bigomega(3) 1 iex&gt; Math.bigomega(15) 2 iex&gt; Math.bigomega(25) 2 iex&gt; Math.bigomega(99960) 8"},{"ref":"Chunky.Math.html#binomial/2","title":"Chunky.Math.binomial/2","type":"function","doc":"Calculate the binomial coefficient (n k). The binomial coefficient function determines the coefficient on the x^k term in the polynomial expansion of (1 + x)^n. Rather than run a full expansion, this function relies on the simple formula: As the factorial/1 function in Chunky.Math uses a cached speed up strategy, the calculation of the binomial by this method is fairly efficient. Examples iex&gt; Math.binomial(7, 3) 35 iex&gt; Math.binomial(20, 3) 1140 iex&gt; Math.binomial(20, 10) 184756 iex&gt; Math.binomial(100, 50) 100891344545564193334812497256"},{"ref":"Chunky.Math.html#catalan_number/1","title":"Chunky.Math.catalan_number/1","type":"function","doc":"Find the Catalan number of n, C(n). In combinatorial math, the Catalan numbers occur in a wide range of counting problems. Rather than the factorial or binomial expansion, this implementation uses a product over fractional parts to avoid recursion and precision loss. Examples iex&gt; Math.catalan_number(2) 2 iex&gt; Math.catalan_number(20) 6564120420 iex&gt; Math.catalan_number(100) 896519947090131496687170070074100632420837521538745909320 iex&gt; Math.catalan_number(256) 1838728806050447178945542295919013188631170099776194095631629802153953581076132688111479765113051517392441367036708073775588228430597313880732554755142"},{"ref":"Chunky.Math.html#cayley_number/1","title":"Chunky.Math.cayley_number/1","type":"function","doc":"Calculate Cayley&#39;s formula for n - the number of trees on n labeled vertices. This formula also works for: number of spanning trees of a complete graph with labeled vertices number of transitive subtree acyclic digraphs on n-1 vertices counts parking functions the number of nilpotent partial bijections (of an n-element set) Examples iex&gt; Math.cayley_number(1) 1 iex&gt; Math.cayley_number(5) 125 iex&gt; Math.cayley_number(18) 121439531096594251776 iex&gt; Math.cayley_number(37) 7710105884424969623139759010953858981831553019262380893"},{"ref":"Chunky.Math.html#derangement_count/1","title":"Chunky.Math.derangement_count/1","type":"function","doc":"Find the number of derangements of a set of size n. A derangement of a set is a permutation of the set, such that no element is in its original position. Also called the subfactorial of n, the recontres number, or de Montmor number. This implementation uses the Euler recurrence, a(n) = n * a(n - 1) + -1^n. Examples iex&gt; Math.derangement_count(1) 0 iex&gt; Math.derangement_count(8) 14833 iex&gt; Math.derangement_count(17) 130850092279664 iex&gt; Math.derangement_count(134) 733162663744579191293964143415001307906325722892139819974619962654978249255036185299413091417144999745154783570225783145979302466795277487832988219926200862943908125847693470304687165754228414941338831577093697357593753008645129"},{"ref":"Chunky.Math.html#digits_of_pi/1","title":"Chunky.Math.digits_of_pi/1","type":"function","doc":"Generate n digits of pi, as a single large integer. This function uses a non-digit extraction version of Bailey-Borwein-Plouffe summation for generating accurate digits of Pi in base 10. This uses a summation over fractional values to maintain precision: Using this formula, it is possible to create many hundreds of digits of Pi in less than a second. Generating 5,000 digits takes roughly 30 seconds. Examples iex&gt; Math.digits_of_pi(3) 314 iex&gt; Math.digits_of_pi(31) 3141592653589793238462643383279 iex&gt; Math.digits_of_pi(45) 314159265358979323846264338327950288419716939"},{"ref":"Chunky.Math.html#divisors_of_form_mx_plus_b/3","title":"Chunky.Math.divisors_of_form_mx_plus_b/3","type":"function","doc":"Find all divisors of n of the form mx + b. Examples iex&gt; Math.divisors_of_form_mx_plus_b(4, 1, 5) [1, 5] iex&gt; Math.divisors_of_form_mx_plus_b(4, 1, 45) [1, 5, 9, 45] iex&gt; Math.divisors_of_form_mx_plus_b(4, 3, 4) [] iex&gt; Math.divisors_of_form_mx_plus_b(4, 3, 9975) [3, 7, 15, 19, 35, 75, 95, 175, 399, 475, 1995, 9975]"},{"ref":"Chunky.Math.html#endomorphism_count/1","title":"Chunky.Math.endomorphism_count/1","type":"function","doc":"Count the number of endofunctions (as endomorphisms) for a set of size n. This counts endofunctions as an endomorphism over the set of size n, which is equivalent to n^n. Examples iex&gt; Math.endomorphism_count(0) 1 iex&gt; Math.endomorphism_count(4) 256 iex&gt; Math.endomorphism_count(40) 12089258196146291747061760000000000000000000000000000000000000000 iex&gt; Math.endomorphism_count(123) 114374367934617190099880295228066276746218078451850229775887975052369504785666896446606568365201542169649974727730628842345343196581134895919942820874449837212099476648958359023796078549041949007807220625356526926729664064846685758382803707100766740220839267"},{"ref":"Chunky.Math.html#euler_number/1","title":"Chunky.Math.euler_number/1","type":"function","doc":"Find the n-th Euler number. Also written EulerE. This calculation of the n-th Euler number is based on the Euler Polynomial: E_n(1/2) * 2^n such that the 6th Euler Number would be: E_6(1/2) * 2^6 or -61 Examples iex&gt; Math.euler_number(0) 1 iex&gt; Math.euler_number(3) 0 iex&gt; Math.euler_number(6) -61 iex&gt; Math.euler_number(16) 19391512145 iex&gt; Math.euler_number(64) 45358103330017889174746887871567762366351861519470368881468843837919695760705"},{"ref":"Chunky.Math.html#euler_polynomial/2","title":"Chunky.Math.euler_polynomial/2","type":"function","doc":"Calculate the Euler polynomial E_m(x). This calculate is based on the explicit double summation: In this implementation the value of x is always converted to a fraction before calculations begin. Examples iex&gt; Math.euler_polynomial(6, Fraction.new(1, 2)) %Chunky.Fraction{den: 4096, num: -3904} iex&gt; Math.euler_polynomial(6, 4) |&gt; Fraction.get_whole() 1332 iex&gt; Math.euler_polynomial(2, 15) |&gt; Fraction.get_whole() 210 iex&gt; Math.euler_polynomial(8, Fraction.new(1, 3)) %Chunky.Fraction{den: 1679616, num: 7869952}"},{"ref":"Chunky.Math.html#euler_zig/1","title":"Chunky.Math.euler_zig/1","type":"function","doc":"Find the n-th Euler zig number. Values for this function are based on the relation of the zig numbers to Euler Numbers, of the form ezig(n) = abs(EulerE(2n)) Examples iex&gt; Math.euler_zig(0) 1 iex&gt; Math.euler_zig(2) 5 iex&gt; Math.euler_zig(10) 370371188237525"},{"ref":"Chunky.Math.html#euler_zig_zag/1","title":"Chunky.Math.euler_zig_zag/1","type":"function","doc":"Calculate the Euler zig zag, or up/down, number for n. The zig zag set is used in combinatorics to count the size of alternating sets of permutations. Other noted uses of the zig zag numbers (via OEIS A000111): Number of linear extensions of the &quot;zig-zag&quot; poset. Number of increasing 0-1-2 trees on n vertices. ... the number of refinements of partitions. For n &gt;= 2, a(n-2) = number of permutations w of an ordered n-set The number of binary, rooted, unlabeled histories with n+1 leaves As the calculation of the Euler Zig Zag is multiply recursive, this implementation uses a cache for efficiency. Examples iex&gt; Math.euler_zig_zag(1) 1 iex&gt; Math.euler_zig_zag(10) 50521 iex&gt; Math.euler_zig_zag(20) 370371188237525 iex&gt; Math.euler_zig_zag(99) 45608516616801111821043829531451697185581949239892414478770427720660171869441004793654782298700276817088804993740898668991870306963423232"},{"ref":"Chunky.Math.html#eulerian_number/2","title":"Chunky.Math.eulerian_number/2","type":"function","doc":"Calculate the Eulerian Number A(n, m), the number of permutations of the numbers 1 to n in which exactly m elements are greater than the previous element. The Eulerian numbers form the Euler triangle: 1 1 1 1 4 1 1 11 11 1 1 26 66 26 1 1 57 302 302 57 1 Where n is the row (starting at 1) and m is the offset in the row (starting at 0). So the value 66 is at row 5, offset 2: iex&gt; Math.eulerian_number(5, 2) 66 The sum of values at row n is n! This implementation of Eulerian Number calculation uses a recursive algorithm with caching for efficiency. Examples iex&gt; Math.eulerian_number(5, 4) 1 iex&gt; Math.eulerian_number(7, 4) 1191 iex&gt; Math.eulerian_number(9, 3) 88234 iex&gt; Math.eulerian_number(25, 13) 3334612565134607644610436"},{"ref":"Chunky.Math.html#extend_kolakoski_sequence/1","title":"Chunky.Math.extend_kolakoski_sequence/1","type":"function","doc":"Extend a Kolakoski sequence by one iteration. Each iteration of the sequence will add one, or more, elements to the sequence. See start_kolakoski_sequence/1 and extend_kolakoski_sequence_to_length/2. Examples iex&gt; Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence() {[1], 1, {1, 2}}"},{"ref":"Chunky.Math.html#extend_kolakoski_sequence_to_length/2","title":"Chunky.Math.extend_kolakoski_sequence_to_length/2","type":"function","doc":"Extend a Kolakoski sequence by successive iterations until the sequence is at least the given length. As each iteration of the sequence will add one or more elements to the sequence, the best guarantee that can be made is that the newly extended sequence will have at least a certain number of elements. Examples iex&gt; Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence_to_length(23) {[1, 2, 2, 1, 1, 2, 1, 2, 2, 1, 2, 2, 1, 1, 2, 1, 1, 2, 2, 1, 2, 1, 1], 15, {1, 2}} iex&gt; {seq, _, _} = Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence_to_length(26) iex&gt; length(seq) 27"},{"ref":"Chunky.Math.html#factorial/1","title":"Chunky.Math.factorial/1","type":"function","doc":"The factorial of n, or n!. A factorial of n is the product of n * (n - 1) * (n - 2) * ... 1. This implementation uses a cache to speed up efficiency. Examples iex&gt; Math.factorial(1) 1 iex&gt; Math.factorial(10) 3628800 iex&gt; Math.factorial(20) 2432902008176640000 iex&gt; Math.factorial(100) 93326215443944152681699238856266700490715968264381621468592963895217599993229915608941463976156518286253697920827223758251185210916864000000000000000000000000"},{"ref":"Chunky.Math.html#factorization_count/1","title":"Chunky.Math.factorization_count/1","type":"function","doc":"Count the number of possible factorizations of n. This counts a number as a factor of itself, as well as multi-set factorizations. So 8 has 3 factorizations; 8, 2*4, and 2*2*2. Examples iex&gt; Math.factorization_count(1) 1 iex&gt; Math.factorization_count(30) 5 iex&gt; Math.factorization_count(286) 5 iex&gt; Math.factorization_count(9984) 254"},{"ref":"Chunky.Math.html#factors/1","title":"Chunky.Math.factors/1","type":"function","doc":"Factorize an integer into all divisors. This will find all divisors, prime and composite, of an integer. The algorithm used for factorization is not optimal for very large numbers, as it uses a multiple pass calculation for co-factors and composite factors. Example iex&gt; Math.factors(2) [1, 2] iex&gt; Math.factors(84) [1, 2, 3, 4, 6, 7, 12, 14, 21, 28, 42, 84] iex&gt; Math.factors(123456) [1, 2, 3, 4, 6, 8, 12, 16, 24, 32, 48, 64, 96, 192, 643, 1286, 1929, 2572, 3858, 5144, 7716, 10288, 15432, 20576, 30864, 41152, 61728, 123456]"},{"ref":"Chunky.Math.html#falling_factorial/2","title":"Chunky.Math.falling_factorial/2","type":"function","doc":"Calculate the falling factorial (n)m. Also called the descending factorial, falling sequential product, or lower factorial, this is the polynomial expansion: Examples iex&gt; Math.falling_factorial(4, 0) 1 iex&gt; Math.falling_factorial(6, 3) 120 iex&gt; Math.falling_factorial(8, 10) 0 iex&gt; Math.falling_factorial(21, 7) 586051200"},{"ref":"Chunky.Math.html#fubini_number/1","title":"Chunky.Math.fubini_number/1","type":"function","doc":"Find the n-th Fubini number, the number of ordered partitions of a set size n. The Fubini numbers are also useful as (via OEIS A000670): the number of preferential arrangements of n labeled elements the number of weak orders on n labeled elements the number of ways n competitors can rank in a competition, allowing for the possibility of ties the number of chains of subsets starting with the empty set and ending with a set of n distinct objects the number of &#39;factor sequences&#39; of N for the case in which N is a product of n distinct primes This implementation is recursive and relies on binomial/2, so it uses a cache for efficiency. Examples iex&gt; Math.fubini_number(0) 1 iex&gt; Math.fubini_number(3) 13 iex&gt; Math.fubini_number(19) 92801587319328411133 iex&gt; Math.fubini_number(52) 11012069943086163504795579947992458193990796847590859607173763880168176185195"},{"ref":"Chunky.Math.html#greatest_prime_factor/1","title":"Chunky.Math.greatest_prime_factor/1","type":"function","doc":"Find the gpf(n) or greatest prime factor. Examples iex&gt; Math.greatest_prime_factor(1) 1 iex&gt; Math.greatest_prime_factor(39) 13 iex&gt; Math.greatest_prime_factor(99973) 389"},{"ref":"Chunky.Math.html#hamming_weight/2","title":"Chunky.Math.hamming_weight/2","type":"function","doc":"Find the Hamming Weight of n in a specific numeric base. By default, the Hamming Weight is calculated in Base 2. Hamming weight, binary weight, population count, or (in binary) bit summation, is the number of symbols in a given base representation of an integer that are not 0. See Hamming Weight. Examples iex&gt; Math.hamming_weight(29) 4 iex&gt; Math.hamming_weight(29, 10) 2 iex&gt; Math.hamming_weight(100) 3 iex&gt; Math.hamming_weight(100, 10) 1"},{"ref":"Chunky.Math.html#hipparchus_number/1","title":"Chunky.Math.hipparchus_number/1","type":"function","doc":"Find the n-th Hipparchus number. Also known as Schröder–Hipparchus numbers, super-Catalan numbers, or the little Schröder numbers. In combinatorics, the Hipparchus numbers are useful for (via Schröder–Hipparchus number on Wikipedia): The nth number in the sequence counts the number of different ways of subdividing of a polygon with n + 1 sides into smaller polygons by adding diagonals of the original polygon. The nth number counts the number of different plane trees with n leaves and with all internal vertices having two or more children. The nth number counts the number of different ways of inserting parentheses into a sequence of n symbols, with each pair of parentheses surrounding two or more symbols or parenthesized groups, and without any parentheses surrounding the entire sequence. The nth number counts the number of faces of all dimensions of an associahedron Kn + 1 of dimension n − 1, including the associahedron itself as a face, but not including the empty set. For instance, the two-dimensional associahedron K4 is a pentagon; it has five vertices, five faces, and one whole associahedron, for a total of 11 faces. Sometimes denoted by S(n), this implementation is based on the recurrence relationship: (n+1) * S(n) = (6*n-3) * S(n-1) - (n-2) * S(n-2) Because of the double recurrence, this implementation uses a cache for efficiency. Examples iex&gt; Math.hipparchus_number(4) 45 iex&gt; Math.hipparchus_number(10) 518859 iex&gt; Math.hipparchus_number(36) 6593381114984955663097869 iex&gt; Math.hipparchus_number(180) 104947841676596807726623444466946904465025819465719020148363699314181613887673617931952223933467760579812079483371393916388262613163133"},{"ref":"Chunky.Math.html#hurwitz_radon_number/1","title":"Chunky.Math.hurwitz_radon_number/1","type":"function","doc":"Calculate the Hurwitz-Radon number for n, the number of independent vector fields on a sphere in n-dimensional euclidean space. See Vector fields on spheres for more information. This function uses a set of 2-adic calculations to compute n in a closed form. Examples iex&gt; Math.hurwitz_radon_number(9) 1 iex&gt; Math.hurwitz_radon_number(32) 10 iex&gt; Math.hurwitz_radon_number(288) 10 iex&gt; Math.hurwitz_radon_number(9600) 16"},{"ref":"Chunky.Math.html#involutions_count/1","title":"Chunky.Math.involutions_count/1","type":"function","doc":"Find the number of involutions, or self-inverse permutations, on n elements. Also known as Permutation Involution. This implementation is based on a recursive calculation, and so uses a cache for efficiency. Examples iex&gt; Math.involutions_count(1) 1 iex&gt; Math.involutions_count(10) 9496 iex&gt; Math.involutions_count(100) 24053347438333478953622433243028232812964119825419485684849162710512551427284402176 iex&gt; Math.involutions_count(234) 60000243887036070789348415368171135887062020098670503272477698436854394126572492217644586010812169497365274140196122299728842304082915845220986966530354668079910372211697866503760297656388279100434472952800147699927974040547172024320"},{"ref":"Chunky.Math.html#is_11_smooth?/1","title":"Chunky.Math.is_11_smooth?/1","type":"function","doc":"Check if an integer n is 11-smooth. See is_b_smooth?/2 for more details. Examples iex&gt; Math.is_11_smooth?(3) true iex&gt; Math.is_11_smooth?(40) true iex&gt; Math.is_11_smooth?(107) false iex&gt; Math.is_11_smooth?(2020) false"},{"ref":"Chunky.Math.html#is_13_smooth?/1","title":"Chunky.Math.is_13_smooth?/1","type":"function","doc":"Check if an integer n is 13-smooth. See is_b_smooth?/2 for more details. Examples iex&gt; Math.is_13_smooth?(3) true iex&gt; Math.is_13_smooth?(40) true iex&gt; Math.is_13_smooth?(107) false iex&gt; Math.is_13_smooth?(2020) false"},{"ref":"Chunky.Math.html#is_17_smooth?/1","title":"Chunky.Math.is_17_smooth?/1","type":"function","doc":"Check if an integer n is 17-smooth. See is_b_smooth?/2 for more details. Examples iex&gt; Math.is_17_smooth?(3) true iex&gt; Math.is_17_smooth?(40) true iex&gt; Math.is_17_smooth?(107) false iex&gt; Math.is_17_smooth?(2020) false"},{"ref":"Chunky.Math.html#is_19_smooth?/1","title":"Chunky.Math.is_19_smooth?/1","type":"function","doc":"Check if an integer n is 19-smooth. See is_b_smooth?/2 for more details. Examples iex&gt; Math.is_19_smooth?(3) true iex&gt; Math.is_19_smooth?(40) true iex&gt; Math.is_19_smooth?(107) false iex&gt; Math.is_19_smooth?(2020) false"},{"ref":"Chunky.Math.html#is_23_smooth?/1","title":"Chunky.Math.is_23_smooth?/1","type":"function","doc":"Check if an integer n is 23-smooth. See is_b_smooth?/2 for more details. Examples iex&gt; Math.is_23_smooth?(3) true iex&gt; Math.is_23_smooth?(40) true iex&gt; Math.is_23_smooth?(107) false iex&gt; Math.is_23_smooth?(2020) false"},{"ref":"Chunky.Math.html#is_3_smooth?/1","title":"Chunky.Math.is_3_smooth?/1","type":"function","doc":"Check if an integer n is 3-smooth. See is_b_smooth?/2 for more details. Examples iex&gt; Math.is_3_smooth?(3) true iex&gt; Math.is_3_smooth?(40) false iex&gt; Math.is_3_smooth?(107) false iex&gt; Math.is_3_smooth?(2020) false"},{"ref":"Chunky.Math.html#is_5_smooth?/1","title":"Chunky.Math.is_5_smooth?/1","type":"function","doc":"Check if an integer n is 5-smooth. See is_b_smooth?/2 for more details. Examples iex&gt; Math.is_5_smooth?(3) true iex&gt; Math.is_5_smooth?(40) true iex&gt; Math.is_5_smooth?(107) false iex&gt; Math.is_5_smooth?(2020) false"},{"ref":"Chunky.Math.html#is_7_smooth?/1","title":"Chunky.Math.is_7_smooth?/1","type":"function","doc":"Check if an integer n is 7-smooth. See is_b_smooth?/2 for more details. Examples iex&gt; Math.is_7_smooth?(3) true iex&gt; Math.is_7_smooth?(40) true iex&gt; Math.is_7_smooth?(107) false iex&gt; Math.is_7_smooth?(2020) false"},{"ref":"Chunky.Math.html#is_abundant?/1","title":"Chunky.Math.is_abundant?/1","type":"function","doc":"Determine if an integer is abundant. An abundant number is an integer n, such that the sum of all proper divisors of n (including itself) is greater than 2 * n. Alternatively, an abundant number is a number that satisfies: 𝜎(n) &gt; 2n See also; is_deficient?/1, is_perfect?/1, is_highly_abundant?/1, next_abundant/1. Examples iex&gt; Math.is_abundant?(3) false iex&gt; Math.is_abundant?(12) true iex&gt; Math.is_abundant?(945) true"},{"ref":"Chunky.Math.html#is_achilles_number?/1","title":"Chunky.Math.is_achilles_number?/1","type":"function","doc":"Check if a number is an Achilles Number. Achilles numbers are n that are powerful (see is_powerful_number?/1 but not perfect powers (see is_perfect_power?/1). See Chunky.Sequence.OEIS.Factor, sequence A052486. Examples iex&gt; Math.is_achilles_number?(70) false iex&gt; Math.is_achilles_number?(72) true iex&gt; Math.is_achilles_number?(2700) true iex&gt; Math.is_achilles_number?(784) false"},{"ref":"Chunky.Math.html#is_arithmetic_number?/1","title":"Chunky.Math.is_arithmetic_number?/1","type":"function","doc":"Determine if an integer is an arithmetic number. An arithmetic number n such that the average of the sum of the proper divisors of n is a whole integer. Alternatively, n that satisfy 𝜎(n) / 𝜏(n) == 0. Examples iex&gt; Math.is_arithmetic_number?(11) true iex&gt; Math.is_arithmetic_number?(32) false iex&gt; Math.is_arithmetic_number?(12953) true"},{"ref":"Chunky.Math.html#is_b_smooth?/2","title":"Chunky.Math.is_b_smooth?/2","type":"function","doc":"Determine if an integer n is b-smooth, a composite of prime factors less than or equal to b. Numbers can be b-smooth for any b that is prime. For instance, the number 8 is 3-smooth, as it&#39;s factors would be: 1^1 * 2^3 * 3^0, whereas 15 is not 3-smooth, as it&#39;s factors would be 1^1 * 2^0 * 3^1 * 5^1 - it has prime factors whose value is greater than 3. Shortcut Functions There are a collection of pre-defined predicate functions for checking b-smooth for the primes 3 to 23: - [`is_3_smooth?/1`](#is_3_smooth?/1) - [`is_5_smooth?/1`](#is_5_smooth?/1) - [`is_7_smooth?/1`](#is_7_smooth?/1) - [`is_11_smooth?/1`](#is_11_smooth?/1) - [`is_13_smooth?/1`](#is_13_smooth?/1) - [`is_17_smooth?/1`](#is_17_smooth?/1) - [`is_19_smooth?/1`](#is_19_smooth?/1) - [`is_23_smooth?/1`](#is_23_smooth?/1) Examples iex&gt; Math.is_b_smooth?(1944, 3) true iex&gt; Math.is_b_smooth?(101, 5) false iex&gt; Math.is_b_smooth?(705, 47) true"},{"ref":"Chunky.Math.html#is_coprime?/2","title":"Chunky.Math.is_coprime?/2","type":"function","doc":"Determine if two numbers, a and b, are co-prime. From Wikipedia: In number theory, two integers a and b are said to be relatively prime, mutually prime,[1] or coprime (also written co-prime) if the only positive integer (factor) that divides both of them is 1 Examples iex&gt; Math.is_coprime?(14, 15) true iex&gt; Math.is_coprime?(14, 21) false iex&gt; Math.is_coprime?(17, 2048) true"},{"ref":"Chunky.Math.html#is_cubefree?/1","title":"Chunky.Math.is_cubefree?/1","type":"function","doc":"Check if an integer n has no factors greater than 1 that are perfect cubes. Examples iex&gt; Math.is_cubefree?(3) true iex&gt; Math.is_cubefree?(64) false iex&gt; Math.is_cubefree?(2744) false"},{"ref":"Chunky.Math.html#is_deficient?/1","title":"Chunky.Math.is_deficient?/1","type":"function","doc":"Determine if an integer is deficient. A deficient number is an integer n, such that the sum of all proper divisors of n (including itself) is less than 2 * n. Alternatively, a deficient number is a number that satisfies: 𝜎(n) &lt; 2n See also; is_abundant?/1, is_highly_abundant?/1, is_perfect?/1, next_deficient/1. Examples iex&gt; Math.is_deficient?(1) true iex&gt; Math.is_deficient?(71) true iex&gt; Math.is_deficient?(33550336) false iex&gt; Math.is_deficient?(60) false"},{"ref":"Chunky.Math.html#is_highly_abundant?/1","title":"Chunky.Math.is_highly_abundant?/1","type":"function","doc":"Check if a number n is highly abundant. A number n is highly abundant when the sum of the proper factors of n is greater than the sum of the proper factors of any number m that is in 0 &lt; m &lt; n. Alternatively, for all natural numbers, m &lt; n ; 𝜎(m) &lt; 𝜎(n). See also; is_deficient?/1, is_perfect?/1, is_abundant?/1. Examples iex&gt; Math.is_highly_abundant?(1) true iex&gt; Math.is_highly_abundant?(5) false iex&gt; Math.is_highly_abundant?(30) true iex&gt; Math.is_highly_abundant?(2099) false iex&gt; Math.is_highly_abundant?(2100) true"},{"ref":"Chunky.Math.html#is_highly_powerful_number?/1","title":"Chunky.Math.is_highly_powerful_number?/1","type":"function","doc":"Check if a number n is a highly powerful number. Highly powerful numbers are similar in concept to highly abundant numbers. For highly powerful numbers, the product of the exponents of prime factors of the number n need to be greater than the same property for any number m, such that 0 &lt; m &lt; n. If you need a sequence of highly powerful numbers, use the A005934 sequence in Chunky.Sequence.OEIS.Factors, which uses an max/compare method for building the sequence, which is vastly more efficient than repeated calls to is_highly_powerful_number?/1. See also is_powerful_number?/1, and Highly powerful number. Examples iex&gt; Math.is_highly_powerful_number?(4) true iex&gt; Math.is_highly_powerful_number?(256) false iex&gt; Math.is_highly_powerful_number?(62208) true"},{"ref":"Chunky.Math.html#is_odious_number?/1","title":"Chunky.Math.is_odious_number?/1","type":"function","doc":"Odious numbers have an odd number of 1s in their binary expansion. See definition on MathWorld or Wikipedia. Examples iex&gt; Math.is_odious_number?(2) true iex&gt; Math.is_odious_number?(37) true iex&gt; Math.is_odious_number?(144) false iex&gt; Math.is_odious_number?(280) true iex&gt; Math.is_odious_number?(19897) true"},{"ref":"Chunky.Math.html#is_of_mx_plus_b?/4","title":"Chunky.Math.is_of_mx_plus_b?/4","type":"function","doc":"Determine if n is a value of the form mx + b or mk + b, for specific values of m and b. This function checks if an integer n is of a specific form, and is not an interpolation of the line formula. Examples Check if numbers are of the form 4k + 3: iex&gt; Math.is_of_mx_plus_b?(4, 3, 1) false iex&gt; Math.is_of_mx_plus_b?(4, 3, 27) true iex&gt; Math.is_of_mx_plus_b?(4, 3, 447) true"},{"ref":"Chunky.Math.html#is_perfect?/1","title":"Chunky.Math.is_perfect?/1","type":"function","doc":"Determine if an integer is a perfect number. A perfect integer is an n where the sum of the proper divisors of n is equal to n. Alternatively, an n that satisfies 𝜎(n) == 2n. See also; is_abundant?/1, is_highly_abundant?/1, is_deficient?/1. Examples iex&gt; Math.is_perfect?(5) false iex&gt; Math.is_perfect?(6) true iex&gt; Math.is_perfect?(20) false iex&gt; Math.is_perfect?(33550336) true"},{"ref":"Chunky.Math.html#is_perfect_cube?/1","title":"Chunky.Math.is_perfect_cube?/1","type":"function","doc":"Check if n is a perfect cube. Perfect cubes are n such that there exists an m where m * m * m == n or m^3 == n. Examples iex&gt; Math.is_perfect_cube?(6) false iex&gt; Math.is_perfect_cube?(8000) true iex&gt; Math.is_perfect_cube?(1879080904) true"},{"ref":"Chunky.Math.html#is_perfect_power?/1","title":"Chunky.Math.is_perfect_power?/1","type":"function","doc":"Check if n is a perfect power. Perfect powers are n where positive integers m and k exist, such that m^k == n. Examples iex&gt; Math.is_perfect_power?(4) true iex&gt; Math.is_perfect_power?(100) true iex&gt; Math.is_perfect_power?(226) false"},{"ref":"Chunky.Math.html#is_perfect_square?/1","title":"Chunky.Math.is_perfect_square?/1","type":"function","doc":"Check if n is a perfect square. Perfect squares are n such that there exists an m where m * m == n. Examples iex&gt; Math.is_perfect_square?(3) false iex&gt; Math.is_perfect_square?(25) true iex&gt; Math.is_perfect_square?(123456) false"},{"ref":"Chunky.Math.html#is_power_of?/2","title":"Chunky.Math.is_power_of?/2","type":"function","doc":"Check if n is a power of m. This is partially the inverse of is_root_of?/2. Examples iex&gt; Math.is_power_of?(8, 2) true iex&gt; Math.is_power_of?(243, 3) true iex&gt; Math.is_power_of?(9, 2) false iex&gt; Math.is_power_of?(2, 2) true iex&gt; Math.is_power_of?(1, 17) true"},{"ref":"Chunky.Math.html#is_powerful_number?/1","title":"Chunky.Math.is_powerful_number?/1","type":"function","doc":"Determine if an integer n is a powerful number. A powerful number is an integer n such that for all prime factors m of n, m^2 also evenly divides n. Alternatively, a powerful number n can be written as n = a^2 * b^3 for positive integers a and b; n is the product of a square and a cube. Examples iex&gt; Math.is_powerful_number?(8) true iex&gt; Math.is_powerful_number?(10) false iex&gt; Math.is_powerful_number?(800) true iex&gt; Math.is_powerful_number?(970) false"},{"ref":"Chunky.Math.html#is_prime?/1","title":"Chunky.Math.is_prime?/1","type":"function","doc":"Determine if a positive integer is prime. This function uses a Miller-Rabin primality test, with 40 iterations. Examples iex&gt; Math.is_prime?(13) true iex&gt; Math.is_prime?(233*444*727*456) false iex&gt; Math.is_prime?(30762542250301270692051460539586166927291732754961) true"},{"ref":"Chunky.Math.html#is_prime_fast?/1","title":"Chunky.Math.is_prime_fast?/1","type":"function","doc":"Determine if a positive integer is prime. This function uses a cache of the first 100 primes as a first stage sieve and comparison set. In some cases using this method will result in a speed up over using is_prime?/1: For numbers &lt; 542, is_prime_fast?/1 is a MapSet membership check When iterating integers for prime candidates, is_prime_fast?/1 can show an ~9% speed up over is_prime?/1 In all cases, is_prime_fast?/1 falls back to calling is_prime? and the Miller-Rabin primality test code in cases where the prime cache cannot conclusively prove or disprove primality. Examples iex&gt; 1299601 |&gt; Math.is_prime_fast?() true iex&gt; 1237940039285380274899124225 |&gt; Math.is_prime_fast?() false"},{"ref":"Chunky.Math.html#is_prime_power?/1","title":"Chunky.Math.is_prime_power?/1","type":"function","doc":"Check if n is a power m of a prime, where m &gt;= 1. This is functionally a combination of is_perfect_power?/1 and is_prime?/1, but interleaves the factorization, leading to a speed up over using the two functions independently. Examples iex&gt; Math.is_prime_power?(2) true iex&gt; Math.is_prime_power?(9) true iex&gt; Math.is_prime_power?(10) false iex&gt; Math.is_prime_power?(144) false"},{"ref":"Chunky.Math.html#is_root_of?/2","title":"Chunky.Math.is_root_of?/2","type":"function","doc":"Check if n is any k-th root of m, where k &gt; 2. This function uses a repeated multiplication method to test if n has any power k such that n^k == m. Examples iex&gt; Math.is_root_of?(2, 8) true iex&gt; Math.is_root_of?(2, 2048) true iex&gt; Math.is_root_of?(7, 16807) true iex&gt; Math.is_root_of?(5, 16808) false"},{"ref":"Chunky.Math.html#is_sphenic_number?/1","title":"Chunky.Math.is_sphenic_number?/1","type":"function","doc":"Check if n is a sphenic number, the product of three distinct primes. Example iex&gt; Math.is_sphenic_number?(4) false iex&gt; Math.is_sphenic_number?(66) true iex&gt; Math.is_sphenic_number?(51339) true"},{"ref":"Chunky.Math.html#is_squarefree?/1","title":"Chunky.Math.is_squarefree?/1","type":"function","doc":"Check if an integer n has no factors greater than 1 that are perfect squares. Examples iex&gt; Math.is_squarefree?(3) true iex&gt; Math.is_squarefree?(8) false iex&gt; Math.is_squarefree?(99935) true"},{"ref":"Chunky.Math.html#j_invariant_q_coefficient/1","title":"Chunky.Math.j_invariant_q_coefficient/1","type":"function","doc":"Find the n-th coefficient of the q expansion of the modular J invariant function. The Laurent series of the q-expansion begins: This function finds the n-th q coefficient using a recursive relation to the sigma-5 and sigma-3 of components of the expansion. Because this implementation is recursive, it uses a cache for efficiency. Examples iex&gt; Math.j_invariant_q_coefficient(-1) 1 iex&gt; Math.j_invariant_q_coefficient(10) 22567393309593600 iex&gt; Math.j_invariant_q_coefficient(20) 189449976248893390028800 iex&gt; Math.j_invariant_q_coefficient(121) 20834019715817024229638765444619811002731409879518705977860"},{"ref":"Chunky.Math.html#jacobsthal_number/1","title":"Chunky.Math.jacobsthal_number/1","type":"function","doc":"Find the n-th Jacobsthal number. These numbers are sometimes used in combinatorics for counting tiling variations, as well as having applications in number theory. The Jacobsthal numbers are a recurrence relation similar to the Fibonacci numbers, following the pattern: For this implementation, a closed form is used instead of a recurrence. Examples iex&gt; Math.jacobsthal_number(0) 0 iex&gt; Math.jacobsthal_number(10) 341 iex&gt; Math.jacobsthal_number(100) 422550200076076467165567735125 iex&gt; Math.jacobsthal_number(250) 603083798111021851164432213586916186735781170133544604372174916707880883541"},{"ref":"Chunky.Math.html#jordan_totient/2","title":"Chunky.Math.jordan_totient/2","type":"function","doc":"Jordan totient function Jk(n). The Jordan totient is a generalized form of the Euler totient function, where J1(n) = Φ(n). The Jordan totient is a positive integer m of k-tuples that are co-prime to n. Calculating the totient is a semi-closed form of a Dirichlet series/Euler product, and is dependent on the size of n for factorization and k for exponentiation. Examples Finding J2(3): iex&gt; Math.jordan_totient(3, 2) 8 Finding J9(7): iex&gt; Math.jordan_totient(7, 9) 40353606 Finding J10(9999): iex&gt; Math.jordan_totient(9999, 10) 9989835316811664782653775044519099200000"},{"ref":"Chunky.Math.html#labeled_rooted_forests_count/1","title":"Chunky.Math.labeled_rooted_forests_count/1","type":"function","doc":"Count the number of labeled, rooted forests with n nodes. A rooted forest will have at most one path between any two nodes, and the total number of such forets with n nodes is (n + 1)^(n - 1) (a generalization of the Cayley formula). Examples iex&gt; Math.labeled_rooted_forests_count(1) 1 iex&gt; Math.labeled_rooted_forests_count(3) 16 iex&gt; Math.labeled_rooted_forests_count(11) 61917364224 iex&gt; Math.labeled_rooted_forests_count(32) 118558347188026655500106547231096910504441858017"},{"ref":"Chunky.Math.html#labeled_rooted_trees_count/1","title":"Chunky.Math.labeled_rooted_trees_count/1","type":"function","doc":"Count the number of labeled, rooted trees with n nodes. A rooted tree will have exactly one path between any two nodes, and the total number of such trees with n nodes is n^(n - 1). Examples iex&gt; Math.labeled_rooted_trees_count(1) 1 iex&gt; Math.labeled_rooted_trees_count(5) 625 iex&gt; Math.labeled_rooted_trees_count(17) 48661191875666868481 iex&gt; Math.labeled_rooted_trees_count(29) 88540901833145211536614766025207452637361"},{"ref":"Chunky.Math.html#least_prime_factor/1","title":"Chunky.Math.least_prime_factor/1","type":"function","doc":"Find the lpf(n) or least prime factor. Examples iex&gt; Math.least_prime_factor(1) 1 iex&gt; Math.least_prime_factor(39) 3 iex&gt; Math.least_prime_factor(99973) 257"},{"ref":"Chunky.Math.html#lucas_number/1","title":"Chunky.Math.lucas_number/1","type":"function","doc":"Find the n-th Lucas Number. The Lucas Number is a recursive sequence, similar to the Fibonacci sequence, with alternative starting values. The successive values in the Lucas sequence form a ratio that approaches the Golden Ratio. This implementation uses a cache for efficiency. Examples iex&gt; Math.lucas_number(4) 7 iex&gt; Math.lucas_number(203) 2657608295638762232902023676028758508503879"},{"ref":"Chunky.Math.html#lucky_numbers/1","title":"Chunky.Math.lucky_numbers/1","type":"function","doc":"Generate the first n Lucky Numbers. The Lucky Numbers are generated as a sequential sieve, like the prime Sieve of Eratosthenes. This makes generating the nth term as a digit extraction of negligble utility, as it would require generating the preceding terms as part of the sieve process. Instead, this function takes advantage of the fact that the ratio of numbers before and after sieving grows at approximately the natural log of the size of the starting list. I.e., if we want n lucky numbers, we need a starting list of approximately n * log(m) integers. We can solve for m via a fast gradient. This will generally result in calculating more digits than necessary, but only by a small margin - extra digits are truncated in the returned list. Examples iex&gt; Math.lucky_numbers(5) [1, 3, 7, 9, 13] iex&gt; Math.lucky_numbers(10) [1, 3, 7, 9, 13, 15, 21, 25, 31, 33] iex&gt; Math.lucky_numbers(20) [1, 3, 7, 9, 13, 15, 21, 25, 31, 33, 37, 43, 49, 51, 63, 67, 69, 73, 75, 79] iex&gt; Math.lucky_numbers(30) [1, 3, 7, 9, 13, 15, 21, 25, 31, 33, 37, 43, 49, 51, 63, 67, 69, 73, 75, 79, 87, 93, 99, 105, 111, 115, 127, 129, 133, 135]"},{"ref":"Chunky.Math.html#mobius_function/1","title":"Chunky.Math.mobius_function/1","type":"function","doc":"The classical Möbius function μ(n). From Möbius Function on Wikipedia: For any positive integer n, define μ(n) as the sum of the primitive nth roots of unity. It has values in {−1, 0, 1} depending on the factorization of n into prime factors: μ(n) = 1 if n is a square-free positive integer with an even number of prime factors. μ(n) = −1 if n is a square-free positive integer with an odd number of prime factors. μ(n) = 0 if n has a squared prime factor. Examples iex&gt; Math.mobius_function(1) 1 iex&gt; Math.mobius_function(24) 0 iex&gt; Math.mobius_function(99999) 0"},{"ref":"Chunky.Math.html#motzkin_number/1","title":"Chunky.Math.motzkin_number/1","type":"function","doc":"Calculate the n-th Motzkin number. In combinatorics, number theory, and geometry, the Motzkin number is used to find (via Wikipedia and OEIS A001006): the number of different ways of drawing non-intersecting chords between n points on a circle the number of routes on the upper right quadrant of a grid from coordinate (0, 0) to coordinate (n, 0) in n steps if one is allowed to move only to the right (up, down or straight) the number of involutions of {1,2,...,n} having genus 0 a wide variety of limits in sequence combinatorics and sub-sequence generation Motzkin numbers, for this implementation, are found via binomials (see binomial/2) and Catalan numbers (see catalan_number/1): Examples iex&gt; Math.motzkin_number(1) 1 iex&gt; Math.motzkin_number(15) 310572 iex&gt; Math.motzkin_number(57) 5127391665653918424581931 iex&gt; Math.motzkin_number(132) 906269136562156220773088044844995547011445535121944413744427"},{"ref":"Chunky.Math.html#next_abundant/1","title":"Chunky.Math.next_abundant/1","type":"function","doc":"Find the next abundant number after n. See is_abundant?/1. Examples iex&gt; Math.next_abundant(1) 12 iex&gt; Math.next_abundant(12) 18 iex&gt; Math.next_abundant(60) 66 iex&gt; Math.next_abundant(264) 270"},{"ref":"Chunky.Math.html#next_deficient/1","title":"Chunky.Math.next_deficient/1","type":"function","doc":"Find the next deficient number after n. See is_deficient?/1. Examples iex&gt; Math.next_deficient(0) 1 iex&gt; Math.next_deficient(5) 7 iex&gt; Math.next_deficient(41) 43"},{"ref":"Chunky.Math.html#next_digit_of_pi/0","title":"Chunky.Math.next_digit_of_pi/0","type":"function","doc":"Carry forward calculation of the next digit of Pi. The next_digit_of_pi/0 and next_digit_of_pi/1 functions provide a digit-at-a-time iterative generation of digits of Pi, accurate to at least 3,000 digits. This is useful for on demand generation of digits, but it does require a carry forward state value. Use like: {digit_0, carry} = next_digit_of_pi() {digit_1, carry} = next_digit_of_pi(carry) {digit_2, carry} = next_digit_of_pi(carry) ... This version of the Pi digit generation function will likely be updated in a future release to use a base-16 algorithm that is accurate for a larger number of digits."},{"ref":"Chunky.Math.html#next_digit_of_pi/1","title":"Chunky.Math.next_digit_of_pi/1","type":"function","doc":"See next_digit_of_pi/0."},{"ref":"Chunky.Math.html#next_number/3","title":"Chunky.Math.next_number/3","type":"function","doc":"Apply a number theoretic property test to integers to find the next number in a sequence. Examples iex&gt; Math.next_number(&amp;Math.is_powerful_number?/1, 49) 64 iex&gt; Math.next_number(&amp;Math.is_abundant?/1, 60) 66"},{"ref":"Chunky.Math.html#omega/1","title":"Chunky.Math.omega/1","type":"function","doc":"Calculate ω(n) - the number of distinct prime factors of n. See also bigomega/1 - number of total prime factors of n. Examples iex&gt; Math.omega(3) 1 iex&gt; Math.omega(15) 2 iex&gt; Math.omega(25) 1 iex&gt; Math.omega(99960) 5"},{"ref":"Chunky.Math.html#ordered_subsets_count/1","title":"Chunky.Math.ordered_subsets_count/1","type":"function","doc":"Count the number of partitions of a set into any number of ordered lists. Also known as the sum of all sizes of k-subsets of original set of size n. This implementation is based on a recurrence relation: A(n) = (2 * n - 1) * A(n - 1) - (n - 1) * (n - 2) * A(n - 2) As this is a highly recursive relation, a cache is used for efficiency. Examples iex&gt; Math.ordered_subsets_count(1) 1 iex&gt; Math.ordered_subsets_count(3) 13 iex&gt; Math.ordered_subsets_count(11) 824073141 iex&gt; Math.ordered_subsets_count(30) 197987401295571718915006598239796851"},{"ref":"Chunky.Math.html#p_adic_valuation/2","title":"Chunky.Math.p_adic_valuation/2","type":"function","doc":"Find the p-adic valuation of n. From p-adic order on Wikipedia: In number theory, for a given prime number p, the p-adic order or p-adic valuation of a non-zero integer n is the highest exponent ν such that p^ν divides n. The p value for p_adic_valuation must be prime. By defintion the p-adic value of 0 is always infinity. Examples A handful of examples for 3-adic, 5-adic, and 7-adic valuation, though any prime number can be used as the p value: 2-adic valutions: iex&gt; Math.p_adic_valuation(2, 1) 0 iex&gt; Math.p_adic_valuation(2, 24) 3 iex&gt; Math.p_adic_valuation(2, 9728) 9 3-adic valutions: iex&gt; Math.p_adic_valuation(3, 137) 0 iex&gt; Math.p_adic_valuation(3, 999) 3 7-adic valutions iex&gt; Math.p_adic_valuation(7, 686) 3 iex&gt; Math.p_adic_valuation(7, 980) 2"},{"ref":"Chunky.Math.html#pancake_cut_max/1","title":"Chunky.Math.pancake_cut_max/1","type":"function","doc":"Count the maximum number of pieces that can be made from n cuts of a disk. Also called the Central Polygonal Numbers, Pizza Numbers, or the Lazy Caterer&#39;s Sequence. Examples iex&gt; Math.pancake_cut_max(1) 2 iex&gt; Math.pancake_cut_max(3) 7 iex&gt; Math.pancake_cut_max(7) 29 iex&gt; Math.pancake_cut_max(24) 301"},{"ref":"Chunky.Math.html#partition_count/1","title":"Chunky.Math.partition_count/1","type":"function","doc":"Count the number of partitions of n. A partition of n is the set of ways of creating a sum of n. For example, 4 has a partition count of 5, as it can be represented as the following sums: 4 3 + 1 2 + 2 2 + 1 + 1 1 + 1 + 1 + 1 This is a recursive form of the Partition Function, yielding an exact answer, but computationally intensive for larger numbers. Because this function is exponentially recursive, it uses a value cache that persists as a named Agent, which is used by any call to partition_count. On a reasonably fast computer this results in the following execution times for different values of n: nSeconds 100.021 1000.071 10007.301 250043.616 300061.921 5000185.277 Examples iex&gt; Math.partition_count(1) 1 iex&gt; Math.partition_count(10) 42 iex&gt; Math.partition_count(100) 190569292 iex&gt; Math.partition_count(416) 17873792969689876004"},{"ref":"Chunky.Math.html#pell_number/1","title":"Chunky.Math.pell_number/1","type":"function","doc":"Find the Pell Number for n. Pell numbers are an infinite sequence of integers that form the denominators of increasingly accurate fractional representations of sqrt(2). See Pell Number on Wikipedia or Pell Number on MathWorld. Calculating the Pell numbers takes a similar recursive form to calculating the Fibonacci sequence: Pell(n) = 2 * Pell(n - 1) + Pell(n - 2) This implementation uses a cache for efficiency. Examples iex&gt; Math.pell_number(1) 1 iex&gt; Math.pell_number(10) 2378 iex&gt; Math.pell_number(67) 15646814150613670132332869 iex&gt; Math.pell_number(123) 42644625325266431622582204734101084193553730205"},{"ref":"Chunky.Math.html#pentagonal_number/1","title":"Chunky.Math.pentagonal_number/1","type":"function","doc":"Find the n-th pentagonal number. See Pentagonal number for a useful visualization of how pentagonal numbers grow. Examples iex&gt; Math.pentagonal_number(0) 0 iex&gt; Math.pentagonal_number(30) 1335 iex&gt; Math.pentagonal_number(300) 134850 iex&gt; Math.pentagonal_number(874) 1145377"},{"ref":"Chunky.Math.html#plane_partition_count/1","title":"Chunky.Math.plane_partition_count/1","type":"function","doc":"Count the number of planar partitions with sum n. Via Plane partition: in combinatorics, a plane partition is a two-dimensional array of nonnegative integers π{i,j} (with positive integer indices i and j) that is nonincreasing in both indices. The generalized formula for counting the number of plane partitions is This implementation uses the recurrence relationship: PL(n) = sum{1..n:k} PL(n - k) * sigma-2(k) As this is a deeply recursive recurrence, this implementation uses a cache for efficiency. Examples iex&gt; Math.plane_partition_count(1) 1 iex&gt; Math.plane_partition_count(7) 86 iex&gt; Math.plane_partition_count(13) 2485 iex&gt; Math.plane_partition_count(34) 28175955"},{"ref":"Chunky.Math.html#pow/2","title":"Chunky.Math.pow/2","type":"function","doc":"Integer exponentiation, x^y. This function uses pure integer methods to bypass issues with floating point precision trucation in large values using the built-in :math exponentiation functions. Example iex&gt; Math.pow(2, 10) 1024 iex&gt; Math.pow(17, 14) 168377826559400929"},{"ref":"Chunky.Math.html#pow/3","title":"Chunky.Math.pow/3","type":"function","doc":"Integer power/exponentiation in Modular Arithmetic. Examples iex&gt; Math.pow(5, 3, 13) 8 iex&gt; Math.pow(67930, 32319, 103969) 6582"},{"ref":"Chunky.Math.html#prime_factor_exponents/1","title":"Chunky.Math.prime_factor_exponents/1","type":"function","doc":"Count the exponents of the prime factors of n. This function counts the exponents on the prime factors of n, for example the number 2,025,000 can be factored to: [2, 2, 2, 3, 3, 3, 3, 5, 5, 5, 5, 5] or 2^3 * 3^4 * 5^5, hence the exponent of 2 is 3, the exponent of 3 is 4, and the exponent of 5 is 5. As a simpler example, the prime factors of 49 are [7, 7], or 7^2, so the result of prime_factor_exponents(49) would be %{7 =&gt; 2} Examples iex&gt; Math.prime_factor_exponents(2) %{2 =&gt; 1} iex&gt; Math.prime_factor_exponents(8) %{2 =&gt; 3} iex&gt; Math.prime_factor_exponents(2025000) %{2 =&gt; 3, 3 =&gt; 4, 5 =&gt; 5} iex&gt; Math.prime_factor_exponents(49) %{7 =&gt; 2}"},{"ref":"Chunky.Math.html#prime_factors/1","title":"Chunky.Math.prime_factors/1","type":"function","doc":"Decompose an integer to prime factors. This is not an exhaustive factorization, but a reduction to all prime factors for an integer. Examples iex&gt; Math.prime_factors(12) [1, 2, 2, 3] iex&gt; Math.prime_factors(101) [1, 101] iex&gt; Math.prime_factors(79170) [1, 2, 3, 5, 7, 13, 29] iex&gt; Math.prime_factors(233*444*727*456) [1, 2, 2, 2, 2, 2, 3, 3, 19, 37, 233, 727]"},{"ref":"Chunky.Math.html#prime_pi/1","title":"Chunky.Math.prime_pi/1","type":"function","doc":"Count the number of primes less than or equal to n. Sometimes written pi(n) or π(n), this is the prime counting function. This impementation uses a summation over fractions of the sigma/1 function. If the counting function needs to be applied over a sequence of numbers, it is more efficient to use the OEIS A000720 sequence from Chunky.Sequences.OEIS.Core, as it unrolls the continued summation using historic values: counter = Sequence.create(Sequence.OEIS.Core, :a000720) Examples iex&gt; Math.prime_pi(1) 0 iex&gt; Math.prime_pi(38) 12 iex&gt; Math.prime_pi(945) 160 iex&gt; Math.prime_pi(100000) 9592"},{"ref":"Chunky.Math.html#product_of_prime_factor_exponents/1","title":"Chunky.Math.product_of_prime_factor_exponents/1","type":"function","doc":"Find the product of the exponents of the prime factors of n. This function takes the prime factors of n, such as the factors of 8 = {1, 2, 2, 2}, groups the factors and to find the exponents, such as 8 = 1^1 * 2^3, and then finds the product of the exponents, like 1 * 3. Here the product of prime factorization exponents for 8 is 3. The numbers generated by this function are related to the OEIS Sequence A005361, and the prodex function. Examples iex&gt; Math.product_of_prime_factor_exponents(8) 3 iex&gt; Math.product_of_prime_factor_exponents(100000) 25"},{"ref":"Chunky.Math.html#radical/1","title":"Chunky.Math.radical/1","type":"function","doc":"Find the radical of an integer n. Also called the square-free kernel, or written as rad(n), the radical of an integer is the product of the distinct primes of n. Examples iex&gt; Math.radical(1) 1 iex&gt; Math.radical(504) 42 iex&gt; Math.radical(99960) 3570"},{"ref":"Chunky.Math.html#ramanujan_tau/1","title":"Chunky.Math.ramanujan_tau/1","type":"function","doc":"Calculate the Ramanujan Tau function for n. The Ramanujan Tau function is defined as: ![Ramanujan Tau](https://wikimedia.org/api/rest_v1/media/math/render/svg/846fc5e7ae7e57f2df206054ea0aba4124e6f124) It&#39;s use in mathematics is noted by Wikipedia as an &quot;error term&quot; involved in counting the number of ways of expressing an integer as a sum of 24 squares When calculating the Nth term of the Ramanujan Tau, this function uses a summation form (developed in GP/Pari by Joerg Arndt), that looks like: a(n) = n^4 * sigma(n) - 24 * sum( k = 1, n - 1, ( 35 * k^4 - 52 * k^3 * n + 18 * k^2 * n^2 ) * sigma(k) * sigma(n - k) ) Note that the summation in sum(k = 1, n - 1, ... is linear to the size of n. Examples iex&gt; Math.ramanujan_tau(1) 1 iex&gt; Math.ramanujan_tau(15) 1217160 iex&gt; Math.ramanujan_tau(460) -132549189534720"},{"ref":"Chunky.Math.html#rising_factorial/2","title":"Chunky.Math.rising_factorial/2","type":"function","doc":"Caculate the rising factorial n^(m). Also called the Pochhammer function, Pochhammer polynomial, ascending factorial, or upper factorial, this is the polynomial expansion: Examples iex&gt; Math.rising_factorial(3, 0) 1 iex&gt; Math.rising_factorial(4, 3) 120 iex&gt; Math.rising_factorial(7, 5) 55440 iex&gt; Math.rising_factorial(11, 13) 7124122778572800"},{"ref":"Chunky.Math.html#rooted_tree_count/1","title":"Chunky.Math.rooted_tree_count/1","type":"function","doc":"The number of unlabeled, or planted, trees with n nodes. Alternative definitions: Sometimes called Polya Trees Number of ways of arranging n-1 nonoverlapping circles Number of connected multigraphs of order n without cycles except for one loop This function is highly recursive, and in this implementation uses a cache to increase efficiency. Examples iex&gt; Math.rooted_tree_count(2) 1 iex&gt; Math.rooted_tree_count(21) 35221832 iex&gt; Math.rooted_tree_count(53) 10078062032127180323468 iex&gt; Math.rooted_tree_count(150) 9550651408538850116424040916940356193332141892140610711711231180087"},{"ref":"Chunky.Math.html#sigma/1","title":"Chunky.Math.sigma/1","type":"function","doc":"Calculate the sigma-1 (or σ1(n)), also known as sum-of-divisors of an integer. This is all of the divisors of n summed. Example iex&gt; Math.sigma(70) 144 iex&gt; Math.sigma(408) 1080 iex&gt; Math.sigma(100000) 246078"},{"ref":"Chunky.Math.html#sigma/2","title":"Chunky.Math.sigma/2","type":"function","doc":"Calculate a sigma function of an integer, for any p-th powers. This is a generalized Sigma function of the form σp(n), so the Sigma-0 of a number σ0(n) would be sigma(n, 0), while the Sigma-4 (σ4(n)) would be sigma(n, 4). For a faster version of σ1(n) (or the sum-of-divisors) see sigma/1. Examples iex&gt; Math.sigma(12, 2) 210 iex&gt; Math.sigma(19, 4) 130322 iex&gt; Math.sigma(24, 0) 8"},{"ref":"Chunky.Math.html#square_pyramidal_number/1","title":"Chunky.Math.square_pyramidal_number/1","type":"function","doc":"Find the n-th square pyramidal number. The number of elements in a square stacked pyramid n levels tall, or n x n at the base. Via Pyramidal square number on Wikipedia: Square pyramidal numbers also solve the problem of counting the number of squares in an n × n grid Examples iex&gt; Math.square_pyramidal_number(0) 0 iex&gt; Math.square_pyramidal_number(20) 2870 iex&gt; Math.square_pyramidal_number(147) 1069670 iex&gt; Math.square_pyramidal_number(970) 304694945"},{"ref":"Chunky.Math.html#start_kolakoski_sequence/1","title":"Chunky.Math.start_kolakoski_sequence/1","type":"function","doc":"Create a Kolakoski Sequence over the default alphabet of [1, 2]. A Kolakoski Sequence is a self-describing, Run Length Encoding over a specific alphabet of integers. The first values of the sequence are: 1,2,2,1,1,2,1,2,2,1,2,... In the OEIS catalog, this is sequence A000002. This sequence, unlike most others, does not extend by a single value at a time, rather by a length related to the size of the alphabet. See also extend_kolakoski_sequence/1 and extend_kolakoski_sequence_to_size/2 for ways to work with the sequence. The data returned by this function, and the other Kolakoski functions, carries the calculated sequence, the iteration number, and the alphabet, all of which are required for generating new values for the sequence. See also Chunky.Sequence.OEIS.Core and the A000002 sequence. Examples iex&gt; Math.start_kolakoski_sequence() {[], 0, {1, 2}} iex&gt; Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence() {[1], 1, {1, 2}} iex&gt; Math.start_kolakoski_sequence() |&gt; Math.extend_kolakoski_sequence_to_length(20) {[1, 2, 2, 1, 1, 2, 1, 2, 2, 1, 2, 2, 1, 1, 2, 1, 1, 2, 2, 1], 13, {1, 2}}"},{"ref":"Chunky.Math.html#tau/1","title":"Chunky.Math.tau/1","type":"function","doc":"The tau (number of divisors) function. Also written as 𝜏(n) or sigma(n, 0), this is a shortcut to sigma/2. Examples iex&gt; Math.tau(9) 3 iex&gt; Math.tau(34) 4 iex&gt; Math.tau(50) 6 iex&gt; Math.tau(3402) 24"},{"ref":"Chunky.Math.html#tetrahedral_number/1","title":"Chunky.Math.tetrahedral_number/1","type":"function","doc":"Find the n-th tetrahedral number. Tetrahedral numbers can be represented as a sum of triangular numbers: or a binomial: or as a rising factorial: This implementation uses the rising factorial, which reduces to just addition and multiplication operations. Examples iex&gt; Math.tetrahedral_number(0) 0 iex&gt; Math.tetrahedral_number(34) 7140 iex&gt; Math.tetrahedral_number(47) 18424 iex&gt; Math.tetrahedral_number(9876) 160591999876"},{"ref":"Chunky.Math.html#totient/1","title":"Chunky.Math.totient/1","type":"function","doc":"Euler&#39;s totient function for n. Also called phi or written as Φ(n), the Eulerian totient function counts the positive integers up to n that are relatively prime or coprime to n. The method used for calculating this function relies on a partially closed form of Euler&#39;s product formula that grows relative to the number of prime factors of n. Examples iex&gt; Math.totient(36) 12 iex&gt; Math.totient(101) 100 iex&gt; Math.totient(99999) 64800"},{"ref":"Chunky.Math.html#triangle_number/1","title":"Chunky.Math.triangle_number/1","type":"function","doc":"Find the triangle or triangular number of n. The triangle number is the number of elements in the triangular arrangement of elements with n elements on a side. Examples iex&gt; Math.triangle_number(0) 0 iex&gt; Math.triangle_number(4) 10 iex&gt; Math.triangle_number(50) 1275 iex&gt; Math.triangle_number(475) 113050 iex&gt; Math.triangle_number(29999) 449985000"},{"ref":"Chunky.Math.html#triangle_position_for_element/1","title":"Chunky.Math.triangle_position_for_element/1","type":"function","doc":"Find the triangle row and offset for the nth item in a triangle. Given an element or number triangle with a single element at the root, counting rows from 1, and elements from 0, this function will determine at which row and offset the n-th element will occur. So, given the triangle: * * * * * * * + * * * * * * * * * * * * * The + is the 8th item (index 7) in the triangle, and is on row 4, offset 1 from the left iex&gt; Math.triangle_position_for_element(7) {4, 1} Examples iex&gt; Math.triangle_position_for_element(0) {1, 0} iex&gt; Math.triangle_position_for_element(11) {5, 1} iex&gt; Math.triangle_position_for_element(20) {6, 5} iex&gt; Math.triangle_position_for_element(32003) {253, 125}"},{"ref":"Chunky.Math.html#triangle_row_for_element/1","title":"Chunky.Math.triangle_row_for_element/1","type":"function","doc":"Calculate the row in which the n-th element would be in an element triangle. Given an element or number triangle with a single element at the root, counting rows from 1, and elements from 0, this function will determine at which row the n-th element will occur. So, given the triangle: * * * * * * * + * * * * * * * * * * * * * The + is the 8th item (index 7) in the triangle, and is on row 4: iex&gt; Math.triangle_row_for_element(7) 4 Examples iex&gt; Math.triangle_row_for_element(0) 1 iex&gt; Math.triangle_row_for_element(11) 5 iex&gt; Math.triangle_row_for_element(20) 6 iex&gt; Math.triangle_row_for_element(30130) 245"},{"ref":"Chunky.Math.html#wedderburn_etherington_number/1","title":"Chunky.Math.wedderburn_etherington_number/1","type":"function","doc":"Calculate the Wedderburn-Etherington number for n. In combinatorics, the Wedderburn-Etherington number is used to determine the size of certain sets of Binary Trees. Other uses include (via Wikipedia and OEIS A001190): Otter Trees - the number of unordered rooted trees with n leaves in which all nodes including the root have either zero or exactly two children. Planted Trees - the number of unordered rooted trees with n nodes in which the root has degree zero or one and all other nodes have at most two children. The number of different ways of organizing a single-elimination tournament for n players Number of colorations of Kn (complete graph of order n) with n-1 colors such that no triangle is three-colored Calculation of the Wedderburn-Etherington number is done via a recurrence relationship for odd n: and even n: Because these relations are highly recursive, this implementation uses a cache for efficiency. Examples iex&gt; Math.wedderburn_etherington_number(3) 1 iex&gt; Math.wedderburn_etherington_number(5) 3 iex&gt; Math.wedderburn_etherington_number(9) 46 iex&gt; Math.wedderburn_etherington_number(45) 639754054803187 iex&gt; Math.wedderburn_etherington_number(300) 1972666500548256069567265504055115733765719122240464770401890754621349706143463425967160618093669965967626678829167"},{"ref":"Chunky.Sequence.html","title":"Chunky.Sequence","type":"module","doc":"Create and manipulate mathematical sequences. New values in the sequences are created only when requested, allowing iteration of finite and infinite data in a lazy fashion: iex&gt; data = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.take(6) iex&gt; data |&gt; Tuple.to_list() |&gt; List.first() [1, 2, 3, 4, 5, 6] Available Sequences The Chunky.Sequence modules have sequences available in: Chunky.Sequence.Basic - Simple integer sequences, and defined sequence progressions Chunky.Sequence.OEIS - Integer Sequences from the Online Encyclopedia of Integer Sequences Chunky.Sequence.Test - Sequences for test purposes About Sequences Sequences are stateful - sequence manipulations will always return a %Sequence{} object along with any other requested data. Repeated calls to the same instance of a Sequence struct will always yield the same result: iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers, [start: 100]) iex&gt; (seq |&gt; Sequence.next!()).value 100 iex&gt; (seq |&gt; Sequence.next!()).value 100 The updated Sequence struct needs to be maintained, and passed along to other functions, to create new sequence values: iex&gt; seq_a = Sequence.create(Sequence.Basic, :whole_numbers, [start: 100]) iex&gt; seq_b = seq_a |&gt; Sequence.next!() iex&gt; seq_b.value 100 iex&gt; seq_c = seq_b |&gt; Sequence.next!() iex&gt; seq_c.value 101 or iex&gt; seq_a = Sequence.create(Sequence.Basic, :whole_numbers, [start: 100]) iex&gt; seq_n = seq_a |&gt; Sequence.next!() |&gt; Sequence.next!() |&gt; Sequence.next!() iex&gt; seq_n.value 102 Sequences count indices as they go - the first value will always be at index 0: iex&gt; {_v, seq} = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.next() iex&gt; seq.value 1 iex&gt; seq.index 0 Some sequences start at an index other than 0, like the Sum of Odd Divisors (A000593): iex&gt; seq = Sequence.create(Sequence.OEIS.Core, :a000593) |&gt; Sequence.next!() iex&gt; seq.index 1 Working with Sequences Creating Sequences create/3 - Create a new sequence instance Finding and Inspecting Sequences available/0 - List all loaded sequences from all loaded applications and modules available/1 - List available sequences from a specific module has_next?/1 - Check that a sequence has at least one more available value is_available?/2 - Check if a specific sequence is available is_finite?/1 - Check of a sequence is finite or infinite in the Sequence library implementation is_instance?/2 - Check if a sequence is an instance of a specific sequence identifier is_instance?/3 - Check if a sequence is an instance of a specific sequence identifier get_references/1 - Retrieve reference sources and links for a sequence has_reference?/2 - Check if a sequence has a specific reference source readable_name/1 - Find the human readable name of a sequence Manipulating Sequences drop/2 - Drop N values from the front of the sequence map/2 - Apply a function to values in a sequence, and collect the result next/1 - Retrieve the next sequence value and updated sequence struct as a tuple next!/1 - Retrieve the next sequence as just an updated sequence struct take/2 - Like Enum.take/2 - retrieve a list of values from a sequence take!/2 - Like take/2, but only return the updated sequence struct Developing Sequences sequence_for_function/1 - Wrap a function as a sequence - see Developing New Sequences sequence_for_list/1 - Wrap a list as a sequence - see Developing New Sequences Developing New Sequences Sequences can be built in three different ways: Verbose Iterators (See Sequence.Basic.create_sequence_whole_numbers/1) Simple Functions (See sequence_for_function/1 and Sequence.OEIS.create_sequence_a000045/1) Static Lists (See sequence_for_list/1 and Sequence.Basic.create_sequence_empty/1) All three ways of developing sequences have things in common: All will have a create_sequence_*/1 function - this is how the Sequence package finds and instantiates sequences All will have common function attributes (via data @doc attributes) for the create_sequence_*/1 function Sequence Attributes Top level create_sequence_* functions should have the following attributes: sequence - Readable name of the sequence references - List of tuples of the form {:source, :short_name, &quot;URI&quot;} along with the required attributes, the following optional attributes can be used: offset - Integer. Default 0. Start a sequence at an index other than 0. Verbose Iterators The most expressive way to write sequences is using the Verbose Iterators technique. In this style, the create_sequence_*/1 function returns a map that is used to build out the %Sequence{} struct. Let&#39;s take apart the :whole_numbers sequence in the Sequence.Basic module. The create function looks like: @doc sequence: &quot;Whole numbers: [1, 2, 3, 4, 5, ...]&quot;, references: [{:wolfram, :positive_integer, &quot;http://mathworld.wolfram.com/PositiveInteger.html&quot;}, {:wikipedia, :natural_number, &quot;https://en.wikipedia.org/wiki/Natural_number&quot;}] def create_sequence_whole_numbers(opts \\ []) do start = opts |&gt; Keyword.get(:start, 1) %{ next_fn: &amp;seq_whole_number_next/3, data: %{ start: start } } end Starting with the @doc attributes, and working through the whole function: The @doc attribute defines the sequence readable name with the sequence: attribute The @doc attribute defines references for the sequence with the references: attribute (See get_references/1) The function signature create_sequence_whole_numbers/1 defines the sequence identifier whole_numbers - this is automatically translated by the Sequence module functions For this sequence, we check for a start option - what value our sequence should start at We return a Map with two keys, the next_fn which is a function with arity 3, and a data attribute, which we can use to store any data we like Every next_fn (or iterator function) for a sequence can be called in two ways; :init mode and :next mode. The :init mode is used to prime the value and our state, the data attribute we set in our create function. In :next mode we generate the next value in our sequence. Both modes can update the data state map, which is maintained by the sequence functions. This allows more complex information needed to generate values to be stored. Let&#39;s take a look at how the seq_whole_number_next/3 function we referenced handles the two modes for the :whole_numbers sequence: defp seq_whole_number_next(:init, data, _value) do %{ data: data, value: data.start - 1 } end defp seq_whole_number_next(:next, data, value) do { :continue, %{data: data, value: value + 1} } end In this case we use two different functions to handle the :init and :next states. In the :init we update our value, and return our state (the data attribute) as is. When generating the next iteration value in :next mode, we refernce the value parameter, which was the last calculated value for the sequence. In this case we return a slightly different structure: we explicitly let the iterator know that our sequence can continue further - we have more values. The return value of the next_fn iterator can be of three forms. Map form: %{data: %{}, value: _} Continue tuple form: { :continue, %{data: %{}, value: _} } or Last tuple form: { :last, %{data: %{}, value: _} } If the :last tuple form is returned, the sequence is marked as finished, and no further values will be generated. Simple Functions Some sequences can be generated from a single function, like many mathematical progressions. The Verbose Iterator way of writing a sequence would be overkill - we can use the sequence_for_function/1 utility for wrapping a single function in a sequence. See sequence_for_function/1 for more details. As a simple example we can look at how the OEIS Fibonacci sequence is implemented: @doc sequence: &quot;OEIS A000045 - Fibonacci Numbers [0, 1, 1, 2, 3, 5, ...]&quot;, references: [{:oeis, :a000045, &quot;https://oeis.org/A000045&quot;}] def create_sequence_fibonacci(_opts) do sequence_for_function(&amp;seq_a000045/3) end def seq_a000045(idx, a, b) do case idx do 0 -&gt; 0 1 -&gt; 1 _ -&gt; a + b end end Like when writing a sequence as a Verbose Iterator, we have a create_sequence_*/1 function with @doc attributes that define the sequence name and references. Then we provide the sequence_for_function/1 function with a reference to the function that generates values - in this case a fibonacci function that uses the index and last two calculated values to determine the next value in the sequence. Static Lists For sufficiently small finite lists, we can use the sequence_for_list/1 utility function to wrap a list of static values as a sequence. See sequence_for_list/1 for more details. We can take apart the :decimal_digits sequence: @doc sequence: &quot;Decimal digits: [0, 1, 2, 3, 4, ...]&quot;, references: [{:wikipedia, :decimal_digit, &quot;https://en.wikipedia.org/wiki/Numerical_digit&quot;}] def create_sequence_decimal_digits(_opts) do sequence_for_list([0, 1, 2, 3, 4, 5, 6, 7, 8, 9]) end This sequence has the expected sequence: and references: doc attributes, and then a call to the sequence_for_list/1 function with a list of data."},{"ref":"Chunky.Sequence.html#available/0","title":"Chunky.Sequence.available/0","type":"function","doc":"Scan all loaded applications and modules for sequences. This is almost identical to the available/1 function, but it scans a selection of loaded applications and modules, excluding the core libraries, for sequences. The return values are the same as for available/1."},{"ref":"Chunky.Sequence.html#available/1","title":"Chunky.Sequence.available/1","type":"function","doc":"List available sequence in a specific module. Sequences are organized into modules, with sequences of different sources or shapes in different modules. Sequences built or included via alternate packages can also be queried this way. Example iex&gt; Sequence.available(Sequence.Basic) |&gt; length() 3 iex&gt; Sequence.available(Sequence.Basic) |&gt; List.last() %{description: &quot;Whole numbers: [1, 2, 3, 4, 5, ...]&quot;, name: &quot;Whole Numbers&quot;, sequence: :whole_numbers, module: Sequence.Basic}"},{"ref":"Chunky.Sequence.html#create/3","title":"Chunky.Sequence.create/3","type":"function","doc":"Instantiate an instance of a sequence. iex&gt; seq = Sequence.create(Sequence.Basic, :empty) iex&gt; seq |&gt; Sequence.readable_name() &quot;Empty sequence: []&quot; iex&gt; seq = Sequence.create(Sequence.OEIS, :fibonacci) iex&gt; seq |&gt; Sequence.take!(10) [0, 1, 1, 2, 3, 5, 8, 13, 21, 34] Some sequences accept options, which change the progression or shape of the generated sequence data: iex&gt; Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.take!(5) [1, 2, 3, 4, 5] iex&gt; Sequence.create(Sequence.Basic, :whole_numbers, [start: 13]) |&gt; Sequence.take!(5) [13, 14, 15, 16, 17] Finding Available Sequences Sequences are referenced by Module name and a sequence identifier. The documentation for the Sequence sub-modules contains reference data for all available sequences. See: Chunky.Sequence.Basic Chunky.Sequence.OEIS Available sequences can be found with available/1: iex&gt; Sequence.available(Sequence.Basic) |&gt; List.first() %{description: &quot;Decimal digits: [0, 1, 2, 3, 4, ...]&quot;, name: &quot;Decimal Digits&quot;, sequence: :decimal_digits, module: Sequence.Basic} The function name within a module can also be used to identify a sequence, as all sequence generation functions follow the format create_sequence_*. The OEIS fibonacci sequence is indirectly created via the function Chunky.Sequence.OEIS.create_sequence_fibonacci/1."},{"ref":"Chunky.Sequence.html#drop/2","title":"Chunky.Sequence.drop/2","type":"function","doc":"Drop values from the front of the sequence, returning the updated sequence struct. Like Enum.drop/2. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; seq |&gt; Sequence.drop(10) |&gt; Sequence.take!(10) [11, 12, 13, 14, 15, 16, 17, 18, 19, 20]"},{"ref":"Chunky.Sequence.html#get_references/1","title":"Chunky.Sequence.get_references/1","type":"function","doc":"Retrieve sequence reference data from a sequence description dictionary, like those returned by available/1 and available/0. Examples iex&gt; %{module: Chunky.Sequence.OEIS.Factors, sequence: :a052486} |&gt; Sequence.get_references() [{:oeis, :a052486, &quot;https://oeis.org/A052486&quot;}, {:wikipedia, :achilles_number, &quot;https://en.wikipedia.org/wiki/Achilles_number&quot;}]"},{"ref":"Chunky.Sequence.html#has_next?/1","title":"Chunky.Sequence.has_next?/1","type":"function","doc":"Check that a sequence has more values. Some sequences are finite, and have distinct end points. For finite sequences it can make sense to check for additional values before trying to access more data: iex&gt; seq = Sequence.create(Sequence.Basic, :empty) |&gt; Sequence.next!() iex&gt; seq |&gt; Sequence.has_next?() false iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.next!() iex&gt; seq |&gt; Sequence.has_next?() true"},{"ref":"Chunky.Sequence.html#has_reference?/2","title":"Chunky.Sequence.has_reference?/2","type":"function","doc":"Check if a sequence instance has a reference to a specific source. See also get_references/1. Examples iex&gt; Sequence.create(Sequence.Basic, :whole_numbers) |&gt; Sequence.has_reference?(:wolfram) true iex&gt; Sequence.create(Sequence.OEIS, :a000045) |&gt; Sequence.has_reference?(:oeis) true iex&gt; Sequence.create(Sequence.OEIS, :a000045) |&gt; Sequence.has_reference?(:wolfram) false"},{"ref":"Chunky.Sequence.html#is_available?/2","title":"Chunky.Sequence.is_available?/2","type":"function","doc":"Determine if a specific sequence is available. Example iex&gt; Sequence.is_available?(Sequence.OEIS, :fibonacci) true iex&gt; Sequence.is_available?(Sequence.OEIS, :quadronacci) false"},{"ref":"Chunky.Sequence.html#is_finite?/1","title":"Chunky.Sequence.is_finite?/1","type":"function","doc":"Determine if a sequence is finite or infinite. A sequence being finite or infinite is not a reflection of the absolute computability or theoretical limits of a sequence, but is determined by the quantity of values available in the Sequence library implementation. Examples iex&gt; Sequence.create(Sequence.OEIS, :fibonacci) |&gt; Sequence.is_finite?() false iex&gt; Sequence.create(Sequence.OEIS.Core, :a000001) |&gt; Sequence.is_finite?() true"},{"ref":"Chunky.Sequence.html#is_instance?/2","title":"Chunky.Sequence.is_instance?/2","type":"function","doc":"Check if a sequence struct is an instance of a specific sequence. See also is_instance?/3. Example iex&gt; seq = Sequence.create(Sequence.OEIS, :a000045) iex&gt; seq |&gt; Sequence.is_instance?({Sequence.OEIS, :a000066}) false iex&gt; seq |&gt; Sequence.is_instance?({Sequence.OEIS, :a000045}) true"},{"ref":"Chunky.Sequence.html#is_instance?/3","title":"Chunky.Sequence.is_instance?/3","type":"function","doc":"Check if a sequence struct is an instance of a specific sequence. See also is_instance?/2. Example iex&gt; seq = Sequence.create(Sequence.OEIS, :a000045) iex&gt; seq |&gt; Sequence.is_instance?(Sequence.OEIS, :a000066) false iex&gt; seq |&gt; Sequence.is_instance?(Sequence.OEIS, :a000045) true"},{"ref":"Chunky.Sequence.html#map/2","title":"Chunky.Sequence.map/2","type":"function","doc":"Apply a function to every value in a Sequence. Like Enum.map/2. For infinite sequences, this will never complete. Use Sequence.take/2 and apply a normal map. Examples iex&gt; Sequence.create(Sequence.Test, :list_medium) |&gt; Sequence.map(fn v -&gt; v * 3 end) [3, 6, 9, 12, 15, 18, 21, 24, 27, 30]"},{"ref":"Chunky.Sequence.html#next/1","title":"Chunky.Sequence.next/1","type":"function","doc":"Iterate a sequence, returning the sequence value and updated sequence struct. The sequence struct needs to be maintained in order to iterate a sequence; with the next/1 function, you can access the iterated value and the updated struct with the same call. Example iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; {val, _updated_seq} = seq |&gt; Sequence.next() iex&gt; val 1"},{"ref":"Chunky.Sequence.html#next!/1","title":"Chunky.Sequence.next!/1","type":"function","doc":"Iterate a sequence, returning only the updated Sequence structure. The Sequence structure maintains the last index and value seen in a sequence, so is a useful shorthand when explictly returning the sequence value isn&#39;t necessary. This also makes it possible to chain together calls to next!/1 and other sequence methods. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; updated_seq = seq |&gt; Sequence.next!() iex&gt; updated_seq.value 1"},{"ref":"Chunky.Sequence.html#readable_name/1","title":"Chunky.Sequence.readable_name/1","type":"function","doc":"Get a human readable name for a sequence. Example iex&gt; Sequence.create(Sequence.OEIS, :a000045) |&gt; Sequence.readable_name() &quot;OEIS A000045 - Fibonacci Numbers [0, 1, 1, 2, 3, 5, ...]&quot;"},{"ref":"Chunky.Sequence.html#sequence_for_function/1","title":"Chunky.Sequence.sequence_for_function/1","type":"function","doc":"Create a new sequence from a simple function and an information function. The simple sequence function should take one or more parameters, corresponding to the last N values of the sequence. Configuration Configuration values for the sequence function can be provided as @doc string attributes on the function. Supported attributes are: fill_value - Integer. Optional. Default 0. Filler value used as parameters to sequence function when existing values haven&#39;t yet been calculated sequence - String. Required. Short sequence summary. data - Map. Optional. Static information to add to sequence data attribute Sequence Function The sequence function will be called with the index of the current value to calculate, and the last N values of the function, where N is the function arity minus one. For example, to setup a function that adds the last three values in the sequence, with the first three values being 1, 1, 1, we could write the function: def add_last_three(_idx, a, b, c) do case {a, b, c} do {0, 0, 0} -&gt; 1 {0, 0, _} -&gt; 2 {0, _, _} -&gt; 3 {va, vb, vc} -&gt; va+vb+vc end end In this case we don&#39;t use the index of the function at all. Using the sequence_for_function/1 call we could register this sequence inside a create function (so that it can be properly instantiated): def create_sequence_add_last_three(_opts) do sequence_for_function(&amp;add_last_three/4) end Note that the create_sequence_add_last_three/1 function should have proper sequence and references attributes. See the Developing Sequences section for more details. Attributes For the @doc attributes of the sequence function to readable, the function reference passed to the sequence_for_function/1 function must be scoped to a module or module alias, not a bare referene. This means that this will work: sequence_for_function(&amp;Sequence.Test.seq_last_three/4) but the following will not: sequence_for_function(&amp;seq_last_three/4) Offset Attribute Some sequences don&#39;t start counting at index 0. When a different offset is required than the default 0, the offset attribute can be used. This attribute needs to be set on the create_sequence_* function as well as the simple sequence function: @doc offset: 2 def create_sequence_count_from_two(_opts) do end @doc offset: 2 def seq_count_from_two(idx) do # first _idx_ received will be 2 end Data attribute If the sequence function uses a data attribute, the call signature of the sequence function changes. For example, a simple function using the last two values, with no data attribute, will have a function signature like: def seq_no_data_last_two(idx, a, b) do ... end While a sequence function that has a data attribute will look like: @doc data: %{start_values: [1, 2, 3]} def seq_with_data_last_two(data, idx, a, b) do ... end Fill Value attribute Sequence functions that reference past values are normally called with 0 if some of the past values haven&#39;t yet been created. The fill_value doc attribute can be used to change the default value. For instance, on the first call to iterate the sequence: def seq_defaults_last_two(idx, a, b) do # a == 0 # b == 0 end but when we change the fill_value: @doc fill_value: 17 def seq_fill_last_two(idx, a, b) do # a == 17 # b == 17 end"},{"ref":"Chunky.Sequence.html#sequence_for_list/1","title":"Chunky.Sequence.sequence_for_list/1","type":"function","doc":"Create a sequence that references a static list of data. In the case of suitable small finite sequences, it is significantly easier to use a static list of data as a sequence. The sequence_for_list/1 function provides a simple way to do this. For example, to create a sequence for a short list of 5 numbers: def create_sequence_my_short_list(_opts) do sequence_for_list([3, 7, 11, 27, 47]) end Like with the sequence_for_function/1 example, the above example create_sequence_* function should include full sequence and references doc attributes. See the Developing Sequences section for more details. Sequences generated from a list behave just like any other sequence. Attributes of List Sequences Finite Sequence A sequence created from a list is automatically marked as finite. See is_finite?/1. Offset Attribute Some sequences don&#39;t start counting at index 0. When a different offset is required than the default 0, the offset attribute can be used. This attribute needs to be set on the create_sequence_* function. @doc offset: 2 def create_sequence_count_from_two(_opts) do sequence_from_list([0, 0, 200, 201, 203, 204]) end"},{"ref":"Chunky.Sequence.html#take/2","title":"Chunky.Sequence.take/2","type":"function","doc":"Retrieve the first N values from a sequence, like Enum.take/2. This version of the take function returns a separate list of values and the sequence state. See also Sequence.take!/2. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; {values, _n_seq} = seq |&gt; Sequence.take(10) iex&gt; values [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] iex&gt; seq = Sequence.create(Sequence.OEIS, :fibonacci) iex&gt; {values, _n_seq} = seq |&gt; Sequence.take(10) iex&gt; values [0, 1, 1, 2, 3, 5, 8, 13, 21, 34]"},{"ref":"Chunky.Sequence.html#take!/2","title":"Chunky.Sequence.take!/2","type":"function","doc":"Retrieve the next count values from a sequence, without retaining sequence state. This function behaves similarly to the take/2 function, but the state of the sequence isn&#39;t maintained, so any subsequent calls to the same sequence will still contain the values retrieved with take!. Examples iex&gt; seq = Sequence.create(Sequence.Basic, :whole_numbers) iex&gt; seq |&gt; Sequence.take!(5) [1, 2, 3, 4, 5] iex&gt; seq |&gt; Sequence.take!(10) [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]"},{"ref":"Chunky.Sequence.Basic.html","title":"Chunky.Sequence.Basic","type":"module","doc":"Working with basic sequences."},{"ref":"Chunky.Sequence.Basic.html#create_sequence_decimal_digits/1","title":"Chunky.Sequence.Basic.create_sequence_decimal_digits/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Basic.html#create_sequence_empty/1","title":"Chunky.Sequence.Basic.create_sequence_empty/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Basic.html#create_sequence_whole_numbers/1","title":"Chunky.Sequence.Basic.create_sequence_whole_numbers/1","type":"function","doc":"Generate the sequence of whole numbers, [1, 2, 3, 4, ...]"},{"ref":"Chunky.Sequence.OEIS.html","title":"Chunky.Sequence.OEIS","type":"module","doc":"Online Encyclopedia of Integer Sequences (OEIS) sequence iterators. Supported sequences are broken down into modules based on OEIS Keyword, subject matter, or related methods. Available Modules Chunky.Sequence.OEIS.Core - OEIS core Keyword sequences Chunky.Sequence.OEIS.Sigma - Sequenecs related to the Sigma (𝝈) function Available Sequences A000045 - Fibonacci Numbers - :a000045 or :fibonacci"},{"ref":"Chunky.Sequence.OEIS.html#coverage/0","title":"Chunky.Sequence.OEIS.coverage/0","type":"function","doc":"Print out a coverage report for named sequence groups (like CORE) in the OEIS sequence support modules."},{"ref":"Chunky.Sequence.OEIS.html#coverage/1","title":"Chunky.Sequence.OEIS.coverage/1","type":"function","doc":"Calculate the OEIS Sequence coverage for a particular sequence group. This is primarily for reference and testing, and is used to determine the completeness of sequence coverage in the Chunky.Sequence.OEIS modules. Example iex&gt; (Sequence.create(Sequence.OEIS, :keyword_core) |&gt; Sequence.OEIS.coverage()).percent &lt; 1.0 true iex&gt; (Sequence.create(Sequence.OEIS, :keyword_core) |&gt; Sequence.OEIS.coverage()).percent &gt; 0.0 true"},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_a000045/1","title":"Chunky.Sequence.OEIS.create_sequence_a000045/1","type":"function","doc":"OEIS Sequence A000045 - Fibonacci numbers From OEIS A000045 Fibonacci numbers: F(n) = F(n-1) + F(n-2) with F(0) = 0 and F(1) = 1. (Formerly M0692 N0256) Sequence IDs: :a000045, :fibonacci Finite: false Example iex&gt; Sequence.create(Sequence.OEIS, :a000045) |&gt; Sequence.take!(10) [0, 1, 1, 2, 3, 5, 8, 13, 21, 34]"},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_fibonacci/1","title":"Chunky.Sequence.OEIS.create_sequence_fibonacci/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core/1","type":"function","doc":"The Online Encyclopedia of Integer Sequences list of Core Sequences. This list is primarily for reference lookup and Sequence introspection, in particular calculating the coverage of Core sequences in Chunky.Sequences."},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core_easy/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core_easy/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core_eigen/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core_eigen/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core_hard/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core_hard/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#create_sequence_keyword_core_mult/1","title":"Chunky.Sequence.OEIS.create_sequence_keyword_core_mult/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#missing_sequences/1","title":"Chunky.Sequence.OEIS.missing_sequences/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.html#missing_sequences/2","title":"Chunky.Sequence.OEIS.missing_sequences/2","type":"function","doc":"Find the next 100 missing sequences from a coverage set"},{"ref":"Chunky.Sequence.OEIS.html#seq_a000045/3","title":"Chunky.Sequence.OEIS.seq_a000045/3","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html","title":"Chunky.Sequence.OEIS.Core","type":"module","doc":"OEIS Core Sequences. Available Sequences A000001 - Number of groups of order n - :a000001 - create_sequence_a000001/1 A000002 - Kolakoski sequence - :a000002 - create_sequence_a000002/1 A000004 - The zero sequence - :a000004 - create_sequence_a000004/1 A000005 - Divisors of N - :a000005 - create_sequence_a000005/1 A000007 - The characteristic function of {0}: a(n) = 0^n - :a000007 - create_sequence_a000007/1 A000009 - Number of partitions of n into distinct parts - :a000009 - create_sequence_a000009/1 A000010 - Euler&#39;s totient function - :a000010 - create_sequence_a000010/1 A000012 - The simplest sequence of positive numbers: the all 1&#39;s sequence - :a000012 - create_sequence_a000012/1 A000027 - The positive integers - :a000027 - create_sequence_a000027/1 A000032 - Lucas numbers beginning at 2 - :a000032 - create_sequence_a000032/1 A000035 - Period 2: repeat [0, 1]; a(n) = n mod 2 - :a000035 - create_sequence_a000035/1 A000040 - The prime numbers. - :a000040 - create_sequence_a000040/1 A000041 - Partition Numbers - :a000041 - create_sequence_a000041/1 A000043 - Mersenne exponents: primes p such that 2^p - 1 is prime. - :a000043 - create_sequence_a000043/1 A000069 - Odious numbers: numbers with an odd number of 1&#39;s in their binary expansion - :a000069 - create_sequence_a000069/1 A000079 - Powers of 2 - :a000079 - create_sequence_a000079/1 A000081 - Number of unlabeled rooted trees with n nodes - :a000081 - create_sequence_a000081/1 A000085 - Number of self-inverse permutations on n letters, also known as involutions - :a000085 - create_sequence_a000085/1 A000105 - Number of free polyominoes (or square animals) with n cells - :a000105 - create_sequence_a000105/1 A000108 - Catalan numbers: C(n), Also called Segner numbers. - :a000108 - create_sequence_a000108/1 A000109 - Number of simplicial polyhedra with n nodes - :a000109 - create_sequence_a000109/1 A000110 - Bell or exponential numbers: number of ways to partition a set of n labeled elements - :a000110 - create_sequence_a000110/1 A000111 - Euler or up/down numbers - :a000111 - create_sequence_a000111/1 A000112 - Number of partially ordered sets (&quot;posets&quot;) with n unlabeled elements - :a000112 - create_sequence_a000112/1 A000120 - 1&#39;s-counting sequence: number of 1&#39;s in binary expansion of n (or the binary weight of n) - :a000120 - create_sequence_a000120/1 A000124 - Central polygonal numbers (the Lazy Caterer&#39;s sequence) - :a000124 - create_sequence_a000124/1 A000129 - Pell numbers: a(n) = 2*a(n-1) + a(n-2) - :a000129 - create_sequence_a000129/1 A000142 - Factorial numbers: n! = 1234...*n - :a000142 - create_sequence_a000142/1 A000166 - Subfactorial or rencontres numbers, or derangements of n - :a000166 - create_sequence_a000166/1 A000169 - Number of labeled rooted trees with n nodes: n^(n-1) - :a000169 - create_sequence_a000169/1 A000203 - Sum of Divisors - :a000203 - create_sequence_a000203/1 A000204 - Lucas numbers (beginning with 1) - :a000204 - create_sequence_a000204/1 A000217 - Triangular numbers: a(n) = binomial(n+1,2) - :a000217 - create_sequence_a000217/1 A000219 - Number of planar partitions (or plane partitions) of n - :a000219 - create_sequence_a000219/1 A000225 - a(n) = 2^n - 1 - :a000225 - create_sequence_a000225/1 A000244 - Powers of 3 - :a000244 - create_sequence_a000244/1 A000262 - Number of &quot;sets of lists&quot; - :a000262 - create_sequence_a000262/1 A000272 - Number of trees on n labeled nodes - :a000272 - create_sequence_a000272/1 A000290 - The squares: a(n) = n^2 - :a000290 - create_sequence_a000290/1 A000292 - Tetrahedral (or triangular pyramidal) numbers - :a000292 - create_sequence_a000292/1 A000302 - Powers of 4: a(n) = 4^n - :a000302 - create_sequence_a000302/1 A000312 - a(n) = n^n; number of labeled mappings from n points to themselves - :a000312 - create_sequence_a000312/1 A000326 - Pentagonal numbers: a(n) = n(3n-1)/2. - :a000326 - create_sequence_a000326/1 A000330 - Square pyramidal numbers - :a000330 - create_sequence_a000330/1 A000364 - Euler (or secant or &quot;Zig&quot;) numbers - :a000364 - create_sequence_a000364/1 A000396 - Perfect Numbers - :a000396 - create_sequence_a000396/1 A000521 - Coefficients of modular function j as power series in q = e^(2 Pi i t) - :a000521 - create_sequence_a000521/1 A000578 - The cubes: a(n) = n^3. - :a000578 - create_sequence_a000578/1 A000583 - Fourth powers: a(n) = n^4. - :a000583 - create_sequence_a000583/1 A000593 - Sum of Odd Divisors of N - :a000593 - create_sequence_a000593/1 A000594 - Ramanujan&#39;s tau function - :a000594 - create_sequence_a000594/1 A000609 - Number of threshold functions of n or fewer variables - :a000609 - create_sequence_a000609/1 A000670 - Fubini numbers - :a000670 - create_sequence_a000670/1 A000688 - Number of Abelian groups of order n - :a000688 - create_sequence_a000688/1 A000720 - pi(n), the number of primes &lt;= n. - :a000720 - create_sequence_a000720/1 A000796 - Decimal expansion of Pi - :a000796 - create_sequence_a000796/1 A000798 - Number of different quasi-orders (or topologies, or transitive digraphs) with n labeled elements - :a000798 - create_sequence_a000798/1 A000959 - Lucky numbers - :a000959 - create_sequence_a000959/1 A000961 - Powers of primes. Alternatively, 1 and the prime powers (p^k, p prime, k &gt;= 1) - :a000961 - create_sequence_a000961/1 A000984 - Central binomial coefficients: binomial(2*n,n) - :a000984 - create_sequence_a000984/1 A001003 - Schroeder&#39;s second problem; also called super-Catalan numbers or little Schroeder numbers - :a001003 - create_sequence_a001003/1 A001006 - Motzkin numbers: number of ways of drawing any number of nonintersecting chords joining n points on a circle - :a001006 - create_sequence_a001006/1 A001045 - Jacobsthal sequence (or Jacobsthal numbers) - :a001045 - create_sequence_a001045/1 A001055 - The multiplicative partition function: number of ways of factoring n with all factors greater than 1 - :a001055 - create_sequence_a001055/1 A001065 - Sum of proper divisors (Aliquot parts) of N. - :a001065 - create_sequence_a001065/1 A001157 - Sum of squares of divisors of N - :a001157 - create_sequence_a001157/1 A001190 - Wedderburn-Etherington numbers: unlabeled binary rooted trees - :a001190 - create_sequence_a001190/1 A001221 - Number of distinct primes dividing n (also called omega(n)). - :a001221 - create_sequence_a001221/1 A001222 - Number of prime divisors of n counted with multiplicity (also called bigomega(n) or Omega(n)). - :a001222 - create_sequence_a001222/1 A001227 - Number of odd divisors of n. - :a001227 - create_sequence_a001227/1 A001358 - Semiprimes (or biprimes): products of two primes - :a001358 - create_sequence_a001358/1 A001477 - The nonnegative integers. - :a001477 - create_sequence_a001477/1 A001511 - The ruler function: 2^a(n) divides 2n - :a001511 - create_sequence_a001511/1 A001615 - Dedekind psi function - :a001615 - create_sequence_a001615/1 A002106 - Number of transitive permutation groups of degree n - :a002106 - create_sequence_a002106/1 A002654 - Number of ways of writing n as a sum of at most two nonzero squares, where order matters - :a002654 - create_sequence_a002654/1 A003094 - Number of unlabeled connected planar simple graphs with n nodes - :a003094 - create_sequence_a003094/1 A003484 - Radon function, also called Hurwitz-Radon numbers - :a003484 - create_sequence_a003484/1 A005100 - Deficient Numbers - :a005100 - create_sequence_a005100/1 A005101 - Abundant Numbers - :a005101 - create_sequence_a005101/1 A005117 - Squarefree numbers: numbers that are not divisible by a square greater than 1 - :a005117 - create_sequence_a005117/1 A005470 - Number of unlabeled planar simple graphs with n nodes - :a005470 - create_sequence_a005470/1 A006530 - Gpf(n): greatest prime dividing n - :a006530 - create_sequence_a006530/1 A006966 - Number of lattices on n unlabeled nodes - :a006966 - create_sequence_a006966/1 A008292 - Triangle of Eulerian numbers T(n,k) - :a008292 - create_sequence_a008292/1 A008683 - Möbius (or Moebius) function mu(n) - :a008683 - create_sequence_a008683/1 A020639 - Lpf(n): least prime dividing n - :a020639 - create_sequence_a020639/1 A055512 - Lattices with n labeled elements - :a055512 - create_sequence_a055512/1"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000001/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000001/1","type":"function","doc":"OEIS Sequence A000001 - Number of groups of order n. From OEIS A000001: Number of groups of order n. (Formerly M0098 N0035) Sequence IDs: :a000001 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000001) |&gt; Sequence.take!(94) [0,1,1,1,2,1,2,1,5,2,2,1,5,1,2,1,14,1,5,1,5,2,2,1,15,2,2,5,4,1,4,1,51,1,2,1,14,1,2,2,14,1,6,1,4,2,2,1,52,2,5,1,5,1,15,2,13,2,2,1,13,1,2,4,267,1,4,1,5,1,4,1,50,1,2,3,4,1,6,1,52,15,2,1,15,1,2,1,12,1,10,1,4,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000002/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000002/1","type":"function","doc":"OEIS Sequence A000002 - Kolakoski sequence From OEIS A000002: Kolakoski sequence: a(n) is length of n-th run; a(1) = 1; sequence consists just of 1&#39;s and 2&#39;s. (Formerly M0190 N0070) Sequence IDs: :a000002 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000002) |&gt; Sequence.take!(108) [1,2,2,1,1,2,1,2,2,1,2,2,1,1,2,1,1,2,2,1,2,1,1,2,1,2,2,1,1,2,1,1,2,1,2,2,1,2,2,1,1,2,1,2,2,1,2,1,1,2,1,1,2,2,1,2,2,1,1,2,1,2,2,1,2,2,1,1,2,1,1,2,1,2,2,1,2,1,1,2,2,1,2,2,1,1,2,1,2,2,1,2,2,1,1,2,1,1,2,2,1,2,1,1,2,1,2,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000004/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000004/1","type":"function","doc":"OEIS Sequence A000004 - The zero sequence. From OEIS A000004: The zero sequence. (Formerly M0000) Sequence IDs: :a000004 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000004) |&gt; Sequence.take!(102) [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000005/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000005/1","type":"function","doc":"OEIS Sequence A000005 - Number of divisors of N, simga-0(n), 𝝈0(n). From OEIS A000005: d(n) (also called tau(n) or sigma_0(n)), the number of divisors of n. (Formerly M0246 N0086) Sequence IDs: :a000005 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000005) |&gt; Sequence.take!(10) [1, 2, 2, 3, 2, 4, 2, 4, 3, 4]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000007/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000007/1","type":"function","doc":"OEIS Sequence A000007 - The characteristic function of {0}: a(n) = 0^n. From OEIS A000007: The characteristic function of {0}: a(n) = 0^n. (Formerly M0002) Sequence IDs: :a000007 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000007) |&gt; Sequence.take!(105) [1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000009/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000009/1","type":"function","doc":"OEIS Sequence A000009 - Number of partitions of n into distinct parts From OEIS A000009: Expansion of Product_{m &gt;= 1} (1 + x^m); number of partitions of n into distinct parts; number of partitions of n into odd parts (if n &gt; 0). (Formerly M0281 N0100) Divergence Calculation of this sequence is based on translation of a Maxima program by Vladimir Kruchinin, and diverges from canonical results for n &gt; 10. Sequence IDs: :a000009 Finite: False Offset: 0 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000009) |&gt; Sequence.take!(10) [1, 1, 1, 2, 2, 3, 4, 5, 6, 8]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000010/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000010/1","type":"function","doc":"OEIS Sequence A000010 - Euler&#39;s totient function phi(n) From OEIS A000010: Euler totient function phi(n): count numbers &lt;= n and prime to n. (Formerly M0299 N0111) Sequence IDs: :a000010 Finite: false Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000010) |&gt; Sequence.take!(20) [1, 1, 2, 2, 4, 2, 6, 4, 6, 4, 10, 4, 12, 6, 8, 8, 16, 6, 18, 8]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000012/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000012/1","type":"function","doc":"OEIS Sequence A000012 - The simplest sequence of positive numbers: the all 1&#39;s sequence. From OEIS A000012: The simplest sequence of positive numbers: the all 1&#39;s sequence. (Formerly M0003) Sequence IDs: :a000012 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000012) |&gt; Sequence.take!(90) [1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000027/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000027/1","type":"function","doc":"OEIS Sequence A000027 - The positive integers From OEIS A000027: The positive integers. Also called the natural numbers, the whole numbers or the counting numbers, but these terms are ambiguous. (Formerly M0472 N0173) Sequence IDs: :a000027 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000027) |&gt; Sequence.take!(77) [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000032/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000032/1","type":"function","doc":"OEIS Sequence A000032 - Lucas numbers beginning at 2: L(n) = L(n-1) + L(n-2), L(0) = 2, L(1) = 1. From OEIS A000032: Lucas numbers beginning at 2: L(n) = L(n-1) + L(n-2), L(0) = 2, L(1) = 1. (Formerly M0155) Sequence IDs: :a000032 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000032) |&gt; Sequence.take!(39) [2,1,3,4,7,11,18,29,47,76,123,199,322,521,843,1364,2207,3571,5778,9349,15127,24476,39603,64079,103682,167761,271443,439204,710647,1149851,1860498,3010349,4870847,7881196,12752043,20633239,33385282,54018521,87403803]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000035/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000035/1","type":"function","doc":"OEIS Sequence A000035 - Period 2: repeat [0, 1] From OEIS A000035: Period 2: repeat [0, 1]; a(n) = n mod 2; parity of n. (Formerly M0001) Sequence IDs: :a000035 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000035) |&gt; Sequence.take!(105) [0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000040/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000040/1","type":"function","doc":"OEIS Sequence A000040 - The prime numbers. From OEIS A000040: The prime numbers. (Formerly M0652 N0241) Sequence IDs: :a000040 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000040) |&gt; Sequence.take!(58) [2,3,5,7,11,13,17,19,23,29,31,37,41,43,47,53,59,61,67,71,73,79,83,89,97,101,103,107,109,113,127,131,137,139,149,151,157,163,167,173,179,181,191,193,197,199,211,223,227,229,233,239,241,251,257,263,269,271]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000041/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000041/1","type":"function","doc":"OEIS Sequence A000041 - Partitions of integer N This sequence contains the partitions of the integers from 0 to 250. From Wikipedia: In number theory, the partition function p(n) represents the number of possible partitions of a non-negative integer n. For instance, p(4) = 5 because the integer 4 has the five partitions: 1 + 1 + 1 + 1, 1 + 1 + 2, 1 + 3, 2 + 2, and 4. From OEIS A000041: a(n) is the number of partitions of n (the partition numbers). (Formerly M0663 N0244) Sequence IDs: :a000041 Finite: true Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000041) |&gt; Sequence.take!(10) [1, 1, 2, 3, 5, 7, 11, 15, 22, 30]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000043/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000043/1","type":"function","doc":"OEIS Sequence A000043 - Mersenne exponents: primes p such that 2^p - 1 is prime From OEIS A000043: Mersenne exponents: primes p such that 2^p - 1 is prime. Then 2^p - 1 is called a Mersenne prime. (Formerly M0672 N0248) Sequence IDs: :a000043 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000043) |&gt; Sequence.take!(47) [2,3,5,7,13,17,19,31,61,89,107,127,521,607,1279,2203,2281,3217,4253,4423,9689,9941,11213,19937,21701,23209,44497,86243,110503,132049,216091,756839,859433,1257787,1398269,2976221,3021377,6972593,13466917,20996011,24036583,25964951,30402457,32582657,37156667,42643801,43112609]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000069/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000069/1","type":"function","doc":"OEIS Sequence A000069 - Odious numbers: numbers with an odd number of 1&#39;s in their binary expansion. From OEIS A000069: Odious numbers: numbers with an odd number of 1&#39;s in their binary expansion. (Formerly M1031 N0388) Sequence IDs: :a000069 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000069) |&gt; Sequence.take!(65) [1,2,4,7,8,11,13,14,16,19,21,22,25,26,28,31,32,35,37,38,41,42,44,47,49,50,52,55,56,59,61,62,64,67,69,70,73,74,76,79,81,82,84,87,88,91,93,94,97,98,100,103,104,107,109,110,112,115,117,118,121,122,124,127,128]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000079/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000079/1","type":"function","doc":"OEIS Sequence A000079 - Powers of 2 a(n) = 2^n From OEIS A000009: Powers of 2: a(n) = 2^n. (Formerly M1129 N0432) Sequence IDs: :a000079 Finite: False Offset: 0 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000079) |&gt; Sequence.take!(20) [1, 2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, 524288]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000081/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000081/1","type":"function","doc":"OEIS Sequence A000081 - Number of unlabeled rooted trees with n nodes From OEIS A000081: Number of unlabeled rooted trees with n nodes (or connected functions with a fixed point). (Formerly M1180 N0454) Sequence IDs: :a000081 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000081) |&gt; Sequence.take!(31) [0,1,1,2,4,9,20,48,115,286,719,1842,4766,12486,32973,87811,235381,634847,1721159,4688676,12826228,35221832,97055181,268282855,743724984,2067174645,5759636510,16083734329,45007066269,126186554308,354426847597]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000085/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000085/1","type":"function","doc":"OEIS Sequence A000085 - Number of self-inverse permutations on n letters, also known as involutions; number of standard Young tableaux with n cells. From OEIS A000085: Number of self-inverse permutations on n letters, also known as involutions; number of standard Young tableaux with n cells. (Formerly M1221 N0469) Sequence IDs: :a000085 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000085) |&gt; Sequence.take!(28) [1,1,2,4,10,26,76,232,764,2620,9496,35696,140152,568504,2390480,10349536,46206736,211799312,997313824,4809701440,23758664096,119952692896,618884638912,3257843882624,17492190577600,95680443760576,532985208200576,3020676745975552]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000105/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000105/1","type":"function","doc":"OEIS Sequence A000105 - Number of free polyominoes (or square animals) with n cells. From OEIS A000105: Number of free polyominoes (or square animals) with n cells. (Formerly M1425 N0561) Sequence IDs: :a000105 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000105) |&gt; Sequence.take!(29) [1,1,1,2,5,12,35,108,369,1285,4655,17073,63600,238591,901971,3426576,13079255,50107909,192622052,742624232,2870671950,11123060678,43191857688,168047007728,654999700403,2557227044764,9999088822075,39153010938487,153511100594603]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000108/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000108/1","type":"function","doc":"OEIS Sequence A000108 - Catalan numbers: C(n) = binomial(2n,n)/(n+1) = (2n)!/(n!(n+1)!). Also called Segner numbers. From OEIS A000108: Catalan numbers: C(n) = binomial(2n,n)/(n+1) = (2n)!/(n!(n+1)!). Also called Segner numbers. (Formerly M1459 N0577) Sequence IDs: :a000108 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000108) |&gt; Sequence.take!(31) [1,1,2,5,14,42,132,429,1430,4862,16796,58786,208012,742900,2674440,9694845,35357670,129644790,477638700,1767263190,6564120420,24466267020,91482563640,343059613650,1289904147324,4861946401452,18367353072152,69533550916004,263747951750360,1002242216651368,3814986502092304]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000109/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000109/1","type":"function","doc":"OEIS Sequence A000109 - Number of simplicial polyhedra with n nodes From OEIS A000109: Number of simplicial polyhedra with n nodes; simple planar graphs with 3n-6 edges; maximal simple planar graphs; 3-connected planar triangulations; 3-connected triangulations of the sphere; 3-connected cubic planar graphs. (Formerly M1469 N0580) Sequence IDs: :a000109 Finite: False Offset: 3 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000109) |&gt; Sequence.take!(21) [1,1,1,2,5,14,50,233,1249,7595,49566,339722,2406841,17490241,129664753,977526957,7475907149,57896349553,453382272049,3585853662949,28615703421545]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000110/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000110/1","type":"function","doc":"OEIS Sequence A000110 - Bell or exponential numbers: number of ways to partition a set of n labeled elements. From OEIS A000110: Bell or exponential numbers: number of ways to partition a set of n labeled elements. (Formerly M1484 N0585) Sequence IDs: :a000110 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000110) |&gt; Sequence.take!(27) [1,1,2,5,15,52,203,877,4140,21147,115975,678570,4213597,27644437,190899322,1382958545,10480142147,82864869804,682076806159,5832742205057,51724158235372,474869816156751,4506715738447323,44152005855084346,445958869294805289,4638590332229999353,49631246523618756274]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000111/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000111/1","type":"function","doc":"OEIS Sequence A000111 - Euler or up/down numbers: e.g.f. sec(x) + tan(x). Also for n &gt;= 2, half the number of alternating permutations on n letters (A001250). From OEIS A000111: Euler or up/down numbers: e.g.f. sec(x) + tan(x). Also for n &gt;= 2, half the number of alternating permutations on n letters (A001250). (Formerly M1492 N0587) Sequence IDs: :a000111 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000111) |&gt; Sequence.take!(27) [1,1,1,2,5,16,61,272,1385,7936,50521,353792,2702765,22368256,199360981,1903757312,19391512145,209865342976,2404879675441,29088885112832,370371188237525,4951498053124096,69348874393137901,1015423886506852352,15514534163557086905,246921480190207983616,4087072509293123892361]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000112/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000112/1","type":"function","doc":"OEIS Sequence A000112 - Number of partially ordered sets (&quot;posets&quot;) with n unlabeled elements. From OEIS A000112: Number of partially ordered sets (&quot;posets&quot;) with n unlabeled elements. (Formerly M1495 N0588) Sequence IDs: :a000112 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000112) |&gt; Sequence.take!(17) [1,1,2,5,16,63,318,2045,16999,183231,2567284,46749427,1104891746,33823827452,1338193159771,68275077901156,4483130665195087]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000120/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000120/1","type":"function","doc":"OEIS Sequence A000120 - 1&#39;s-counting sequence: number of 1&#39;s in binary expansion of n (or the binary weight of n). From OEIS A000120: 1&#39;s-counting sequence: number of 1&#39;s in binary expansion of n (or the binary weight of n). (Formerly M0105 N0041) Sequence IDs: :a000120 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000120) |&gt; Sequence.take!(105) [0,1,1,2,1,2,2,3,1,2,2,3,2,3,3,4,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,2,3,3,4,3,4,4,5,3]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000124/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000124/1","type":"function","doc":"OEIS Sequence A000124 - Central polygonal numbers (the Lazy Caterer&#39;s sequence): n(n+1)/2 + 1; or, maximal number of pieces formed when slicing a pancake with n cuts. From OEIS A000124: Central polygonal numbers (the Lazy Caterer&#39;s sequence): n(n+1)/2 + 1; or, maximal number of pieces formed when slicing a pancake with n cuts. (Formerly M1041 N0391) Sequence IDs: :a000124 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000124) |&gt; Sequence.take!(53) [1,2,4,7,11,16,22,29,37,46,56,67,79,92,106,121,137,154,172,191,211,232,254,277,301,326,352,379,407,436,466,497,529,562,596,631,667,704,742,781,821,862,904,947,991,1036,1082,1129,1177,1226,1276,1327,1379]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000129/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000129/1","type":"function","doc":"OEIS Sequence A000129 - Pell numbers: a(0) = 0, a(1) = 1; for n &gt; 1, a(n) = 2*a(n-1) + a(n-2). From OEIS A000129: Pell numbers: a(0) = 0, a(1) = 1; for n &gt; 1, a(n) = 2*a(n-1) + a(n-2). (Formerly M1413 N0552) Sequence IDs: :a000129 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000129) |&gt; Sequence.take!(32) [0,1,2,5,12,29,70,169,408,985,2378,5741,13860,33461,80782,195025,470832,1136689,2744210,6625109,15994428,38613965,93222358,225058681,543339720,1311738121,3166815962,7645370045,18457556052,44560482149,107578520350,259717522849]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000142/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000142/1","type":"function","doc":"OEIS Sequence A000142 - Factorial numbers: n! = 1234...*n From OEIS A000142: Factorial numbers: n! = 1234...*n (order of symmetric group S_n, number of permutations of n letters). (Formerly M1675 N0659) Sequence IDs: :a000142 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000142) |&gt; Sequence.take!(23) [1,1,2,6,24,120,720,5040,40320,362880,3628800,39916800,479001600,6227020800,87178291200,1307674368000,20922789888000,355687428096000,6402373705728000,121645100408832000,2432902008176640000,51090942171709440000,1124000727777607680000]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000166/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000166/1","type":"function","doc":"OEIS Sequence A000166 - Subfactorial or rencontres numbers, or derangements: number of permutations of n elements with no fixed points. From OEIS A000166: Subfactorial or rencontres numbers, or derangements: number of permutations of n elements with no fixed points. (Formerly M1937 N0766) Sequence IDs: :a000166 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000166) |&gt; Sequence.take!(24) [1,0,1,2,9,44,265,1854,14833,133496,1334961,14684570,176214841,2290792932,32071101049,481066515734,7697064251745,130850092279664,2355301661033953,44750731559645106,895014631192902121,18795307255050944540,413496759611120779881,9510425471055777937262]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000169/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000169/1","type":"function","doc":"OEIS Sequence A000169 - Number of labeled rooted trees with n nodes: n^(n-1). From OEIS A000169: Number of labeled rooted trees with n nodes: n^(n-1). (Formerly M1946 N0771) Sequence IDs: :a000169 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000169) |&gt; Sequence.take!(20) [1,2,9,64,625,7776,117649,2097152,43046721,1000000000,25937424601,743008370688,23298085122481,793714773254144,29192926025390625,1152921504606846976,48661191875666868481,2185911559738696531968,104127350297911241532841,5242880000000000000000000]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000203/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000203/1","type":"function","doc":"OEIS Sequence A000203 - Sum of Divisors σ1(n) From OEIS A000203: (n) = sigma(n), the sum of the divisors of n. Also called sigma_1(n). (Formerly M2329 N0921) Sequence IDs: :a000203 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000203) |&gt; Sequence.take!(20) [1, 3, 4, 7, 6, 12, 8, 15, 13, 18, 12, 28, 14, 24, 24, 31, 18, 39, 20, 42]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000204/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000204/1","type":"function","doc":"OEIS Sequence A000204 - Lucas numbers (beginning with 1) From OEIS A000204: Lucas numbers (beginning with 1): L(n) = L(n-1) + L(n-2) with L(1) = 1, L(2) = 3. (Formerly M2341 N0924) Sequence IDs: :a000204 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000204) |&gt; Sequence.take!(39) [1,3,4,7,11,18,29,47,76,123,199,322,521,843,1364,2207,3571,5778,9349,15127,24476,39603,64079,103682,167761,271443,439204,710647,1149851,1860498,3010349,4870847,7881196,12752043,20633239,33385282,54018521,87403803,141422324]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000217/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000217/1","type":"function","doc":"OEIS Sequence A000217 - Triangular numbers: a(n) = binomial(n+1,2) From OEIS A000217: Triangular numbers: a(n) = binomial(n+1,2) = n(n+1)/2 = 0 + 1 + 2 + ... + n. (Formerly M2535 N1002) Sequence IDs: :a000217 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000217) |&gt; Sequence.take!(54) [0,1,3,6,10,15,21,28,36,45,55,66,78,91,105,120,136,153,171,190,210,231,253,276,300,325,351,378,406,435,465,496,528,561,595,630,666,703,741,780,820,861,903,946,990,1035,1081,1128,1176,1225,1275,1326,1378,1431]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000219/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000219/1","type":"function","doc":"OEIS Sequence A000219 - Number of planar partitions (or plane partitions) of n. From OEIS A000219: Number of planar partitions (or plane partitions) of n. (Formerly M2566 N1016) Sequence IDs: :a000219 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000219) |&gt; Sequence.take!(41) [1,1,3,6,13,24,48,86,160,282,500,859,1479,2485,4167,6879,11297,18334,29601,47330,75278,118794,186475,290783,451194,696033,1068745,1632658,2483234,3759612,5668963,8512309,12733429,18974973,28175955,41691046,61484961,90379784,132441995,193487501,281846923]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000225/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000225/1","type":"function","doc":"OEIS Sequence A000225 - a(n) = 2^n - 1. (Sometimes called Mersenne numbers, although that name is usually reserved for A001348.) From OEIS A000225: a(n) = 2^n - 1. (Sometimes called Mersenne numbers, although that name is usually reserved for A001348.) (Formerly M2655 N1059) Sequence IDs: :a000225 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000225) |&gt; Sequence.take!(33) [0,1,3,7,15,31,63,127,255,511,1023,2047,4095,8191,16383,32767,65535,131071,262143,524287,1048575,2097151,4194303,8388607,16777215,33554431,67108863,134217727,268435455,536870911,1073741823,2147483647,4294967295]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000244/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000244/1","type":"function","doc":"OEIS Sequence A000244 - Powers of 3. From OEIS A000244: Powers of 3. (Formerly M2807 N1129) Sequence IDs: :a000244 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000244) |&gt; Sequence.take!(28) [1,3,9,27,81,243,729,2187,6561,19683,59049,177147,531441,1594323,4782969,14348907,43046721,129140163,387420489,1162261467,3486784401,10460353203,31381059609,94143178827,282429536481,847288609443,2541865828329,7625597484987]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000262/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000262/1","type":"function","doc":"OEIS Sequence A000262 - Number of &quot;sets of lists&quot; From OEIS A000262: Number of &quot;sets of lists&quot;: number of partitions of {1,...,n} into any number of lists, where a list means an ordered subset. (Formerly M2950 N1190) Sequence IDs: :a000262 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000262) |&gt; Sequence.take!(22) [1,1,3,13,73,501,4051,37633,394353,4596553,58941091,824073141,12470162233,202976401213,3535017524403,65573803186921,1290434218669921,26846616451246353,588633468315403843,13564373693588558173,327697927886085654441,8281153039765859726341]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000272/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000272/1","type":"function","doc":"OEIS Sequence A000272 - Number of trees on n labeled nodes: n^(n-2) with a(0)=1. From OEIS A000272: Number of trees on n labeled nodes: n^(n-2) with a(0)=1. (Formerly M3027 N1227) Sequence IDs: :a000272 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000272) |&gt; Sequence.take!(20) [1,1,1,3,16,125,1296,16807,262144,4782969,100000000,2357947691,61917364224,1792160394037,56693912375296,1946195068359375,72057594037927936,2862423051509815793,121439531096594251776,5480386857784802185939]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000290/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000290/1","type":"function","doc":"OEIS Sequence A000290 - The squares: a(n) = n^2. From OEIS A000290: The squares: a(n) = n^2. (Formerly M3356 N1350) Sequence IDs: :a000290 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000290) |&gt; Sequence.take!(51) [0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400,441,484,529,576,625,676,729,784,841,900,961,1024,1089,1156,1225,1296,1369,1444,1521,1600,1681,1764,1849,1936,2025,2116,2209,2304,2401,2500]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000292/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000292/1","type":"function","doc":"OEIS Sequence A000292 - Tetrahedral (or triangular pyramidal) numbers: a(n) = C(n+2,3) = n(n+1)(n+2)/6. From OEIS A000292: Tetrahedral (or triangular pyramidal) numbers: a(n) = C(n+2,3) = n(n+1)(n+2)/6. (Formerly M3382 N1363) Sequence IDs: :a000292 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000292) |&gt; Sequence.take!(45) [0,1,4,10,20,35,56,84,120,165,220,286,364,455,560,680,816,969,1140,1330,1540,1771,2024,2300,2600,2925,3276,3654,4060,4495,4960,5456,5984,6545,7140,7770,8436,9139,9880,10660,11480,12341,13244,14190,15180]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000302/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000302/1","type":"function","doc":"OEIS Sequence A000302 - Powers of 4: a(n) = 4^n. From OEIS A000302: Powers of 4: a(n) = 4^n. (Formerly M3518 N1428) Sequence IDs: :a000302 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000302) |&gt; Sequence.take!(25) [1,4,16,64,256,1024,4096,16384,65536,262144,1048576,4194304,16777216,67108864,268435456,1073741824,4294967296,17179869184,68719476736,274877906944,1099511627776,4398046511104,17592186044416,70368744177664,281474976710656]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000312/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000312/1","type":"function","doc":"OEIS Sequence A000312 - a(n) = n^n; number of labeled mappings from n points to themselves (endofunctions). From OEIS A000312: a(n) = n^n; number of labeled mappings from n points to themselves (endofunctions). (Formerly M3619 N1469) Sequence IDs: :a000312 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000312) |&gt; Sequence.take!(18) [1,1,4,27,256,3125,46656,823543,16777216,387420489,10000000000,285311670611,8916100448256,302875106592253,11112006825558016,437893890380859375,18446744073709551616,827240261886336764177]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000326/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000326/1","type":"function","doc":"OEIS Sequence A000326 - Pentagonal numbers: a(n) = n(3n-1)/2. From OEIS A000326: Pentagonal numbers: a(n) = n(3n-1)/2. (Formerly M3818 N1562) Sequence IDs: :a000326 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000326) |&gt; Sequence.take!(47) [0,1,5,12,22,35,51,70,92,117,145,176,210,247,287,330,376,425,477,532,590,651,715,782,852,925,1001,1080,1162,1247,1335,1426,1520,1617,1717,1820,1926,2035,2147,2262,2380,2501,2625,2752,2882,3015,3151]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000330/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000330/1","type":"function","doc":"OEIS Sequence A000330 - Square pyramidal numbers: a(n) = 0^2 + 1^2 + 2^2 + ... + n^2 = n(n+1)(2*n+1)/6. From OEIS A000330: Square pyramidal numbers: a(n) = 0^2 + 1^2 + 2^2 + ... + n^2 = n(n+1)(2*n+1)/6. (Formerly M3844 N1574) Sequence IDs: :a000330 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000330) |&gt; Sequence.take!(45) [0,1,5,14,30,55,91,140,204,285,385,506,650,819,1015,1240,1496,1785,2109,2470,2870,3311,3795,4324,4900,5525,6201,6930,7714,8555,9455,10416,11440,12529,13685,14910,16206,17575,19019,20540,22140,23821,25585,27434,29370]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000364/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000364/1","type":"function","doc":"OEIS Sequence A000364 - Euler (or secant or &quot;Zig&quot;) numbers: e.g.f. (even powers only) sec(x) = 1/cos(x). From OEIS A000364: Euler (or secant or &quot;Zig&quot;) numbers: e.g.f. (even powers only) sec(x) = 1/cos(x). (Formerly M4019 N1667) Sequence IDs: :a000364 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000364) |&gt; Sequence.take!(17) [1,1,5,61,1385,50521,2702765,199360981,19391512145,2404879675441,370371188237525,69348874393137901,15514534163557086905,4087072509293123892361,1252259641403629865468285,441543893249023104553682821,177519391579539289436664789665]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000396/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000396/1","type":"function","doc":"OEIS Sequence A000396 - Perfect Numbers From OEIS A000396: Perfect numbers n: n is equal to the sum of the proper divisors of n. (Formerly M4186 N1744) Sequence IDs: :a000396 Finite: True Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000396) |&gt; Sequence.take!(5) [6, 28, 496, 8128, 33550336]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000521/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000521/1","type":"function","doc":"OEIS Sequence A000521 - Coefficients of modular function j as power series in q = e^(2 Pi i t) From OEIS A000521: Coefficients of modular function j as power series in q = e^(2 Pi i t). Another name is the elliptic modular invariant J(tau). (Formerly M5477 N2372) Sequence IDs: :a000521 Finite: False Offset: -1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000521) |&gt; Sequence.take!(17) [1,744,196884,21493760,864299970,20245856256,333202640600,4252023300096,44656994071935,401490886656000,3176440229784420,22567393309593600,146211911499519294,874313719685775360,4872010111798142520,25497827389410525184,126142916465781843075]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000578/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000578/1","type":"function","doc":"OEIS Sequence A000578 - The cubes: a(n) = n^3. From OEIS A000578: The cubes: a(n) = n^3. (Formerly M4499 N1905) Sequence IDs: :a000578 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000578) |&gt; Sequence.take!(41) [0,1,8,27,64,125,216,343,512,729,1000,1331,1728,2197,2744,3375,4096,4913,5832,6859,8000,9261,10648,12167,13824,15625,17576,19683,21952,24389,27000,29791,32768,35937,39304,42875,46656,50653,54872,59319,64000]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000583/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000583/1","type":"function","doc":"OEIS Sequence A000583 - Fourth powers: a(n) = n^4 From OEIS A000583: Fourth powers: a(n) = n^4. (Formerly M5004 N2154) Sequence IDs: :a000583 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000583) |&gt; Sequence.take!(34) [0,1,16,81,256,625,1296,2401,4096,6561,10000,14641,20736,28561,38416,50625,65536,83521,104976,130321,160000,194481,234256,279841,331776,390625,456976,531441,614656,707281,810000,923521,1048576,1185921]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000593/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000593/1","type":"function","doc":"OEIS Sequence A000593 - Sum of Odd Divisors of N From OEIS A000593: Sum of odd divisors of n. (Formerly M3197 N1292) Sequence IDs: :a000593 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a000593) |&gt; Sequence.take!(10) [1, 1, 4, 1, 6, 4, 8, 1, 13, 6]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000594/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000594/1","type":"function","doc":"OEIS Sequence A000594 - Ramanujan&#39;s tau function From OEIS A000594: Ramanujan&#39;s tau function (or Ramanujan numbers, or tau numbers). (Formerly M5153 N2237) Sequence IDs: :a000594 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000594) |&gt; Sequence.take!(28) [1,-24,252,-1472,4830,-6048,-16744,84480,-113643,-115920,534612,-370944,-577738,401856,1217160,987136,-6905934,2727432,10661420,-7109760,-4219488,-12830688,18643272,21288960,-25499225,13865712,-73279080,24647168]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000609/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000609/1","type":"function","doc":"OEIS Sequence A000609 - Number of threshold functions of n or fewer variables. From OEIS A000609: Number of threshold functions of n or fewer variables. (Formerly M1285 N0492) Sequence IDs: :a000609 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000609) |&gt; Sequence.take!(10) [2,4,14,104,1882,94572,15028134,8378070864,17561539552946,144130531453121108]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000670/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000670/1","type":"function","doc":"OEIS Sequence A000670 - Fubini numbers: number of preferential arrangements of n labeled elements; or number of weak orders on n labeled elements; or number of ordered partitions of [n]. From OEIS A000670: Fubini numbers: number of preferential arrangements of n labeled elements; or number of weak orders on n labeled elements; or number of ordered partitions of [n]. (Formerly M2952 N1191) Sequence IDs: :a000670 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000670) |&gt; Sequence.take!(21) [1,1,3,13,75,541,4683,47293,545835,7087261,102247563,1622632573,28091567595,526858348381,10641342970443,230283190977853,5315654681981355,130370767029135901,3385534663256845323,92801587319328411133,2677687796244384203115]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000688/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000688/1","type":"function","doc":"OEIS Sequence A000688 - Number of Abelian groups of order n From OEIS A000688: Number of Abelian groups of order n; number of factorizations of n into prime powers. (Formerly M0064 N0020) Sequence IDs: :a000688 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000688) |&gt; Sequence.take!(107) [1,1,1,2,1,1,1,3,2,1,1,2,1,1,1,5,1,2,1,2,1,1,1,3,2,1,3,2,1,1,1,7,1,1,1,4,1,1,1,3,1,1,1,2,2,1,1,5,2,2,1,2,1,3,1,3,1,1,1,2,1,1,2,11,1,1,1,2,1,1,1,6,1,1,2,2,1,1,1,5,5,1,1,2,1,1,1,3,1,2,1,2,1,1,1,7,1,2,2,4,1,1,1,3,1,1,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000720/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000720/1","type":"function","doc":"OEIS Sequence A000720 - pi(n), the number of primes &lt;= n From OEIS A000720: pi(n), the number of primes &lt;= n. Sometimes called PrimePi(n) to distinguish it from the number 3.14159... (Formerly M0256 N0090) Sequence IDs: :a000720 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000720) |&gt; Sequence.take!(78) [0,1,2,2,3,3,4,4,4,4,5,5,6,6,6,6,7,7,8,8,8,8,9,9,9,9,9,9,10,10,11,11,11,11,11,11,12,12,12,12,13,13,14,14,14,14,15,15,15,15,15,15,16,16,16,16,16,16,17,17,18,18,18,18,18,18,19,19,19,19,20,20,21,21,21,21,21,21]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000796/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000796/1","type":"function","doc":"OEIS Sequence A000796 - Decimal expansion of Pi (or digits of Pi). From OEIS A000796: Decimal expansion of Pi (or digits of Pi). (Formerly M2218 N0880) Sequence IDs: :a000796 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000796) |&gt; Sequence.take!(105) [3,1,4,1,5,9,2,6,5,3,5,8,9,7,9,3,2,3,8,4,6,2,6,4,3,3,8,3,2,7,9,5,0,2,8,8,4,1,9,7,1,6,9,3,9,9,3,7,5,1,0,5,8,2,0,9,7,4,9,4,4,5,9,2,3,0,7,8,1,6,4,0,6,2,8,6,2,0,8,9,9,8,6,2,8,0,3,4,8,2,5,3,4,2,1,1,7,0,6,7,9,8,2,1,4]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000798/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000798/1","type":"function","doc":"OEIS Sequence A000798 - Number of different quasi-orders (or topologies, or transitive digraphs) with n labeled elements. From OEIS A000798: Number of different quasi-orders (or topologies, or transitive digraphs) with n labeled elements. (Formerly M3631 N1476) Sequence IDs: :a000798 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000798) |&gt; Sequence.take!(19) [1,1,4,29,355,6942,209527,9535241,642779354,63260289423,8977053873043,1816846038736192,519355571065774021,207881393656668953041,115617051977054267807460,88736269118586244492485121,93411113411710039565210494095,134137950093337880672321868725846,261492535743634374805066126901117203]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000959/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000959/1","type":"function","doc":"OEIS Sequence A000959 - Lucky numbers. From OEIS A000959: Lucky numbers. (Formerly M2616 N1035) Sequence IDs: :a000959 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000959) |&gt; Sequence.take!(57) [1,3,7,9,13,15,21,25,31,33,37,43,49,51,63,67,69,73,75,79,87,93,99,105,111,115,127,129,133,135,141,151,159,163,169,171,189,193,195,201,205,211,219,223,231,235,237,241,259,261,267,273,283,285,289,297,303]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000961/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000961/1","type":"function","doc":"OEIS Sequence A000961 - Powers of primes. Alternatively, 1 and the prime powers (p^k, p prime, k &gt;= 1). From OEIS A000961: Powers of primes. Alternatively, 1 and the prime powers (p^k, p prime, k &gt;= 1). (Formerly M0517 N0185) Sequence IDs: :a000961 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000961) |&gt; Sequence.take!(64) [1,2,3,4,5,7,8,9,11,13,16,17,19,23,25,27,29,31,32,37,41,43,47,49,53,59,61,64,67,71,73,79,81,83,89,97,101,103,107,109,113,121,125,127,128,131,137,139,149,151,157,163,167,169,173,179,181,191,193,197,199,211,223,227]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a000984/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a000984/1","type":"function","doc":"OEIS Sequence A000984 - Central binomial coefficients: binomial(2n,n) = (2n)!/(n!)^2. From OEIS A000984: Central binomial coefficients: binomial(2n,n) = (2n)!/(n!)^2. (Formerly M1645 N0643) Sequence IDs: :a000984 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a000984) |&gt; Sequence.take!(28) [1,2,6,20,70,252,924,3432,12870,48620,184756,705432,2704156,10400600,40116600,155117520,601080390,2333606220,9075135300,35345263800,137846528820,538257874440,2104098963720,8233430727600,32247603683100,126410606437752,495918532948104,1946939425648112]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001003/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001003/1","type":"function","doc":"OEIS Sequence A001003 - Schroeder&#39;s second problem (generalized parentheses); also called super-Catalan numbers or little Schroeder numbers. From OEIS A001003: Schroeder&#39;s second problem (generalized parentheses); also called super-Catalan numbers or little Schroeder numbers. (Formerly M2898 N1163) Sequence IDs: :a001003 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001003) |&gt; Sequence.take!(24) [1,1,3,11,45,197,903,4279,20793,103049,518859,2646723,13648869,71039373,372693519,1968801519,10463578353,55909013009,300159426963,1618362158587,8759309660445,47574827600981,259215937709463,1416461675464871]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001006/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001006/1","type":"function","doc":"OEIS Sequence A001006 - Motzkin numbers From OEIS A001006: Motzkin numbers: number of ways of drawing any number of nonintersecting chords joining n (labeled) points on a circle. (Formerly M1184 N0456) Sequence IDs: :a001006 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001006) |&gt; Sequence.take!(30) [1,1,2,4,9,21,51,127,323,835,2188,5798,15511,41835,113634,310572,853467,2356779,6536382,18199284,50852019,142547559,400763223,1129760415,3192727797,9043402501,25669818476,73007772802,208023278209,593742784829]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001045/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001045/1","type":"function","doc":"OEIS Sequence A001045 - Jacobsthal sequence (or Jacobsthal numbers) From OEIS A001045: Jacobsthal sequence (or Jacobsthal numbers): a(n) = a(n-1) + 2*a(n-2), with a(0) = 0, a(1) = 1. (Formerly M2482 N0983) Sequence IDs: :a001045 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001045) |&gt; Sequence.take!(35) [0,1,1,3,5,11,21,43,85,171,341,683,1365,2731,5461,10923,21845,43691,87381,174763,349525,699051,1398101,2796203,5592405,11184811,22369621,44739243,89478485,178956971,357913941,715827883,1431655765,2863311531,5726623061]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001055/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001055/1","type":"function","doc":"OEIS Sequence A001055 - The multiplicative partition function: number of ways of factoring n with all factors greater than 1 (a(1) = 1 by convention). From OEIS A001055: The multiplicative partition function: number of ways of factoring n with all factors greater than 1 (a(1) = 1 by convention). (Formerly M0095 N0032) Sequence IDs: :a001055 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001055) |&gt; Sequence.take!(103) [1,1,1,2,1,2,1,3,2,2,1,4,1,2,2,5,1,4,1,4,2,2,1,7,2,2,3,4,1,5,1,7,2,2,2,9,1,2,2,7,1,5,1,4,4,2,1,12,2,4,2,4,1,7,2,7,2,2,1,11,1,2,4,11,2,5,1,4,2,5,1,16,1,2,4,4,2,5,1,12,5,2,1,11,2,2,2,7,1,11,2,4,2,2,2,19,1,4,4,9,1,5,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001065/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001065/1","type":"function","doc":"OEIS Sequence A001065 - Sum of proper divisors (Aliquot parts) of N. From OEIS A001065: Sum of proper divisors (or aliquot parts) of n: sum of divisors of n that are less than n. (Formerly M2226 N0884) Sequence IDs: :a001065 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a001065) |&gt; Sequence.take!(20) [0, 1, 1, 3, 1, 6, 1, 7, 4, 8, 1, 16, 1, 10, 9, 15, 1, 21, 1, 22]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001157/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001157/1","type":"function","doc":"OEIS Sequence A001157 - Sum of squares of divisors of N, simga-2(n), 𝝈2(n). From OEIS A001157: sigma_2(n): sum of squares of divisors of n. (Formerly M3799 N1551) Sequence IDs: :a001157 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a001157) |&gt; Sequence.take!(10) [1, 5, 10, 21, 26, 50, 50, 85, 91, 130]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001190/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001190/1","type":"function","doc":"OEIS Sequence A001190 - Wedderburn-Etherington numbers: unlabeled binary rooted trees (every node has out-degree 0 or 2) with n endpoints (and 2n-1 nodes in all). From OEIS A001190: Wedderburn-Etherington numbers: unlabeled binary rooted trees (every node has out-degree 0 or 2) with n endpoints (and 2n-1 nodes in all). (Formerly M0790 N0298) Sequence IDs: :a001190 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001190) |&gt; Sequence.take!(35) [0,1,1,1,2,3,6,11,23,46,98,207,451,983,2179,4850,10905,24631,56011,127912,293547,676157,1563372,3626149,8436379,19680277,46026618,107890609,253450711,596572387,1406818759,3323236238,7862958391,18632325319,44214569100]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001221/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001221/1","type":"function","doc":"OEIS Sequence A001221 - Number of distinct primes dividing n (also called omega(n)). From OEIS A001221: Number of distinct primes dividing n (also called omega(n)). (Formerly M0056 N0019) Sequence IDs: :a001221 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001221) |&gt; Sequence.take!(111) [0,1,1,1,1,2,1,1,1,2,1,2,1,2,2,1,1,2,1,2,2,2,1,2,1,2,1,2,1,3,1,1,2,2,2,2,1,2,2,2,1,3,1,2,2,2,1,2,1,2,2,2,1,2,2,2,2,2,1,3,1,2,2,1,2,3,1,2,2,3,1,2,1,2,2,2,2,3,1,2,1,2,1,3,2,2,2,2,1,3,2,2,2,2,2,2,1,2,2,2,1,3,1,2,3,2,1,2,1,3,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001222/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001222/1","type":"function","doc":"OEIS Sequence A001222 - Number of prime divisors of n counted with multiplicity (also called bigomega(n) or Omega(n)). From OEIS A001222: Number of prime divisors of n counted with multiplicity (also called bigomega(n) or Omega(n)). (Formerly M0094 N0031) Sequence IDs: :a001222 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001222) |&gt; Sequence.take!(111) [0,1,1,2,1,2,1,3,2,2,1,3,1,2,2,4,1,3,1,3,2,2,1,4,2,2,3,3,1,3,1,5,2,2,2,4,1,2,2,4,1,3,1,3,3,2,1,5,2,3,2,3,1,4,2,4,2,2,1,4,1,2,3,6,2,3,1,3,2,3,1,5,1,2,3,3,2,3,1,5,4,2,1,4,2,2,2,4,1,4,2,3,2,2,2,6,1,3,3,4,1,3,1,4,3,2,1,5,1,3,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001227/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001227/1","type":"function","doc":"OEIS Sequence A001227 - Number of odd divisors of n. From OEIS A001227: Number of odd divisors of n. (Formerly ) Sequence IDs: :a001227 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001227) |&gt; Sequence.take!(105) [1,1,2,1,2,2,2,1,3,2,2,2,2,2,4,1,2,3,2,2,4,2,2,2,3,2,4,2,2,4,2,1,4,2,4,3,2,2,4,2,2,4,2,2,6,2,2,2,3,3,4,2,2,4,4,2,4,2,2,4,2,2,6,1,4,4,2,2,4,4,2,3,2,2,6,2,4,4,2,2,5,2,2,4,4,2,4,2,2,6,4,2,4,2,4,2,2,3,6,3,2,4,2,2,8]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001358/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001358/1","type":"function","doc":"OEIS Sequence A001358 - Semiprimes (or biprimes): products of two primes. From OEIS A001358: Semiprimes (or biprimes): products of two primes. (Formerly M3274 N1323) Sequence IDs: :a001358 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001358) |&gt; Sequence.take!(61) [4,6,9,10,14,15,21,22,25,26,33,34,35,38,39,46,49,51,55,57,58,62,65,69,74,77,82,85,86,87,91,93,94,95,106,111,115,118,119,121,122,123,129,133,134,141,142,143,145,146,155,158,159,161,166,169,177,178,183,185,187]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001477/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001477/1","type":"function","doc":"OEIS Sequence A001477 - The nonnegative integers. From OEIS A001477: The nonnegative integers. (Formerly ) Sequence IDs: :a001477 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001477) |&gt; Sequence.take!(78) [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001511/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001511/1","type":"function","doc":"OEIS Sequence A001511 - The ruler function: 2^a(n) divides 2n From OEIS A001511: The ruler function: 2^a(n) divides 2n. Or, a(n) = 2-adic valuation of 2n. (Formerly M0127 N0051) Sequence IDs: :a001511 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a001511) |&gt; Sequence.take!(105) [1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,5,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,6,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,5,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,7,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,5,1,2,1,3,1,2,1,4,1,2,1,3,1,2,1,6,1,2,1,3,1,2,1,4,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a001615/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a001615/1","type":"function","doc":"OEIS Sequence A001615 - Dedekind psi function: n * Product_{p|n, p prime} (1 + 1/p). From OEIS A001615: Dedekind psi function: n * Product_{p|n, p prime} (1 + 1/p). (Formerly M2315 N0915) Sequence IDs: :a001615 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a001615) |&gt; Sequence.take!(69) [1,3,4,6,6,12,8,12,12,18,12,24,14,24,24,24,18,36,20,36,32,36,24,48,30,42,36,48,30,72,32,48,48,54,48,72,38,60,56,72,42,96,44,72,72,72,48,96,56,90,72,84,54,108,72,96,80,90,60,144,62,96,96,96,84,144,68,108,96]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002106/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002106/1","type":"function","doc":"OEIS Sequence A002106 - Number of transitive permutation groups of degree n. From OEIS A002106: Number of transitive permutation groups of degree n. (Formerly M1316 N0504) Sequence IDs: :a002106 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002106) |&gt; Sequence.take!(47) [1,1,2,5,5,16,7,50,34,45,8,301,9,63,104,1954,10,983,8,1117,164,59,7,25000,211,96,2392,1854,8,5712,12,2801324,162,115,407,121279,11,76,306,315842,10,9491,10,2113,10923,56,6]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a002654/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a002654/1","type":"function","doc":"OEIS Sequence A002654 - Number of ways of writing n as a sum of at most two nonzero squares, where order matters From OEIS A002654: Number of ways of writing n as a sum of at most two nonzero squares, where order matters; also (number of divisors of n of form 4m+1) - (number of divisors of form 4m+3). (Formerly M0012 N0001) Sequence IDs: :a002654 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a002654) |&gt; Sequence.take!(105) [1,1,0,1,2,0,0,1,1,2,0,0,2,0,0,1,2,1,0,2,0,0,0,0,3,2,0,0,2,0,0,1,0,2,0,1,2,0,0,2,2,0,0,0,2,0,0,0,1,3,0,2,2,0,0,0,0,2,0,0,2,0,0,1,4,0,0,2,0,0,0,1,2,2,0,0,0,0,0,2,1,2,0,0,4,0,0,0,2,2,0,0,0,0,0,0,2,1,0,3,2,0,0,2,0]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a003094/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a003094/1","type":"function","doc":"OEIS Sequence A003094 - Number of unlabeled connected planar simple graphs with n nodes. From OEIS A003094: Number of unlabeled connected planar simple graphs with n nodes. (Formerly M1652) Sequence IDs: :a003094 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a003094) |&gt; Sequence.take!(13) [1,1,1,2,6,20,99,646,5974,71885,1052805,17449299,313372298]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a003484/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a003484/1","type":"function","doc":"OEIS Sequence A003484 - Radon function, also called Hurwitz-Radon numbers. From OEIS A003484: Radon function, also called Hurwitz-Radon numbers. (Formerly M0161) Sequence IDs: :a003484 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a003484) |&gt; Sequence.take!(102) [1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,9,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,10,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,9,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,12,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,9,1,2,1,4,1,2,1,8,1,2,1,4,1,2,1,10,1,2,1,4,1,2]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005100/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005100/1","type":"function","doc":"OEIS Sequence A005100 - Deficient Numbers From OEIS A005100: Deficient numbers: numbers n such that sigma(n) &lt; 2n. (Formerly M0514) Sequence IDs: :a005100 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a005100) |&gt; Sequence.take!(25) [1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 21, 22, 23, 25, 26, 27, 29, 31, 32]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005101/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005101/1","type":"function","doc":"OEIS Sequence A005101 - Abundant Numbers From OEIS A005101: Abundant numbers (sum of divisors of n exceeds 2n). (Formerly M4825) Sequence IDs: :a005101 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Core, :a005101) |&gt; Sequence.take!(10) [12, 18, 20, 24, 30, 36, 40, 42, 48, 54]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005117/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005117/1","type":"function","doc":"OEIS Sequence A005117 - Squarefree numbers: numbers that are not divisible by a square greater than 1. From OEIS A005117: Squarefree numbers: numbers that are not divisible by a square greater than 1. (Formerly M0617) Sequence IDs: :a005117 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a005117) |&gt; Sequence.take!(71) [1,2,3,5,6,7,10,11,13,14,15,17,19,21,22,23,26,29,30,31,33,34,35,37,38,39,41,42,43,46,47,51,53,55,57,58,59,61,62,65,66,67,69,70,71,73,74,77,78,79,82,83,85,86,87,89,91,93,94,95,97,101,102,103,105,106,107,109,110,111,113]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a005470/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a005470/1","type":"function","doc":"OEIS Sequence A005470 - Number of unlabeled planar simple graphs with n nodes. From OEIS A005470: Number of unlabeled planar simple graphs with n nodes. (Formerly M1252) Sequence IDs: :a005470 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a005470) |&gt; Sequence.take!(13) [1,1,2,4,11,33,142,822,6966,79853,1140916,18681008,333312451]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a006530/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a006530/1","type":"function","doc":"OEIS Sequence A006530 - Gpf(n): greatest prime dividing n From OEIS A006530: Gpf(n): greatest prime dividing n, for n &gt;= 2; a(1)=1. (Formerly M0428) Sequence IDs: :a006530 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a006530) |&gt; Sequence.take!(86) [1,2,3,2,5,3,7,2,3,5,11,3,13,7,5,2,17,3,19,5,7,11,23,3,5,13,3,7,29,5,31,2,11,17,7,3,37,19,13,5,41,7,43,11,5,23,47,3,7,5,17,13,53,3,11,7,19,29,59,5,61,31,7,2,13,11,67,17,23,7,71,3,73,37,5,19,11,13,79,5,3,41,83,7,17,43]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a006966/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a006966/1","type":"function","doc":"OEIS Sequence A006966 - Number of lattices on n unlabeled nodes. From OEIS A006966: Number of lattices on n unlabeled nodes. (Formerly M1486) Sequence IDs: :a006966 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a006966) |&gt; Sequence.take!(21) [1,1,1,1,2,5,15,53,222,1078,5994,37622,262776,2018305,16873364,152233518,1471613387,15150569446,165269824761,1901910625578,23003059864006]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a008292/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a008292/1","type":"function","doc":"OEIS Sequence A008292 - Triangle of Eulerian numbers T(n,k) (n &gt;= 1, 1 &lt;= k &lt;= n) read by rows. From OEIS A008292: Triangle of Eulerian numbers T(n,k) (n &gt;= 1, 1 &lt;= k &lt;= n) read by rows. (Formerly ) Sequence IDs: :a008292 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a008292) |&gt; Sequence.take!(55) [1,1,1,1,4,1,1,11,11,1,1,26,66,26,1,1,57,302,302,57,1,1,120,1191,2416,1191,120,1,1,247,4293,15619,15619,4293,247,1,1,502,14608,88234,156190,88234,14608,502,1,1,1013,47840,455192,1310354,1310354,455192,47840,1013,1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a008683/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a008683/1","type":"function","doc":"OEIS Sequence A008683 - Möbius (or Moebius) function mu(n) From OEIS A008683: Möbius (or Moebius) function mu(n). mu(1) = 1; mu(n) = (-1)^k if n is the product of k different primes; otherwise mu(n) = 0. Sequence IDs: :a008683 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a008683) |&gt; Sequence.take!(78) [1,-1,-1,0,-1,1,-1,0,0,1,-1,0,-1,1,1,0,-1,0,-1,0,1,1,-1,0,0,1,0,0,-1,-1,-1,0,1,1,1,0,-1,1,1,0,-1,-1,-1,0,0,1,-1,0,0,0,1,0,-1,0,1,0,1,1,-1,0,-1,1,0,0,1,-1,-1,0,1,-1,-1,0,-1,1,0,0,1,-1]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a020639/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a020639/1","type":"function","doc":"OEIS Sequence A020639 - Lpf(n): least prime dividing From OEIS A020639: Lpf(n): least prime dividing n (when n &gt; 1); a(1) = 1. Sequence IDs: :a020639 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a020639) |&gt; Sequence.take!(97) [1,2,3,2,5,2,7,2,3,2,11,2,13,2,3,2,17,2,19,2,3,2,23,2,5,2,3,2,29,2,31,2,3,2,5,2,37,2,3,2,41,2,43,2,3,2,47,2,7,2,3,2,53,2,5,2,3,2,59,2,61,2,3,2,5,2,67,2,3,2,71,2,73,2,3,2,7,2,79,2,3,2,83,2,5,2,3,2,89,2,7,2,3,2,5,2,97]"},{"ref":"Chunky.Sequence.OEIS.Core.html#create_sequence_a055512/1","title":"Chunky.Sequence.OEIS.Core.create_sequence_a055512/1","type":"function","doc":"OEIS Sequence A055512 - Lattices with n labeled elements. From OEIS A055512: Lattices with n labeled elements. (Formerly ) Sequence IDs: :a055512 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Core, :a055512) |&gt; Sequence.take!(19) [1,1,2,6,36,380,6390,157962,5396888,243179064,13938711210,987858368750,84613071940452,8597251494954564,1020353444641839854,139627532137612581090,21788453795572514675760,3840596246648027262079472,758435490711709577216754642]"},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000002/3","title":"Chunky.Sequence.OEIS.Core.seq_a000002/3","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000004/1","title":"Chunky.Sequence.OEIS.Core.seq_a000004/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000005/1","title":"Chunky.Sequence.OEIS.Core.seq_a000005/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000007/1","title":"Chunky.Sequence.OEIS.Core.seq_a000007/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000009/1","title":"Chunky.Sequence.OEIS.Core.seq_a000009/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000010/1","title":"Chunky.Sequence.OEIS.Core.seq_a000010/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000012/1","title":"Chunky.Sequence.OEIS.Core.seq_a000012/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000027/1","title":"Chunky.Sequence.OEIS.Core.seq_a000027/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000032/1","title":"Chunky.Sequence.OEIS.Core.seq_a000032/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000035/1","title":"Chunky.Sequence.OEIS.Core.seq_a000035/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000040/2","title":"Chunky.Sequence.OEIS.Core.seq_a000040/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000041/1","title":"Chunky.Sequence.OEIS.Core.seq_a000041/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000069/2","title":"Chunky.Sequence.OEIS.Core.seq_a000069/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000079/1","title":"Chunky.Sequence.OEIS.Core.seq_a000079/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000081/1","title":"Chunky.Sequence.OEIS.Core.seq_a000081/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000085/1","title":"Chunky.Sequence.OEIS.Core.seq_a000085/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000108/1","title":"Chunky.Sequence.OEIS.Core.seq_a000108/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000110/1","title":"Chunky.Sequence.OEIS.Core.seq_a000110/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000111/1","title":"Chunky.Sequence.OEIS.Core.seq_a000111/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000120/1","title":"Chunky.Sequence.OEIS.Core.seq_a000120/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000124/1","title":"Chunky.Sequence.OEIS.Core.seq_a000124/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000129/1","title":"Chunky.Sequence.OEIS.Core.seq_a000129/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000142/1","title":"Chunky.Sequence.OEIS.Core.seq_a000142/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000166/1","title":"Chunky.Sequence.OEIS.Core.seq_a000166/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000169/1","title":"Chunky.Sequence.OEIS.Core.seq_a000169/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000203/1","title":"Chunky.Sequence.OEIS.Core.seq_a000203/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000204/1","title":"Chunky.Sequence.OEIS.Core.seq_a000204/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000217/1","title":"Chunky.Sequence.OEIS.Core.seq_a000217/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000219/1","title":"Chunky.Sequence.OEIS.Core.seq_a000219/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000225/1","title":"Chunky.Sequence.OEIS.Core.seq_a000225/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000244/1","title":"Chunky.Sequence.OEIS.Core.seq_a000244/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000262/1","title":"Chunky.Sequence.OEIS.Core.seq_a000262/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000272/1","title":"Chunky.Sequence.OEIS.Core.seq_a000272/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000290/1","title":"Chunky.Sequence.OEIS.Core.seq_a000290/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000292/1","title":"Chunky.Sequence.OEIS.Core.seq_a000292/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000302/1","title":"Chunky.Sequence.OEIS.Core.seq_a000302/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000312/1","title":"Chunky.Sequence.OEIS.Core.seq_a000312/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000326/1","title":"Chunky.Sequence.OEIS.Core.seq_a000326/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000330/1","title":"Chunky.Sequence.OEIS.Core.seq_a000330/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000364/1","title":"Chunky.Sequence.OEIS.Core.seq_a000364/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000521/1","title":"Chunky.Sequence.OEIS.Core.seq_a000521/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000578/1","title":"Chunky.Sequence.OEIS.Core.seq_a000578/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000583/1","title":"Chunky.Sequence.OEIS.Core.seq_a000583/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000593/1","title":"Chunky.Sequence.OEIS.Core.seq_a000593/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000594/1","title":"Chunky.Sequence.OEIS.Core.seq_a000594/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000670/1","title":"Chunky.Sequence.OEIS.Core.seq_a000670/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000688/1","title":"Chunky.Sequence.OEIS.Core.seq_a000688/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000720/2","title":"Chunky.Sequence.OEIS.Core.seq_a000720/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000796/3","title":"Chunky.Sequence.OEIS.Core.seq_a000796/3","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000959/3","title":"Chunky.Sequence.OEIS.Core.seq_a000959/3","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000961/2","title":"Chunky.Sequence.OEIS.Core.seq_a000961/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a000984/1","title":"Chunky.Sequence.OEIS.Core.seq_a000984/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001003/1","title":"Chunky.Sequence.OEIS.Core.seq_a001003/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001006/1","title":"Chunky.Sequence.OEIS.Core.seq_a001006/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001045/1","title":"Chunky.Sequence.OEIS.Core.seq_a001045/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001055/1","title":"Chunky.Sequence.OEIS.Core.seq_a001055/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001065/1","title":"Chunky.Sequence.OEIS.Core.seq_a001065/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001157/1","title":"Chunky.Sequence.OEIS.Core.seq_a001157/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001190/1","title":"Chunky.Sequence.OEIS.Core.seq_a001190/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001221/1","title":"Chunky.Sequence.OEIS.Core.seq_a001221/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001222/1","title":"Chunky.Sequence.OEIS.Core.seq_a001222/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001227/1","title":"Chunky.Sequence.OEIS.Core.seq_a001227/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001358/2","title":"Chunky.Sequence.OEIS.Core.seq_a001358/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001477/1","title":"Chunky.Sequence.OEIS.Core.seq_a001477/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001511/1","title":"Chunky.Sequence.OEIS.Core.seq_a001511/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a001615/1","title":"Chunky.Sequence.OEIS.Core.seq_a001615/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a002654/1","title":"Chunky.Sequence.OEIS.Core.seq_a002654/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a003484/1","title":"Chunky.Sequence.OEIS.Core.seq_a003484/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a005100/2","title":"Chunky.Sequence.OEIS.Core.seq_a005100/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a005101/2","title":"Chunky.Sequence.OEIS.Core.seq_a005101/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a005117/2","title":"Chunky.Sequence.OEIS.Core.seq_a005117/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a006530/1","title":"Chunky.Sequence.OEIS.Core.seq_a006530/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a008292/1","title":"Chunky.Sequence.OEIS.Core.seq_a008292/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a008683/1","title":"Chunky.Sequence.OEIS.Core.seq_a008683/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Core.html#seq_a020639/1","title":"Chunky.Sequence.OEIS.Core.seq_a020639/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html","title":"Chunky.Sequence.OEIS.Factors","type":"module","doc":"OEIS Sequences dealing with Factors, Factorization, and properties of integer factors. Available Sequences A000037 - Numbers that are not squares - :a000037 - create_sequence_a000037/1 A000977 - Numbers that are divisible by at least three different primes - :a000977 - create_sequence_a000977/1 A001597 - Perfect Powers - :a001597 - create_sequence_a001597/1 A001694 - Powerful Numbers - :a001694 - create_sequence_a001694/1 A002182 - Highly composite numbers: numbers with record value - :a002182 - create_sequence_a002182/1 A002473 - 7-smooth Numbers - :a002473 - create_sequence_a03586/1 A003586 - 3-smooth Numbers - :a003586 - create_sequence_a03586/1 A004709 - Cubefree numbers: numbers that are not divisible by any cube &gt; 1 - :a004709 - create_sequence_a004709/1 A005361 - Product of Expoenents of prime factors of N - :a005361 - create_sequence_a005361/1 A005934 - Highly powerful numbers: numbers with record value - :a005934 - create_sequence_a005934/1 A006881 - Squarefree semiprimes: Numbers that are the product of two distinct primes - :a006881 - create_sequence_a006881/1 A007018 - a(n) = a(n-1)^2 + a(n-1), a(0)=1 - :a007018 - create_sequence_a007018/1 A007304 - Sphenic numbers: products of 3 distinct primes - :a007304 - create_sequence_a007304/1 A007412 - The noncubes: n + [ (n + [ n^{1/3} ])^{1/3} ] - :a007412 - create_sequence_a007412/1 A007434 - Jordan function J_2(n) - :a007434 - create_sequence_a007434/1 A007774 - Numbers that are divisible by exactly 2 different primes - :a007774 - create_sequence_a007774/1 A007947 - Largest squarefree number dividing n - :a007947 - create_sequence_a007947/1 A008966 - 1 if n is squarefree, else 0. - :a008966 - create_sequence_a008966/1 A013929 - Numbers that are not squarefree. - :a013929 - create_sequence_a013929/1 A014612 - Numbers that are the product of exactly three primes, including multiplicity. - :a014612 - create_sequence_a014612/1 A014613 - Numbers that are products of 4 primes - :a014613 - create_sequence_a014613/1 A014614 - Numbers that are products of 5 primes - :a014614 - create_sequence_a014614/1 A001826 - Number of divisors of n of form 4k+1 - :a001826 - create_sequence_a001826/1 A001842 - Expansion of Sum_{n&gt;=0} x^(4n+3)/(1 - x^(4n+3)) - :a001842 - create_sequence_a001842/1 A030513 - Numbers with 4 divisors - :a030513 - create_sequence_a030513/1 A030515 - Numbers with exactly 6 divisors - :a030515 - create_sequence_a030515/1 A033273 - Number of nonprime divisors of n - :a033273 - create_sequence_a033273/1 A033942 - At least 3 prime factors (counted with multiplicity). - :a033942 - create_sequence_a033942/1 A033987 - Numbers that are divisible by at least 4 primes (counted with multiplicity) - :a033987 - create_sequence_a033987/1 A033992 - Numbers that are divisible by exactly three different primes - :a033992 - create_sequence_a033992/1 A033993 - Numbers that are divisible by exactly four different primes - :a033993 - create_sequence_a033993/1 A036537 - Numbers whose number of divisors is a power of 2. - :a036537 - create_sequence_a036537/1 A037143 - Numbers with at most 2 prime factors (counted with multiplicity). - :a037143 - create_sequence_a037143/1 A038109 - Divisible exactly by the square of a prime. - :a038109 - create_sequence_a038109/1 A039956 - Even squarefree numbers. - :a039956 - create_sequence_a039956/1 A046099 - Numbers that are not cubefree. Numbers divisible by a cube greater than 1. - :a046099 - create_sequence_a046099/1 A046306 - Numbers that are divisible by exactly 6 primes with multiplicity. - :a046306 - create_sequence_a046306/1 A046308 - Numbers that are divisible by exactly 7 primes counting multiplicity. - :a046308 - create_sequence_a046308/1 A046310 - Numbers that are divisible by exactly 8 primes counting multiplicity - :a046310 - create_sequence_a046310/1 A046312 - Numbers that are divisible by exactly 9 primes with multiplicity - :a046312 - create_sequence_a046312/1 A046314 - Numbers that are divisible by exactly 10 primes with multiplicity - :a046314 - create_sequence_a046314/1 A046321 - Odd numbers divisible by exactly 8 primes (counted with multiplicity) - :a046321 - create_sequence_a046321/1 A046386 - Products of four distinct primes - :a046386 - create_sequence_a046386/1 A046387 - Products of 5 distinct primes - :a046387 - create_sequence_a046387/1 A046660 - Excess of n = Ω(n) - ω(n) - :a046660 - create_sequence_a046660/1 A048272 - Number of odd divisors of n minus number of even divisors of n - :a048272 - create_sequence_a048272/1 A051037 - 5-smooth Numbers - :a051037 - create_sequence_a03586/1 A051038 - 11-smooth Numbers - :a051038 - create_sequence_a03586/1 A051270 - Numbers that are divisible by exactly 5 different primes - :a051270 - create_sequence_a051270/1 A052486 - Achilles numbers - powerful but imperfect - :a052486 - create_sequence_a052486/1 A056911 - Odd squarefree numbers. - :a056911 - create_sequence_a056911/1 A059269 - Numbers n for which tau(n) is divisible by 3. - :a059269 - create_sequence_a059269/1 A059376 - Jordan function J_3(n) - :a059376 - create_sequence_a059376/1 A059377 - Jordan function J_4(n) - :a059377 - create_sequence_a059377/1 A059378 - Jordan function J_5(n) - :a059378 - create_sequence_a059378/1 A065958 - a(n) = n^2*Product_{distinct primes p dividing n} (1+1/p^2) - :a065958 - create_sequence_a065958/1 A065959 - a(n) = n^3*Product_{distinct primes p dividing n} (1+1/p^3) - :a065959 - create_sequence_a065959/1 A065960 - a(n) = n^4*Product_{distinct primes p dividing n} (1+1/p^4) - :a065960 - create_sequence_a065960/1 A067259 - Cubefree numbers which are not squarefree - :a067259 - create_sequence_a067259/1 A067885 - Product of 6 distinct primes - :a067885 - create_sequence_a067885/1 A069091 - Jordan function J_6(n) - :a069091 - create_sequence_a069091/1 A069092 - Jordan function J_7(n) - :a069092 - create_sequence_a069092/1 A069093 - Jordan function J_8(n) - :a069093 - create_sequence_a069093/1 A069094 - Jordan function J_9(n) - :a069094 - create_sequence_a069094/1 A069095 - Jordan function J_10(n) - :a069095 - create_sequence_a069095/1 A069272 - 11-almost primes (generalization of semiprimes) - :a069272 - create_sequence_a069272/1 A069273 - 12-almost primes (generalization of semiprimes) - :a069273 - create_sequence_a069273/1 A069274 - 13-almost primes (generalization of semiprimes) - :a069274 - create_sequence_a069274/1 A069275 - 14-almost primes (generalization of semiprimes) - :a069275 - create_sequence_a069275/1 A069276 - 15-almost primes (generalization of semiprimes) - :a069276 - create_sequence_a069276/1 A069277 - 16-almost primes (generalization of semiprimes) - :a069277 - create_sequence_a069277/1 A069278 - 17-almost primes (generalization of semiprimes) - :a069278 - create_sequence_a069278/1 A069279 - Products of exactly 18 primes (generalization of semiprimes) - :a069279 - create_sequence_a069279/1 A069280 - 19-almost primes (generalization of semiprimes) - :a069280 - create_sequence_a069280/1 A069281 - 20-almost primes (generalization of semiprimes) - :a069281 - create_sequence_a069281/1 A074969 - Numbers with six distinct prime divisors - :a074969 - create_sequence_a074969/1 A076479 - a(n) = mu(rad(n)), where mu is the Moebius-function - :a076479 - create_sequence_a076479/1 A080197 - 13-smooth Numbers - :a080197 - create_sequence_a03586/1 A080681 - 17-smooth Numbers - :a080681 - create_sequence_a03586/1 A080682 - 29-smooth Numbers - :a080682 - create_sequence_a03586/1 A080683 - 23-smooth Numbers - :a080683 - create_sequence_a03586/1 A117805 - Start with 3. Square the previous term and subtract it. - :a117805 - create_sequence_a117805/1 A123321 - Products of 7 distinct primes - :a123321 - create_sequence_a123321/1 A123322 - Products of 8 distinct primes - :a123322 - create_sequence_a123322/1 A130897 - Numbers that are not exponentially squarefree. - :a130897 - create_sequence_a130897/1 A160889 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 4 - :a160889 - create_sequence_a160889/1 A160891 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 5 - :a160891 - create_sequence_a160891/1 A160893 - a(n) = Sum_{d|n} Möbius(n/d)*d^5/phi(n) - :a160893 - create_sequence_a160893/1 A160895 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 7 - :a160895 - create_sequence_a160895/1 A160897 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 8 - :a160897 - create_sequence_a160897/1 A160908 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 9 - :a160908 - create_sequence_a160908/1 A160953 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 10 - :a160953 - create_sequence_a160953/1 A160957 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 11 - :a160957 - create_sequence_a160957/1 A160960 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 12 - :a160960 - create_sequence_a160960/1 A162643 - Numbers such that their number of divisors is not a power of 2. - :a162643 - create_sequence_a162643/1 A209061 - Exponentially squarefree numbers - :a209061 - create_sequence_a209061/1 A211337 - Numbers n for which the number of divisors, tau(n), is congruent to 1 modulo 3 - :a211337 - create_sequence_a211337/1 A211338 - Numbers n for which the number of divisors, tau(n), is congruent to 2 modulo 3 - :a211338 - create_sequence_a211338/1"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a000037/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a000037/1","type":"function","doc":"OEIS Sequence A000037 - Numbers that are not squares (or, the nonsquares). From OEIS A000037: Numbers that are not squares (or, the nonsquares). (Formerly M0613 N0223) Sequence IDs: :a000037 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a000037) |&gt; Sequence.take!(90) [2,3,5,6,7,8,10,11,12,13,14,15,17,18,19,20,21,22,23,24,26,27,28,29,30,31,32,33,34,35,37,38,39,40,41,42,43,44,45,46,47,48,50,51,52,53,54,55,56,57,58,59,60,61,62,63,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a000977/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a000977/1","type":"function","doc":"OEIS Sequence A000977 - Numbers that are divisible by at least three different primes. From OEIS A000977: Numbers that are divisible by at least three different primes. Sequence IDs: :a000977 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a000977) |&gt; Sequence.take!(50) [30,42,60,66,70,78,84,90,102,105,110,114,120,126,130,132,138,140,150,154,156,165,168,170,174,180,182,186,190,195,198,204,210,220,222,228,230,231,234,238,240,246,252,255,258,260,264,266,270,273]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001597/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001597/1","type":"function","doc":"OEIS Sequence A001597 - Perfect Powers From OEIS A001597: Perfect powers: m^k where m &gt; 0 and k &gt;= 2. (Formerly M3326 N1336) Sequence IDs: :a001597 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a001597) |&gt; Sequence.take!(20) [1, 4, 8, 9, 16, 25, 27, 32, 36, 49, 64, 81, 100, 121, 125, 128, 144, 169, 196, 216]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001694/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001694/1","type":"function","doc":"OEIS Sequence A001694 - Powerful Numbers From OEIS A001694: Powerful numbers, definition (1): if a prime p divides n then p^2 must also divide n (also called squareful, square full, square-full or 2-powerful numbers). (Formerly M3325 N1335) Sequence IDs: :a001694 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a001694) |&gt; Sequence.take!(20) [1, 4, 8, 9, 16, 25, 27, 32, 36, 49, 64, 72, 81, 100, 108, 121, 125, 128, 144, 169]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001826/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001826/1","type":"function","doc":"OEIS Sequence A001826 - Number of divisors of n of form 4k+1. From OEIS A001826: Number of divisors of n of form 4k+1. (Formerly ) Sequence IDs: :a001826 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a001826) |&gt; Sequence.take!(105) [1,1,1,1,2,1,1,1,2,2,1,1,2,1,2,1,2,2,1,2,2,1,1,1,3,2,2,1,2,2,1,1,2,2,2,2,2,1,2,2,2,2,1,1,4,1,1,1,2,3,2,2,2,2,2,1,2,2,1,2,2,1,3,1,4,2,1,2,2,2,1,2,2,2,3,1,2,2,1,2,3,2,1,2,4,1,2,1,2,4,2,1,2,1,2,1,2,2,3,3,2,2,1,2,4]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a001842/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a001842/1","type":"function","doc":"OEIS Sequence A001842 - Expansion of Sum_{n&gt;=0} x^(4n+3)/(1 - x^(4n+3)). From OEIS A001842: Expansion of Sum_{n&gt;=0} x^(4n+3)/(1 - x^(4n+3)). (Formerly ) Sequence IDs: :a001842 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a001842) |&gt; Sequence.take!(87) [0,0,0,1,0,0,1,1,0,1,0,1,1,0,1,2,0,0,1,1,0,2,1,1,1,0,0,2,1,0,2,1,0,2,0,2,1,0,1,2,0,0,2,1,1,2,1,1,1,1,0,2,0,0,2,2,1,2,0,1,2,0,1,3,0,0,2,1,0,2,2,1,1,0,0,3,1,2,2,1,0,2,0,1,2,0,1]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a002182/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a002182/1","type":"function","doc":"OEIS Sequence A002182 - Highly composite numbers: numbers with record value From OEIS A002182: Highly composite numbers, definition (1): where d(n), the number of divisors of n (A000005), increases to a record. (Formerly M1025 N0385) Sequence IDs: :a002182 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a002182) |&gt; Sequence.take!(20) [1, 2, 4, 6, 12, 24, 36, 48, 60, 120, 180, 240, 360, 720, 840, 1260, 1680, 2520, 5040, 7560]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a002473/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a002473/1","type":"function","doc":"OEIS Sequence A002473 - 7-smooth Numbers From OEIS A002473: 7-smooth numbers: positive numbers whose prime divisors are all &lt;= 7. (Formerly M0477 N0177) Sequence IDs: :a002473 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a002473) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [28, 30, 32, 35, 36, 40, 42, 45, 48, 49, 50, 54, 56, 60, 63, 64, 70, 72, 75, 80]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a003586/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a003586/1","type":"function","doc":"OEIS Sequence A003586 - 3-smooth Numbers From OEIS A003586: 3-smooth numbers: numbers of the form 2^i*3^j with i, j &gt;= 0. Sequence IDs: :a003586 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a003586) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [108, 128, 144, 162, 192, 216, 243, 256, 288, 324, 384, 432, 486, 512, 576, 648, 729, 768, 864, 972]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a004709/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a004709/1","type":"function","doc":"OEIS Sequence A004709 - Cubefree numbers: numbers that are not divisible by any cube &gt; 1. From OEIS A004709: Cubefree numbers: numbers that are not divisible by any cube &gt; 1. (Formerly ) Sequence IDs: :a004709 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a004709) |&gt; Sequence.take!(72) [1,2,3,4,5,6,7,9,10,11,12,13,14,15,17,18,19,20,21,22,23,25,26,28,29,30,31,33,34,35,36,37,38,39,41,42,43,44,45,46,47,49,50,51,52,53,55,57,58,59,60,61,62,63,65,66,67,68,69,70,71,73,74,75,76,77,78,79,82,83,84,85]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a005361/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a005361/1","type":"function","doc":"OEIS Sequence A005361 - Product of Expoenents of prime factors of N From OEIS A005361: Product of exponents of prime factorization of n. (Formerly M0063) Sequence IDs: :a005361 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a005361) |&gt; Sequence.take!(20) [1, 1, 1, 2, 1, 1, 1, 3, 2, 1, 1, 2, 1, 1, 1, 4, 1, 2, 1, 2]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a005934/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a005934/1","type":"function","doc":"OEIS Sequence A005934 - Highly powerful numbers: numbers with record value From OEIS A005934: Highly powerful numbers: numbers with record value of the product of the exponents in prime factorization (A005361). (Formerly M3333) Sequence IDs: :a005934 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a005934) |&gt; Sequence.take!(20) [1, 4, 8, 16, 32, 64, 128, 144, 216, 288, 432, 864, 1296, 1728, 2592, 3456, 5184, 7776, 10368, 15552]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a006881/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a006881/1","type":"function","doc":"OEIS Sequence A006881 - Squarefree semiprimes: Numbers that are the product of two distinct primes. From OEIS A006881: Squarefree semiprimes: Numbers that are the product of two distinct primes. (Formerly M4082) Sequence IDs: :a006881 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a006881) |&gt; Sequence.take!(60) [6,10,14,15,21,22,26,33,34,35,38,39,46,51,55,57,58,62,65,69,74,77,82,85,86,87,91,93,94,95,106,111,115,118,119,122,123,129,133,134,141,142,143,145,146,155,158,159,161,166,177,178,183,185,187,194,201,202,203,205]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007018/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007018/1","type":"function","doc":"OEIS Sequence A007018 - a(n) = a(n-1)^2 + a(n-1), a(0)=1. From OEIS A007018: a(n) = a(n-1)^2 + a(n-1), a(0)=1. (Formerly M1713) Sequence IDs: :a007018 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007018) |&gt; Sequence.take!(9) [1,2,6,42,1806,3263442,10650056950806,113423713055421844361000442,12864938683278671740537145998360961546653259485195806]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007304/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007304/1","type":"function","doc":"OEIS Sequence A007304 - Sphenic numbers: products of 3 distinct primes. From OEIS A007304: Sphenic numbers: products of 3 distinct primes. (Formerly M5207) Sequence IDs: :a007304 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007304) |&gt; Sequence.take!(53) [30,42,66,70,78,102,105,110,114,130,138,154,165,170,174,182,186,190,195,222,230,231,238,246,255,258,266,273,282,285,286,290,310,318,322,345,354,357,366,370,374,385,399,402,406,410,418,426,429,430,434,435,438]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007412/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007412/1","type":"function","doc":"OEIS Sequence A007412 - The noncubes: n + [ (n + [ n^{1/3} ])^{1/3} ]. From OEIS A007412: The noncubes: n + [ (n + [ n^{1/3} ])^{1/3} ]. (Formerly M0493) Sequence IDs: :a007412 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007412) |&gt; Sequence.take!(54) [2,3,4,5,6,7,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007434/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007434/1","type":"function","doc":"OEIS Sequence A007434 - Jordan function J_2(n) From OEIS A007434: Jordan function J_2(n) (a generalization of phi(n)). (Formerly M2717) Sequence IDs: :a007434 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a007434) |&gt; Sequence.take!(48) [1,3,8,12,24,24,48,48,72,72,120,96,168,144,192,192,288,216,360,288,384,360,528,384,600,504,648,576,840,576,960,768,960,864,1152,864,1368,1080,1344,1152,1680,1152,1848,1440,1728,1584,2208,1536]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007774/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007774/1","type":"function","doc":"OEIS Sequence A007774 - Numbers that are divisible by exactly 2 different primes. From OEIS A007774: Numbers that are divisible by exactly 2 different primes. Sequence IDs: :a007774 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007774) |&gt; Sequence.take!(65) [6,10,12,14,15,18,20,21,22,24,26,28,33,34,35,36,38,39,40,44,45,46,48,50,51,52,54,55,56,57,58,62,63,65,68,69,72,74,75,76,77,80,82,85,86,87,88,91,92,93,94,95,96,98,99,100,104,106,108,111,112,115,116,117,118]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a007947/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a007947/1","type":"function","doc":"OEIS Sequence A007947 - Largest squarefree number dividing n: the squarefree kernel of n, rad(n), radical of n. From OEIS A007947: Largest squarefree number dividing n: the squarefree kernel of n, rad(n), radical of n. Sequence IDs: :a007947 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a007947) |&gt; Sequence.take!(78) [1,2,3,2,5,6,7,2,3,10,11,6,13,14,15,2,17,6,19,10,21,22,23,6,5,26,3,14,29,30,31,2,33,34,35,6,37,38,39,10,41,42,43,22,15,46,47,6,7,10,51,26,53,6,55,14,57,58,59,30,61,62,21,2,65,66,67,34,69,70,71,6,73,74,15,38,77,78]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a008966/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a008966/1","type":"function","doc":"OEIS Sequence A008966 - 1 if n is squarefree, else 0. From OEIS A008966: 1 if n is squarefree, else 0. (Formerly ) Sequence IDs: :a008966 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a008966) |&gt; Sequence.take!(100) [1,1,1,0,1,1,1,0,0,1,1,0,1,1,1,0,1,0,1,0,1,1,1,0,0,1,0,0,1,1,1,0,1,1,1,0,1,1,1,0,1,1,1,0,0,1,1,0,0,0,1,0,1,0,1,0,1,1,1,0,1,1,0,0,1,1,1,0,1,1,1,0,1,1,0,0,1,1,1,0,0,1,1,0,1,1,1,0,1,0,1,0,1,1,1,0,1,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a013929/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a013929/1","type":"function","doc":"OEIS Sequence A013929 - Numbers that are not squarefree. Numbers that are divisible by a square greater than 1. The complement of A005117. From OEIS A013929: Numbers that are not squarefree. Numbers that are divisible by a square greater than 1. The complement of A005117. Sequence IDs: :a013929 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a013929) |&gt; Sequence.take!(62) [4,8,9,12,16,18,20,24,25,27,28,32,36,40,44,45,48,49,50,52,54,56,60,63,64,68,72,75,76,80,81,84,88,90,92,96,98,99,100,104,108,112,116,117,120,121,124,125,126,128,132,135,136,140,144,147,148,150,152,153,156,160]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a014612/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a014612/1","type":"function","doc":"OEIS Sequence A014612 - Numbers that are the product of exactly three primes. From OEIS A014612: Numbers that are the product of exactly three (not necessarily distinct) primes. (Formerly ) Sequence IDs: :a014612 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a014612) |&gt; Sequence.take!(57) [8,12,18,20,27,28,30,42,44,45,50,52,63,66,68,70,75,76,78,92,98,99,102,105,110,114,116,117,124,125,130,138,147,148,153,154,164,165,170,171,172,174,175,182,186,188,190,195,207,212,222,230,231,236,238,242,244]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a014613/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a014613/1","type":"function","doc":"OEIS Sequence A014613 - Numbers that are products of 4 primes From OEIS A014613: Numbers that are products of 4 primes (these numbers are sometimes called &quot;4-almost primes&quot;, a generalization of semiprimes). Sequence IDs: :a014613 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a014613) |&gt; Sequence.take!(54) [16,24,36,40,54,56,60,81,84,88,90,100,104,126,132,135,136,140,150,152,156,184,189,196,198,204,210,220,225,228,232,234,248,250,260,276,294,296,297,306,308,315,328,330,340,342,344,348,350,351,364,372,375,376]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a014614/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a014614/1","type":"function","doc":"OEIS Sequence A014614 - Numbers that are products of 5 primes From OEIS A014614: Numbers that are products of 5 primes (or 5-almost primes, a generalization of semiprimes). Sequence IDs: :a014614 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a014614) |&gt; Sequence.take!(52) [32,48,72,80,108,112,120,162,168,176,180,200,208,243,252,264,270,272,280,300,304,312,368,378,392,396,405,408,420,440,450,456,464,468,496,500,520,552,567,588,592,594,612,616,630,656,660,675,680,684,688,696]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a030513/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a030513/1","type":"function","doc":"OEIS Sequence A030513 - Numbers with 4 divisors. From OEIS A030513: Numbers with 4 divisors. (Formerly ) Sequence IDs: :a030513 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a030513) |&gt; Sequence.take!(58) [6,8,10,14,15,21,22,26,27,33,34,35,38,39,46,51,55,57,58,62,65,69,74,77,82,85,86,87,91,93,94,95,106,111,115,118,119,122,123,125,129,133,134,141,142,143,145,146,155,158,159,161,166,177,178,183,185,187]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a030515/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a030515/1","type":"function","doc":"OEIS Sequence A030515 - Numbers with exactly 6 divisors. From OEIS A030515: Numbers with exactly 6 divisors. Sequence IDs: :a030515 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a030515) |&gt; Sequence.take!(52) [12,18,20,28,32,44,45,50,52,63,68,75,76,92,98,99,116,117,124,147,148,153,164,171,172,175,188,207,212,236,242,243,244,245,261,268,275,279,284,292,316,325,332,333,338,356,363,369,387,388,404,412]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033273/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033273/1","type":"function","doc":"OEIS Sequence A033273 - Number of nonprime divisors of n. From OEIS A033273: Number of nonprime divisors of n. Sequence IDs: :a033273 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033273) |&gt; Sequence.take!(104) [1,1,1,2,1,2,1,3,2,2,1,4,1,2,2,4,1,4,1,4,2,2,1,6,2,2,3,4,1,5,1,5,2,2,2,7,1,2,2,6,1,5,1,4,4,2,1,8,2,4,2,4,1,6,2,6,2,2,1,9,1,2,4,6,2,5,1,4,2,5,1,10,1,2,4,4,2,5,1,8,4,2,1,9,2,2,2,6,1,9,2,4,2,2,2,10,1,4,4,7,1,5,1,6]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033942/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033942/1","type":"function","doc":"OEIS Sequence A033942 - At least 3 prime factors (counted with multiplicity). From OEIS A033942: At least 3 prime factors (counted with multiplicity). Sequence IDs: :a033942 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033942) |&gt; Sequence.take!(61) [8,12,16,18,20,24,27,28,30,32,36,40,42,44,45,48,50,52,54,56,60,63,64,66,68,70,72,75,76,78,80,81,84,88,90,92,96,98,99,100,102,104,105,108,110,112,114,116,117,120,124,125,126,128,130,132,135,136,138,140,144]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033987/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033987/1","type":"function","doc":"OEIS Sequence A033987 - Numbers that are divisible by at least 4 primes (counted with multiplicity). From OEIS A033987: Numbers that are divisible by at least 4 primes (counted with multiplicity). Sequence IDs: :a033987 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033987) |&gt; Sequence.take!(55) [16,24,32,36,40,48,54,56,60,64,72,80,81,84,88,90,96,100,104,108,112,120,126,128,132,135,136,140,144,150,152,156,160,162,168,176,180,184,189,192,196,198,200,204,208,210,216,220,224,225,228,232,234,240,243]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033992/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033992/1","type":"function","doc":"OEIS Sequence A033992 - Numbers that are divisible by exactly three different primes. From OEIS A033992: Numbers that are divisible by exactly three different primes. Sequence IDs: :a033992 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033992) |&gt; Sequence.take!(53) [30,42,60,66,70,78,84,90,102,105,110,114,120,126,130,132,138,140,150,154,156,165,168,170,174,180,182,186,190,195,198,204,220,222,228,230,231,234,238,240,246,252,255,258,260,264,266,270,273,276,280,282,285]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a033993/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a033993/1","type":"function","doc":"OEIS Sequence A033993 - Numbers that are divisible by exactly four different primes. From OEIS A033993: Numbers that are divisible by exactly four different primes. (Formerly ) Sequence IDs: :a033993 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a033993) |&gt; Sequence.take!(46) [210,330,390,420,462,510,546,570,630,660,690,714,770,780,798,840,858,870,910,924,930,966,990,1020,1050,1092,1110,1122,1140,1155,1170,1190,1218,1230,1254,1260,1290,1302,1320,1326,1330,1365,1380,1386,1410,1428]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a036537/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a036537/1","type":"function","doc":"OEIS Sequence A036537 - Numbers whose number of divisors is a power of 2. From OEIS A036537: Numbers whose number of divisors is a power of 2. (Formerly ) Sequence IDs: :a036537 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a036537) |&gt; Sequence.take!(70) [1,2,3,5,6,7,8,10,11,13,14,15,17,19,21,22,23,24,26,27,29,30,31,33,34,35,37,38,39,40,41,42,43,46,47,51,53,54,55,56,57,58,59,61,62,65,66,67,69,70,71,73,74,77,78,79,82,83,85,86,87,88,89,91,93,94,95,97,101,102]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a037143/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a037143/1","type":"function","doc":"OEIS Sequence A037143 - Numbers with at most 2 prime factors (counted with multiplicity). From OEIS A037143: Numbers with at most 2 prime factors (counted with multiplicity). Sequence IDs: :a037143 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a037143) |&gt; Sequence.take!(69) [1,2,3,4,5,6,7,9,10,11,13,14,15,17,19,21,22,23,25,26,29,31,33,34,35,37,38,39,41,43,46,47,49,51,53,55,57,58,59,61,62,65,67,69,71,73,74,77,79,82,83,85,86,87,89,91,93,94,95,97,101,103,106,107,109,111,113,115,118]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a038109/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a038109/1","type":"function","doc":"OEIS Sequence A038109 - Divisible exactly by the square of a prime. From OEIS A038109: Divisible exactly by the square of a prime. Sequence IDs: :a038109 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a038109) |&gt; Sequence.take!(58) [4,9,12,18,20,25,28,36,44,45,49,50,52,60,63,68,72,75,76,84,90,92,98,99,100,108,116,117,121,124,126,132,140,144,147,148,150,153,156,164,169,171,172,175,180,188,196,198,200,204,207,212,220,225,228,234,236,242]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a039956/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a039956/1","type":"function","doc":"OEIS Sequence A039956 - Even squarefree numbers. From OEIS A039956: Even squarefree numbers. (Formerly ) Sequence IDs: :a039956 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a039956) |&gt; Sequence.take!(54) [2,6,10,14,22,26,30,34,38,42,46,58,62,66,70,74,78,82,86,94,102,106,110,114,118,122,130,134,138,142,146,154,158,166,170,174,178,182,186,190,194,202,206,210,214,218,222,226,230,238,246,254,258,262]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046099/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046099/1","type":"function","doc":"OEIS Sequence A046099 - Numbers that are not cubefree. Numbers divisible by a cube greater than 1. Complement of A004709. From OEIS A046099: Numbers that are not cubefree. Numbers divisible by a cube greater than 1. Complement of A004709. (Formerly ) Sequence IDs: :a046099 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046099) |&gt; Sequence.take!(55) [8,16,24,27,32,40,48,54,56,64,72,80,81,88,96,104,108,112,120,125,128,135,136,144,152,160,162,168,176,184,189,192,200,208,216,224,232,240,243,248,250,256,264,270,272,280,288,296,297,304,312,320,324,328,336]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046306/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046306/1","type":"function","doc":"OEIS Sequence A046306 - Numbers that are divisible by exactly 6 primes with multiplicity. From OEIS A046306: Numbers that are divisible by exactly 6 primes with multiplicity. Sequence IDs: :a046306 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046306) |&gt; Sequence.take!(49) [64,96,144,160,216,224,240,324,336,352,360,400,416,486,504,528,540,544,560,600,608,624,729,736,756,784,792,810,816,840,880,900,912,928,936,992,1000,1040,1104,1134,1176,1184,1188,1215,1224,1232,1260,1312,1320]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046308/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046308/1","type":"function","doc":"OEIS Sequence A046308 - Numbers that are divisible by exactly 7 primes counting multiplicity. From OEIS A046308: Numbers that are divisible by exactly 7 primes counting multiplicity. (Formerly ) Sequence IDs: :a046308 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046308) |&gt; Sequence.take!(44) [128,192,288,320,432,448,480,648,672,704,720,800,832,972,1008,1056,1080,1088,1120,1200,1216,1248,1458,1472,1512,1568,1584,1620,1632,1680,1760,1800,1824,1856,1872,1984,2000,2080,2187,2208,2268,2352,2368,2376]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046310/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046310/1","type":"function","doc":"OEIS Sequence A046310 - Numbers that are divisible by exactly 8 primes counting multiplicity. From OEIS A046310: Numbers that are divisible by exactly 8 primes counting multiplicity. Sequence IDs: :a046310 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046310) |&gt; Sequence.take!(43) [256,384,576,640,864,896,960,1296,1344,1408,1440,1600,1664,1944,2016,2112,2160,2176,2240,2400,2432,2496,2916,2944,3024,3136,3168,3240,3264,3360,3520,3600,3648,3712,3744,3968,4000,4160,4374,4416,4536,4704,4736]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046312/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046312/1","type":"function","doc":"OEIS Sequence A046312 - Numbers that are divisible by exactly 9 primes with multiplicity. From OEIS A046312: Numbers that are divisible by exactly 9 primes with multiplicity. Sequence IDs: :a046312 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046312) |&gt; Sequence.take!(42) [512,768,1152,1280,1728,1792,1920,2592,2688,2816,2880,3200,3328,3888,4032,4224,4320,4352,4480,4800,4864,4992,5832,5888,6048,6272,6336,6480,6528,6720,7040,7200,7296,7424,7488,7936,8000,8320,8748,8832,9072,9408]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046314/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046314/1","type":"function","doc":"OEIS Sequence A046314 - Numbers that are divisible by exactly 10 primes with multiplicity. From OEIS A046314: Numbers that are divisible by exactly 10 primes with multiplicity. Sequence IDs: :a046314 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046314) |&gt; Sequence.take!(38) [1024,1536,2304,2560,3456,3584,3840,5184,5376,5632,5760,6400,6656,7776,8064,8448,8640,8704,8960,9600,9728,9984,11664,11776,12096,12544,12672,12960,13056,13440,14080,14400,14592,14848,14976,15872,16000,16640]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046321/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046321/1","type":"function","doc":"OEIS Sequence A046321 - Odd numbers divisible by exactly 8 primes (counted with multiplicity). From OEIS A046321: Odd numbers divisible by exactly 8 primes (counted with multiplicity). Sequence IDs: :a046321 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046321) |&gt; Sequence.take!(33) [6561,10935,15309,18225,24057,25515,28431,30375,35721,37179,40095,41553,42525,47385,50301,50625,56133,59535,61965,63423,66339,66825,67797,69255,70875,78975,80919,83349,83835,84375,86751,88209,89667]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046386/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046386/1","type":"function","doc":"OEIS Sequence A046386 - Products of four distinct primes. From OEIS A046386: Products of four distinct primes. (Formerly ) Sequence IDs: :a046386 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046386) |&gt; Sequence.take!(45) [210,330,390,462,510,546,570,690,714,770,798,858,870,910,930,966,1110,1122,1155,1190,1218,1230,1254,1290,1302,1326,1330,1365,1410,1430,1482,1518,1554,1590,1610,1722,1770,1785,1794,1806,1830,1870,1914,1938,1974]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046387/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046387/1","type":"function","doc":"OEIS Sequence A046387 - Products of 5 distinct primes. From OEIS A046387: Products of 5 distinct primes. (Formerly ) Sequence IDs: :a046387 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046387) |&gt; Sequence.take!(38) [2310,2730,3570,3990,4290,4830,5610,6006,6090,6270,6510,6630,7410,7590,7770,7854,8610,8778,8970,9030,9282,9570,9690,9870,10010,10230,10374,10626,11130,11310,11730,12090,12210,12390,12558,12810,13090,13110]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a046660/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a046660/1","type":"function","doc":"OEIS Sequence A046660 - Excess of n = number of prime divisors (with multiplicity) - number of prime divisors (without multiplicity). From OEIS A046660: Excess of n = number of prime divisors (with multiplicity) - number of prime divisors (without multiplicity). Sequence IDs: :a046660 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a046660) |&gt; Sequence.take!(111) [0,0,0,1,0,0,0,2,1,0,0,1,0,0,0,3,0,1,0,1,0,0,0,2,1,0,2,1,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,1,1,0,0,3,1,1,0,1,0,2,0,2,0,0,0,1,0,0,1,5,0,0,0,1,0,0,0,3,0,0,1,1,0,0,0,3,3,0,0,1,0,0,0,2,0,1,0,1,0,0,0,4,0,1,1,2,0,0,0,2,0,0,0,3,0,0,0]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a048272/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a048272/1","type":"function","doc":"OEIS Sequence A048272 - Number of odd divisors of n minus number of even divisors of n. From OEIS A048272: Number of odd divisors of n minus number of even divisors of n. Sequence IDs: :a048272 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a048272) |&gt; Sequence.take!(93) [1,0,2,-1,2,0,2,-2,3,0,2,-2,2,0,4,-3,2,0,2,-2,4,0,2,-4,3,0,4,-2,2,0,2,-4,4,0,4,-3,2,0,4,-4,2,0,2,-2,6,0,2,-6,3,0,4,-2,2,0,4,-4,4,0,2,-4,2,0,6,-5,4,0,2,-2,4,0,2,-6,2,0,6,-2,4,0,2,-6,5,0,2,-4,4,0,4,-4,2,0,4,-2,4]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a051037/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a051037/1","type":"function","doc":"OEIS Sequence A051037 - 5-smooth Numbers From OEIS A051037: 5-smooth numbers, i.e., numbers whose prime divisors are all &lt;= 5 Sequence IDs: :a051037 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a051037) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [40, 45, 48, 50, 54, 60, 64, 72, 75, 80, 81, 90, 96, 100, 108, 120, 125, 128, 135, 144]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a051038/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a051038/1","type":"function","doc":"OEIS Sequence A051038 - 11-smooth Numbers From OEIS A051038: 11-smooth numbers: numbers whose prime divisors are all &lt;= 11. Sequence IDs: :a051038 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a051038) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [25, 27, 28, 30, 32, 33, 35, 36, 40, 42, 44, 45, 48, 49, 50, 54, 55, 56, 60, 63]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a051270/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a051270/1","type":"function","doc":"OEIS Sequence A051270 - Numbers that are divisible by exactly 5 different primes. From OEIS A051270: Numbers that are divisible by exactly 5 different primes. Sequence IDs: :a051270 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a051270) |&gt; Sequence.take!(40) [2310,2730,3570,3990,4290,4620,4830,5460,5610,6006,6090,6270,6510,6630,6930,7140,7410,7590,7770,7854,7980,8190,8580,8610,8778,8970,9030,9240,9282,9570,9660,9690,9870,10010,10230,10374,10626,10710,10920,11130]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a052486/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a052486/1","type":"function","doc":"OEIS Sequence A052486 - Achilles numbers - powerful but imperfect From OEIS A052486: Achilles numbers - powerful but imperfect: if n = Product(p_i^e_i) then all e_i &gt; 1 (i.e., powerful), but the highest common factor of the e_i is 1, i.e., not a perfect power. Sequence IDs: :a052486 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a052486) |&gt; Sequence.take!(20) [72, 108, 200, 288, 392, 432, 500, 648, 675, 800, 864, 968, 972, 1125, 1152, 1323, 1352, 1372, 1568, 1800]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a056911/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a056911/1","type":"function","doc":"OEIS Sequence A056911 - Odd squarefree numbers. From OEIS A056911: Odd squarefree numbers. (Formerly ) Sequence IDs: :a056911 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a056911) |&gt; Sequence.take!(62) [1,3,5,7,11,13,15,17,19,21,23,29,31,33,35,37,39,41,43,47,51,53,55,57,59,61,65,67,69,71,73,77,79,83,85,87,89,91,93,95,97,101,103,105,107,109,111,113,115,119,123,127,129,131,133,137,139,141,143,145,149,151]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a059269/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a059269/1","type":"function","doc":"OEIS Sequence A059269 - Numbers n for which the number of divisors, tau(n), is divisible by 3. From OEIS A059269: Numbers n for which the number of divisors, tau(n), is divisible by 3. (Formerly ) Sequence IDs: :a059269 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a059269) |&gt; Sequence.take!(59) [4,9,12,18,20,25,28,32,36,44,45,49,50,52,60,63,68,72,75,76,84,90,92,96,98,99,100,108,116,117,121,124,126,132,140,144,147,148,150,153,156,160,164,169,171,172,175,180,188,196,198,200,204,207,212,220,224,225,228]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a059376/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a059376/1","type":"function","doc":"OEIS Sequence A059376 - Jordan function J_3(n). From OEIS A059376: Jordan function J_3(n). (Formerly ) Sequence IDs: :a059376 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a059376) |&gt; Sequence.take!(39) [1,7,26,56,124,182,342,448,702,868,1330,1456,2196,2394,3224,3584,4912,4914,6858,6944,8892,9310,12166,11648,15500,15372,18954,19152,24388,22568,29790,28672,34580,34384,42408,39312,50652,48006,57096]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a059377/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a059377/1","type":"function","doc":"OEIS Sequence A059377 - Jordan function J_4(n). From OEIS A059377: Jordan function J_4(n). (Formerly ) Sequence IDs: :a059377 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a059377) |&gt; Sequence.take!(33) [1,15,80,240,624,1200,2400,3840,6480,9360,14640,19200,28560,36000,49920,61440,83520,97200,130320,149760,192000,219600,279840,307200,390000,428400,524880,576000,707280,748800,923520,983040,1171200]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a059378/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a059378/1","type":"function","doc":"OEIS Sequence A059378 - Jordan function J_5(n). From OEIS A059378: Jordan function J_5(n). (Formerly ) Sequence IDs: :a059378 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a059378) |&gt; Sequence.take!(29) [1,31,242,992,3124,7502,16806,31744,58806,96844,161050,240064,371292,520986,756008,1015808,1419856,1822986,2476098,3099008,4067052,4992550,6436342,7682048,9762500,11510052,14289858,16671552,20511148]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a065958/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a065958/1","type":"function","doc":"OEIS Sequence A065958 - a(n) = n^2*Product_{distinct primes p dividing n} (1+1/p^2). From OEIS A065958: a(n) = n^2*Product_{distinct primes p dividing n} (1+1/p^2). Sequence IDs: :a065958 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a065958) |&gt; Sequence.take!(47) [1,5,10,20,26,50,50,80,90,130,122,200,170,250,260,320,290,450,362,520,500,610,530,800,650,850,810,1000,842,1300,962,1280,1220,1450,1300,1800,1370,1810,1700,2080,1682,2500,1850,2440,2340,2650,2210]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a065959/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a065959/1","type":"function","doc":"OEIS Sequence A065959 - a(n) = n^3*Product_{distinct primes p dividing n} (1+1/p^3). From OEIS A065959: a(n) = n^3*Product_{distinct primes p dividing n} (1+1/p^3). (Formerly ) Sequence IDs: :a065959 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a065959) |&gt; Sequence.take!(39) [1,9,28,72,126,252,344,576,756,1134,1332,2016,2198,3096,3528,4608,4914,6804,6860,9072,9632,11988,12168,16128,15750,19782,20412,24768,24390,31752,29792,36864,37296,44226,43344,54432,50654,61740,61544]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a065960/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a065960/1","type":"function","doc":"OEIS Sequence A065960 - a(n) = n^4*Product_{distinct primes p dividing n} (1+1/p^4). From OEIS A065960: a(n) = n^4*Product_{distinct primes p dividing n} (1+1/p^4). Sequence IDs: :a065960 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a065960) |&gt; Sequence.take!(33) [1,17,82,272,626,1394,2402,4352,6642,10642,14642,22304,28562,40834,51332,69632,83522,112914,130322,170272,196964,248914,279842,356864,391250,485554,538002,653344,707282,872644,923522,1114112,1200644]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a067259/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a067259/1","type":"function","doc":"OEIS Sequence A067259 - Cubefree numbers which are not squarefree. From OEIS A067259: Cubefree numbers which are not squarefree. Sequence IDs: :a067259 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a067259) |&gt; Sequence.take!(51) [4,9,12,18,20,25,28,36,44,45,49,50,52,60,63,68,75,76,84,90,92,98,99,100,116,117,121,124,126,132,140,147,148,150,153,156,164,169,171,172,175,180,188,196,198,204,207,212,220,225,228]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a067885/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a067885/1","type":"function","doc":"OEIS Sequence A067885 - Product of 6 distinct primes. From OEIS A067885: Product of 6 distinct primes. (Formerly ) Sequence IDs: :a067885 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a067885) |&gt; Sequence.take!(32) [30030,39270,43890,46410,51870,53130,62790,66990,67830,71610,72930,79170,81510,82110,84630,85470,91770,94710,98670,99330,101010,102102,103530,106590,108570,110670,111930,114114,115710,117390,122430,123690]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069091/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069091/1","type":"function","doc":"OEIS Sequence A069091 - Jordan function J_6(n). From OEIS A069091: Jordan function J_6(n). Sequence IDs: :a069091 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069091) |&gt; Sequence.take!(27) [1,63,728,4032,15624,45864,117648,258048,530712,984312,1771560,2935296,4826808,7411824,11374272,16515072,24137568,33434856,47045880,62995968,85647744,111608280,148035888,187858944,244125000,304088904,386889048]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069092/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069092/1","type":"function","doc":"OEIS Sequence A069092 - Jordan function J_7(n). From OEIS A069092: Jordan function J_7(n). Sequence IDs: :a069092 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069092) |&gt; Sequence.take!(24) [1,127,2186,16256,78124,277622,823542,2080768,4780782,9921748,19487170,35535616,62748516,104589834,170779064,266338304,410338672,607159314,893871738,1269983744,1800262812,2474870590,3404825446,4548558848]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069093/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069093/1","type":"function","doc":"OEIS Sequence A069093 - Jordan function J_8(n). From OEIS A069093: Jordan function J_8(n). Sequence IDs: :a069093 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069093) |&gt; Sequence.take!(21) [1,255,6560,65280,390624,1672800,5764800,16711680,43040160,99609120,214358880,428236800,815730720,1470024000,2562493440,4278190080,6975757440,10975240800,16983563040,25499934720,37817088000]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069094/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069094/1","type":"function","doc":"OEIS Sequence A069094 - Jordan function J_9(n). From OEIS A069094: Jordan function J_9(n). Sequence IDs: :a069094 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069094) |&gt; Sequence.take!(20) [1,511,19682,261632,1953124,10057502,40353606,133955584,387400806,998046364,2357947690,5149441024,10604499372,20620692666,38441386568,68585259008,118587876496,197961811866,322687697778,510999738368]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069095/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069095/1","type":"function","doc":"OEIS Sequence A069095 - Jordan function J_10(n). From OEIS A069095: Jordan function J_10(n). Sequence IDs: :a069095 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a069095) |&gt; Sequence.take!(19) [1,1023,59048,1047552,9765624,60406104,282475248,1072693248,3486725352,9990233352,25937424600,61855850496,137858491848,288972178704,576640565952,1098437885952,2015993900448,3566920035096,6131066257800]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069272/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069272/1","type":"function","doc":"OEIS Sequence A069272 - 11-almost primes (generalization of semiprimes). From OEIS A069272: 11-almost primes (generalization of semiprimes). Sequence IDs: :a069272 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069272) |&gt; Sequence.take!(34) [2048,3072,4608,5120,6912,7168,7680,10368,10752,11264,11520,12800,13312,15552,16128,16896,17280,17408,17920,19200,19456,19968,23328,23552,24192,25088,25344,25920,26112,26880,28160,28800,29184,29696]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069273/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069273/1","type":"function","doc":"OEIS Sequence A069273 - 12-almost primes (generalization of semiprimes). From OEIS A069273: 12-almost primes (generalization of semiprimes). Sequence IDs: :a069273 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069273) |&gt; Sequence.take!(34) [4096,6144,9216,10240,13824,14336,15360,20736,21504,22528,23040,25600,26624,31104,32256,33792,34560,34816,35840,38400,38912,39936,46656,47104,48384,50176,50688,51840,52224,53760,56320,57600,58368,59392]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069274/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069274/1","type":"function","doc":"OEIS Sequence A069274 - 13-almost primes (generalization of semiprimes). From OEIS A069274: 13-almost primes (generalization of semiprimes). Sequence IDs: :a069274 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069274) |&gt; Sequence.take!(32) [8192,12288,18432,20480,27648,28672,30720,41472,43008,45056,46080,51200,53248,62208,64512,67584,69120,69632,71680,76800,77824,79872,93312,94208,96768,100352,101376,103680,104448,107520,112640,115200]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069275/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069275/1","type":"function","doc":"OEIS Sequence A069275 - 14-almost primes (generalization of semiprimes). From OEIS A069275: 14-almost primes (generalization of semiprimes). Sequence IDs: :a069275 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069275) |&gt; Sequence.take!(5) [16384,24576,36864,40960,55296]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069276/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069276/1","type":"function","doc":"OEIS Sequence A069276 - 15-almost primes (generalization of semiprimes). From OEIS A069276: 15-almost primes (generalization of semiprimes). Sequence IDs: :a069276 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069276) |&gt; Sequence.take!(5) [32768,49152,73728,81920,110592]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069277/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069277/1","type":"function","doc":"OEIS Sequence A069277 - 16-almost primes (generalization of semiprimes). From OEIS A069277: 16-almost primes (generalization of semiprimes). Sequence IDs: :a069277 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069277) |&gt; Sequence.take!(5) [65536,98304,147456,163840,221184]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069278/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069278/1","type":"function","doc":"OEIS Sequence A069278 - 17-almost primes (generalization of semiprimes). From OEIS A069278: 17-almost primes (generalization of semiprimes). Sequence IDs: :a069278 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069278) |&gt; Sequence.take!(3) [131072,196608,294912]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069279/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069279/1","type":"function","doc":"OEIS Sequence A069279 - Products of exactly 18 primes (generalization of semiprimes). From OEIS A069279: Products of exactly 18 primes (generalization of semiprimes). Sequence IDs: :a069279 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069279) |&gt; Sequence.take!(2) [262144,393216]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069280/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069280/1","type":"function","doc":"OEIS Sequence A069280 - 19-almost primes (generalization of semiprimes). From OEIS A069280: 19-almost primes (generalization of semiprimes). Sequence IDs: :a069280 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069280) |&gt; Sequence.take!(1) [524288]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a069281/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a069281/1","type":"function","doc":"OEIS Sequence A069281 - 20-almost primes (generalization of semiprimes). From OEIS A069281: 20-almost primes (generalization of semiprimes). Sequence IDs: :a069281 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a069281) |&gt; Sequence.take!(1) [1048576]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a074969/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a074969/1","type":"function","doc":"OEIS Sequence A074969 - Numbers with six distinct prime divisors. From OEIS A074969: Numbers with six distinct prime divisors. Sequence IDs: :a074969 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a074969) |&gt; Sequence.take!(32) [30030,39270,43890,46410,51870,53130,60060,62790,66990,67830,71610,72930,78540,79170,81510,82110,84630,85470,87780,90090,91770,92820,94710,98670,99330,101010,102102,103530,103740,106260,106590,108570]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a076479/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a076479/1","type":"function","doc":"OEIS Sequence A076479 - a(n) = mu(rad(n)), where mu is the Moebius-function From OEIS A076479: a(n) = mu(rad(n)), where mu is the Moebius-function (A008683) and rad is the radical or squarefree kernel (A007947). Sequence IDs: :a076479 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a076479) |&gt; Sequence.take!(87) [1,-1,-1,-1,-1,1,-1,-1,-1,1,-1,1,-1,1,1,-1,-1,1,-1,1,1,1,-1,1,-1,1,-1,1,-1,-1,-1,-1,1,1,1,1,-1,1,1,1,-1,-1,-1,1,1,1,-1,1,-1,1,1,1,-1,1,1,1,1,1,-1,-1,-1,1,1,-1,1,-1,-1,1,1,-1,-1,1,-1,1,1,1,1,-1,-1,1,-1,1,-1,-1,1,1,1]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a080197/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a080197/1","type":"function","doc":"OEIS Sequence A080197 - 13-smooth Numbers From OEIS A080197: 13-smooth numbers: numbers whose prime divisors are all &lt;= 13. Sequence IDs: :a080197 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a080197) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [24, 25, 26, 27, 28, 30, 32, 33, 35, 36, 39, 40, 42, 44, 45, 48, 49, 50, 52, 54]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a080681/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a080681/1","type":"function","doc":"OEIS Sequence A080681 - 17-smooth Numbers From OEIS A080681: 17-smooth numbers: numbers whose prime divisors are all &lt;= 17. Sequence IDs: :a080681 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a080681) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [22, 24, 25, 26, 27, 28, 30, 32, 33, 34, 35, 36, 39, 40, 42, 44, 45, 48, 49, 50]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a080682/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a080682/1","type":"function","doc":"OEIS Sequence A080682 - 19-smooth Numbers From OEIS A080682: 19-smooth numbers: numbers whose prime divisors are all &lt;= 19. Sequence IDs: :a080682 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a080682) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [21, 22, 24, 25, 26, 27, 28, 30, 32, 33, 34, 35, 36, 38, 39, 40, 42, 44, 45, 48]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a080683/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a080683/1","type":"function","doc":"OEIS Sequence A080683 - 23-smooth Numbers From OEIS A080683: 23-smooth numbers: numbers whose prime divisors are all &lt;= 23. Sequence IDs: :a080683 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Factors, :a080683) |&gt; Sequence.drop(20) |&gt; Sequence.take!(20) [21, 22, 23, 24, 25, 26, 27, 28, 30, 32, 33, 34, 35, 36, 38, 39, 40, 42, 44, 45]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a117805/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a117805/1","type":"function","doc":"OEIS Sequence A117805 - Start with 3. Square the previous term and subtract it. From OEIS A117805: Start with 3. Square the previous term and subtract it. Sequence IDs: :a117805 Finite: False Offset: 0 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a117805) |&gt; Sequence.take!(9) [3,6,30,870,756030,571580604870,326704387862983487112030,106735757048926752040856495274871386126283608870,11392521832807516835658052968328096177131218666695418950023483907701862019030266123104859068030]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a123321/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a123321/1","type":"function","doc":"OEIS Sequence A123321 - Products of 7 distinct primes (squarefree 7-almost primes). From OEIS A123321: Products of 7 distinct primes (squarefree 7-almost primes). Sequence IDs: :a123321 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a123321) |&gt; Sequence.take!(2) [510510,570570]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a123322/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a123322/1","type":"function","doc":"OEIS Sequence A123322 - Products of 8 distinct primes (squarefree 8-almost primes). From OEIS A123322: Products of 8 distinct primes (squarefree 8-almost primes). Sequence IDs: :a123322 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a123322) |&gt; Sequence.take!(1) [9699690]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a130897/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a130897/1","type":"function","doc":"OEIS Sequence A130897 - Numbers that are not exponentially squarefree. From OEIS A130897: Numbers that are not exponentially squarefree. Sequence IDs: :a130897 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a130897) |&gt; Sequence.take!(43) [16,48,80,81,112,144,162,176,208,240,256,272,304,324,336,368,400,405,432,464,496,512,528,560,567,592,624,625,648,656,688,720,752,768,784,810,816,848,880,891,912,944,976]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160889/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160889/1","type":"function","doc":"OEIS Sequence A160889 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 4. From OEIS A160889: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 4. Sequence IDs: :a160889 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160889) |&gt; Sequence.take!(49) [1,7,13,28,31,91,57,112,117,217,133,364,183,399,403,448,307,819,381,868,741,931,553,1456,775,1281,1053,1596,871,2821,993,1792,1729,2149,1767,3276,1407,2667,2379,3472,1723,5187,1893,3724,3627,3871,2257,5824,2793]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160891/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160891/1","type":"function","doc":"OEIS Sequence A160891 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 5. From OEIS A160891: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 5. Sequence IDs: :a160891 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160891) |&gt; Sequence.take!(39) [1,15,40,120,156,600,400,960,1080,2340,1464,4800,2380,6000,6240,7680,5220,16200,7240,18720,16000,21960,12720,38400,19500,35700,29160,48000,25260,93600,30784,61440,58560,78300,62400,129600,52060,108600,95200]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160893/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160893/1","type":"function","doc":"OEIS Sequence A160893 - a(n) = Sum_{d|n} Möbius(n/d)*d^5/phi(n). From OEIS A160893: a(n) = Sum_{d|n} Möbius(n/d)*d^5/phi(n). Sequence IDs: :a160893 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160893) |&gt; Sequence.take!(33) [1,31,121,496,781,3751,2801,7936,9801,24211,16105,60016,30941,86831,94501,126976,88741,303831,137561,387376,338921,499255,292561,960256,488125,959171,793881,1389296,732541,2929531,954305,2031616,1948705]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160895/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160895/1","type":"function","doc":"OEIS Sequence A160895 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 7. From OEIS A160895: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 7. (Formerly ) Sequence IDs: :a160895 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160895) |&gt; Sequence.take!(30) [1,63,364,2016,3906,22932,19608,64512,88452,246078,177156,733824,402234,1235304,1421784,2064384,1508598,5572476,2613660,7874496,7137312,11160828,6728904,23482368,12206250,25340742,21493836,39529728,21243690,89572392]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160897/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160897/1","type":"function","doc":"OEIS Sequence A160897 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 8. From OEIS A160897: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 8. Sequence IDs: :a160897 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160897) |&gt; Sequence.take!(26) [1,127,1093,8128,19531,138811,137257,520192,796797,2480437,1948717,8883904,5229043,17431639,21347383,33292288,25646167,101193219,49659541,158747968,150021901,247487059,154764793,568569856,305171875,664088461]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160908/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160908/1","type":"function","doc":"OEIS Sequence A160908 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 9. From OEIS A160908: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 9. Sequence IDs: :a160908 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160908) |&gt; Sequence.take!(24) [1,255,3280,32640,97656,836400,960800,4177920,7173360,24902280,21435888,107059200,67977560,245004000,320311680,534773760,435984840,1829206800,943531280,3187491840,3151424000,5466151440,3559590240,13703577600]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160953/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160953/1","type":"function","doc":"OEIS Sequence A160953 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 10. From OEIS A160953: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 10. Sequence IDs: :a160953 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160953) |&gt; Sequence.take!(21) [1,511,9841,130816,488281,5028751,6725601,33488896,64566801,249511591,235794769,1287360256,883708281,3436782111,4805173321,8573157376,7411742281,32993635311,17927094321,63874967296,66186639441]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160957/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160957/1","type":"function","doc":"OEIS Sequence A160957 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 11. From OEIS A160957: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 11. Sequence IDs: :a160957 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160957) |&gt; Sequence.take!(20) [1,1023,29524,523776,2441406,30203052,47079208,268173312,581120892,2497558338,2593742460,15463962624,11488207654,48162029784,72080070744,137304735744,125999618778,594486672516,340614792100,1278749869056]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a160960/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a160960/1","type":"function","doc":"OEIS Sequence A160960 - a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 12. From OEIS A160960: a(n) = Sum_{d|n} Moebius(n/d)*d^(b-1)/phi(n) for b = 12. Sequence IDs: :a160960 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a160960) |&gt; Sequence.take!(18) [1,2047,88573,2096128,12207031,181308931,329554457,2146435072,5230147077,24987792457,28531167061,185660345344,149346699503,674597973479,1081213356763,2197949513728,2141993519227,10706111066619]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a162643/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a162643/1","type":"function","doc":"OEIS Sequence A162643 - Numbers such that their number of divisors is not a power of 2. From OEIS A162643: Numbers such that their number of divisors is not a power of 2. Sequence IDs: :a162643 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a162643) |&gt; Sequence.take!(60) [4,9,12,16,18,20,25,28,32,36,44,45,48,49,50,52,60,63,64,68,72,75,76,80,81,84,90,92,96,98,99,100,108,112,116,117,121,124,126,132,140,144,147,148,150,153,156,160,162,164,169,171,172,175,176,180,188,192,196,198]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a209061/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a209061/1","type":"function","doc":"OEIS Sequence A209061 - Exponentially squarefree numbers. From OEIS A209061: Exponentially squarefree numbers. Sequence IDs: :a209061 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a209061) |&gt; Sequence.take!(67) [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a211337/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a211337/1","type":"function","doc":"OEIS Sequence A211337 - Numbers n for which the number of divisors, tau(n), is congruent to 1 modulo 3. From OEIS A211337: Numbers n for which the number of divisors, tau(n), is congruent to 1 modulo 3. Sequence IDs: :a211337 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a211337) |&gt; Sequence.take!(59) [1,6,8,10,14,15,21,22,26,27,33,34,35,38,39,46,48,51,55,57,58,62,64,65,69,74,77,80,82,85,86,87,91,93,94,95,106,111,112,115,118,119,120,122,123,125,129,133,134,141,142,143,145,146,155,158,159,161,162]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#create_sequence_a211338/1","title":"Chunky.Sequence.OEIS.Factors.create_sequence_a211338/1","type":"function","doc":"OEIS Sequence A211338 - Numbers n for which the number of divisors, tau(n), is congruent to 2 modulo 3. From OEIS A211338: Numbers n for which the number of divisors, tau(n), is congruent to 2 modulo 3. Sequence IDs: :a211338 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Factors, :a211338) |&gt; Sequence.take!(60) [2,3,5,7,11,13,16,17,19,23,24,29,30,31,37,40,41,42,43,47,53,54,56,59,61,66,67,70,71,73,78,79,81,83,88,89,97,101,102,103,104,105,107,109,110,113,114,127,128,130,131,135,136,137,138,139,149,151,152,154]"},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a000037/2","title":"Chunky.Sequence.OEIS.Factors.seq_a000037/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a000977/2","title":"Chunky.Sequence.OEIS.Factors.seq_a000977/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a001597/2","title":"Chunky.Sequence.OEIS.Factors.seq_a001597/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a001694/2","title":"Chunky.Sequence.OEIS.Factors.seq_a001694/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a001826/1","title":"Chunky.Sequence.OEIS.Factors.seq_a001826/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a001842/1","title":"Chunky.Sequence.OEIS.Factors.seq_a001842/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a002473/2","title":"Chunky.Sequence.OEIS.Factors.seq_a002473/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a003586/2","title":"Chunky.Sequence.OEIS.Factors.seq_a003586/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a004709/2","title":"Chunky.Sequence.OEIS.Factors.seq_a004709/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a005361/1","title":"Chunky.Sequence.OEIS.Factors.seq_a005361/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a006881/2","title":"Chunky.Sequence.OEIS.Factors.seq_a006881/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a007018/2","title":"Chunky.Sequence.OEIS.Factors.seq_a007018/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a007304/2","title":"Chunky.Sequence.OEIS.Factors.seq_a007304/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a007412/2","title":"Chunky.Sequence.OEIS.Factors.seq_a007412/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a007434/1","title":"Chunky.Sequence.OEIS.Factors.seq_a007434/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a007774/2","title":"Chunky.Sequence.OEIS.Factors.seq_a007774/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a007947/1","title":"Chunky.Sequence.OEIS.Factors.seq_a007947/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a008966/1","title":"Chunky.Sequence.OEIS.Factors.seq_a008966/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a013929/2","title":"Chunky.Sequence.OEIS.Factors.seq_a013929/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a014612/2","title":"Chunky.Sequence.OEIS.Factors.seq_a014612/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a014613/2","title":"Chunky.Sequence.OEIS.Factors.seq_a014613/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a014614/2","title":"Chunky.Sequence.OEIS.Factors.seq_a014614/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a030513/2","title":"Chunky.Sequence.OEIS.Factors.seq_a030513/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a030515/2","title":"Chunky.Sequence.OEIS.Factors.seq_a030515/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a033273/1","title":"Chunky.Sequence.OEIS.Factors.seq_a033273/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a033942/2","title":"Chunky.Sequence.OEIS.Factors.seq_a033942/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a033987/2","title":"Chunky.Sequence.OEIS.Factors.seq_a033987/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a033992/2","title":"Chunky.Sequence.OEIS.Factors.seq_a033992/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a033993/2","title":"Chunky.Sequence.OEIS.Factors.seq_a033993/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a036537/2","title":"Chunky.Sequence.OEIS.Factors.seq_a036537/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a037143/2","title":"Chunky.Sequence.OEIS.Factors.seq_a037143/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a038109/2","title":"Chunky.Sequence.OEIS.Factors.seq_a038109/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a039956/2","title":"Chunky.Sequence.OEIS.Factors.seq_a039956/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046099/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046099/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046306/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046306/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046308/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046308/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046310/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046310/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046312/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046312/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046314/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046314/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046321/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046321/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046386/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046386/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046387/2","title":"Chunky.Sequence.OEIS.Factors.seq_a046387/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a046660/1","title":"Chunky.Sequence.OEIS.Factors.seq_a046660/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a048272/1","title":"Chunky.Sequence.OEIS.Factors.seq_a048272/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a051037/2","title":"Chunky.Sequence.OEIS.Factors.seq_a051037/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a051038/2","title":"Chunky.Sequence.OEIS.Factors.seq_a051038/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a051270/2","title":"Chunky.Sequence.OEIS.Factors.seq_a051270/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a052486/2","title":"Chunky.Sequence.OEIS.Factors.seq_a052486/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a056911/2","title":"Chunky.Sequence.OEIS.Factors.seq_a056911/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a059269/2","title":"Chunky.Sequence.OEIS.Factors.seq_a059269/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a059376/1","title":"Chunky.Sequence.OEIS.Factors.seq_a059376/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a059377/1","title":"Chunky.Sequence.OEIS.Factors.seq_a059377/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a059378/1","title":"Chunky.Sequence.OEIS.Factors.seq_a059378/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a065958/1","title":"Chunky.Sequence.OEIS.Factors.seq_a065958/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a065959/1","title":"Chunky.Sequence.OEIS.Factors.seq_a065959/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a065960/1","title":"Chunky.Sequence.OEIS.Factors.seq_a065960/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a067259/2","title":"Chunky.Sequence.OEIS.Factors.seq_a067259/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a067885/2","title":"Chunky.Sequence.OEIS.Factors.seq_a067885/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069091/1","title":"Chunky.Sequence.OEIS.Factors.seq_a069091/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069092/1","title":"Chunky.Sequence.OEIS.Factors.seq_a069092/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069093/1","title":"Chunky.Sequence.OEIS.Factors.seq_a069093/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069094/1","title":"Chunky.Sequence.OEIS.Factors.seq_a069094/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069095/1","title":"Chunky.Sequence.OEIS.Factors.seq_a069095/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069272/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069272/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069273/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069273/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069274/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069274/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069275/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069275/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069276/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069276/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069277/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069277/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069278/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069278/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069279/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069279/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069280/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069280/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a069281/2","title":"Chunky.Sequence.OEIS.Factors.seq_a069281/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a074969/2","title":"Chunky.Sequence.OEIS.Factors.seq_a074969/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a076479/1","title":"Chunky.Sequence.OEIS.Factors.seq_a076479/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a080197/2","title":"Chunky.Sequence.OEIS.Factors.seq_a080197/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a080681/2","title":"Chunky.Sequence.OEIS.Factors.seq_a080681/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a080682/2","title":"Chunky.Sequence.OEIS.Factors.seq_a080682/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a080683/2","title":"Chunky.Sequence.OEIS.Factors.seq_a080683/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a117805/2","title":"Chunky.Sequence.OEIS.Factors.seq_a117805/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a123321/2","title":"Chunky.Sequence.OEIS.Factors.seq_a123321/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a123322/2","title":"Chunky.Sequence.OEIS.Factors.seq_a123322/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a130897/2","title":"Chunky.Sequence.OEIS.Factors.seq_a130897/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160889/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160889/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160891/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160891/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160893/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160893/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160895/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160895/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160897/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160897/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160908/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160908/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160953/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160953/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160957/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160957/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a160960/1","title":"Chunky.Sequence.OEIS.Factors.seq_a160960/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a162643/2","title":"Chunky.Sequence.OEIS.Factors.seq_a162643/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a209061/2","title":"Chunky.Sequence.OEIS.Factors.seq_a209061/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a211337/2","title":"Chunky.Sequence.OEIS.Factors.seq_a211337/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Factors.html#seq_a211338/2","title":"Chunky.Sequence.OEIS.Factors.seq_a211338/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Primes.html","title":"Chunky.Sequence.OEIS.Primes","type":"module","doc":"OEIS Sequences dealing with Primes. For related sequences, see Chunky.Sequences.OEIS.Factors Available Sequences A162511 - Multiplicative function with a(p^e)=(-1)^(e-1) - :a162511 - create_sequence_a162511/1"},{"ref":"Chunky.Sequence.OEIS.Primes.html#create_sequence_a162511/1","title":"Chunky.Sequence.OEIS.Primes.create_sequence_a162511/1","type":"function","doc":"OEIS Sequence A162511 - Multiplicative function with a(p^e)=(-1)^(e-1) From OEIS A162511: Multiplicative function with a(p^e)=(-1)^(e-1) Sequence IDs: :a162511 Finite: False Offset: 1 Example iex&gt; Sequence.create(Elixir.Chunky.Sequence.OEIS.Primes, :a162511) |&gt; Sequence.take!(92) [1,1,1,-1,1,1,1,1,-1,1,1,-1,1,1,1,-1,1,-1,1,-1,1,1,1,1,-1,1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,-1,1,1,-1,-1,-1,1,-1,1,1,1,1,1,1,1,-1,1,1,-1,-1,1,1,1,-1,1,1,1,-1,1,1,-1,-1,1,1,1,-1,-1,1,1,-1,1,1,1,1,1,-1,1,-1]"},{"ref":"Chunky.Sequence.OEIS.Primes.html#seq_a162511/1","title":"Chunky.Sequence.OEIS.Primes.seq_a162511/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html","title":"Chunky.Sequence.OEIS.Sigma","type":"module","doc":"OEIS Sequences for Sigma values. Some sigma sequences are in the Sequence.OEIS.Core module. Available Sequences A001158 - Sum of cubes of divisors of N, simga-3(n) - :a001158 - create_sequence_a001158/1 A001159 - sum of 4th powers of divisors of n, simga-4(n) - a001159 - create_sequence_a001159/1 A001160 - sum of 5th powers of divisors of n, simga-5(n) - a001160 - create_sequence_a001160/1 A002093 - Highly Abundant Numbers - a002093 - create_sequence_a002093/1 A003601 - Arithmetic Numbers - a003601 - create_sequence_a003601/1 A013954 - sum of 6th powers of divisors of n, simga-6(n) - a013954 - create_sequence_a013954/1 A013955 - sum of 7th powers of divisors of n, simga-7(n) - a013955 - create_sequence_a013955/1 A013956 - sum of 8th powers of divisors of n, simga-8(n) - a013956 - create_sequence_a013956/1 A013957 - sum of 9th powers of divisors of n, simga-9(n) - a013957 - create_sequence_a013957/1 A013958 - sum of 10th powers of divisors of n, simga-10(n) - a013958 - create_sequence_a013958/1 A013959 - sum of 11th powers of divisors of n, simga-11(n) - a013959 - create_sequence_a013959/1 A013960 - sum of 12th powers of divisors of n, simga-12(n) - a013960 - create_sequence_a013960/1 A013961 - sum of 13th powers of divisors of n, simga-13(n) - a013961 - create_sequence_a013961/1 A013962 - sum of 14th powers of divisors of n, simga-14(n) - a013962 - create_sequence_a013962/1 A013963 - sum of 15th powers of divisors of n, simga-15(n) - a013963 - create_sequence_a013963/1 A013964 - sum of 16th powers of divisors of n, simga-16(n) - a013964 - create_sequence_a013964/1 A013965 - sum of 17th powers of divisors of n, simga-17(n) - a013965 - create_sequence_a013965/1 A013966 - sum of 18th powers of divisors of n, simga-18(n) - a013966 - create_sequence_a013966/1 A013967 - sum of 19th powers of divisors of n, simga-19(n) - a013967 - create_sequence_a013967/1 A013968 - sum of 20th powers of divisors of n, simga-20(n) - a013968 - create_sequence_a013968/1"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a001158/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a001158/1","type":"function","doc":"OEIS Sequence A001158 - Sum of cubes of divisors of N, simga-3(n), 𝝈3(n). From OEIS A001158: sigma_3(n): sum of cubes of divisors of n. (Formerly M4605 N1964) Sequence IDs: :a001158 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a001158) |&gt; Sequence.take!(10) [1, 9, 28, 73, 126, 252, 344, 585, 757, 1134]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a001159/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a001159/1","type":"function","doc":"OEIS Sequence A001159 - sum of 4th powers of divisors of n, simga-4(n), 𝝈4(n). From OEIS A001159: sigma_4(n): sum of 4th powers of divisors of n. (Formerly M5041 N2177) Sequence IDs: :a001159 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a001159) |&gt; Sequence.take!(10) [1, 17, 82, 273, 626, 1394, 2402, 4369, 6643, 10642]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a001160/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a001160/1","type":"function","doc":"OEIS Sequence A001160 - sum of 5th powers of divisors of n, simga-5(n), 𝝈5(n). From OEIS A001160: sigma_5(n): sum of 5th powers of divisors of n. (Formerly M5240 N2279) Sequence IDs: :a001160 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a001160) |&gt; Sequence.take!(10) [1, 33, 244, 1057, 3126, 8052, 16808, 33825, 59293, 103158]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a002093/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a002093/1","type":"function","doc":"OEIS Sequence A002093 - Highly Abundant Numbers From OEIS A002093: Highly abundant numbers: numbers n such that sigma(n) &gt; sigma(m) for all m &lt; n. (Formerly M0553 N0200) Sequence IDs: :a002093 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a002093) |&gt; Sequence.take!(25) [1, 2, 3, 4, 6, 8, 10, 12, 16, 18, 20, 24, 30, 36, 42, 48, 60, 72, 84, 90, 96, 108, 120, 144, 168]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a003601/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a003601/1","type":"function","doc":"OEIS Sequence A003601 - Arithmetic Numbers From OEIS A003601: Numbers n such that the average of the divisors of n is an integer: sigma_0(n) divides sigma_1(n). Alternatively, tau(n) (A000005(n)) divides sigma(n) (A000203(n)). (Formerly M2389) Sequence IDs: :a003601 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a003601) |&gt; Sequence.take!(10) [1, 3, 5, 6, 7, 11, 13, 14, 15, 17]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013954/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013954/1","type":"function","doc":"OEIS Sequence A013954 - sum of 6th powers of divisors of n, simga-6(n), 𝝈6(n). From OEIS A013954: sigma_6(n): sum of 6th powers of divisors of n. Sequence IDs: :a013954 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013954) |&gt; Sequence.take!(10) [1, 65, 730, 4161, 15626, 47450, 117650, 266305, 532171, 1015690]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013955/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013955/1","type":"function","doc":"OEIS Sequence A013955 - sum of 7th powers of divisors of n, simga-7(n), 𝝈7(n). From OEIS A013955: sigma_7(n): sum of 7th powers of divisors of n. Sequence IDs: :a013955 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013955) |&gt; Sequence.take!(10) [1, 129, 2188, 16513, 78126, 282252, 823544, 2113665, 4785157, 10078254]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013956/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013956/1","type":"function","doc":"OEIS Sequence A013956 - sum of 8th powers of divisors of n, simga-8(n), 𝝈8(n). From OEIS A013956: sigma_8(n): sum of 8th powers of divisors of n. Sequence IDs: :a013956 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013956) |&gt; Sequence.take!(10) [1, 257, 6562, 65793, 390626, 1686434, 5764802, 16843009, 43053283, 100390882]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013957/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013957/1","type":"function","doc":"OEIS Sequence A013957 - sum of 9th powers of divisors of n, simga-9(n), 𝝈9(n). From OEIS A013957: sigma_9(n): sum of 9th powers of divisors of n. Sequence IDs: :a013957 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013957) |&gt; Sequence.take!(10) [1, 513, 19684, 262657, 1953126, 10097892, 40353608, 134480385, 387440173, 1001953638]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013958/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013958/1","type":"function","doc":"OEIS Sequence A013958 - sum of 10th powers of divisors of n, simga-10(n), 𝝈10(n). From OEIS A013958: sigma_10(n): sum of 10th powers of divisors of n. Sequence IDs: :a013958 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013958) |&gt; Sequence.take!(10) [1, 1025, 59050, 1049601, 9765626, 60526250, 282475250, 1074791425, 3486843451, 10009766650]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013959/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013959/1","type":"function","doc":"OEIS Sequence A013959 - sum of 11th powers of divisors of n, simga-11(n), 𝝈11(n). From OEIS A013959: sigma_11(n): sum of 11th powers of divisors of n. Sequence IDs: :a013959 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013959) |&gt; Sequence.take!(10) [1, 2049, 177148, 4196353, 48828126, 362976252, 1977326744, 8594130945, 31381236757, 100048830174]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013960/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013960/1","type":"function","doc":"OEIS Sequence A013960 - sum of 12th powers of divisors of n, simga-12(n), 𝝈12(n). From OEIS A013960: sigma_12(n): sum of 12th powers of divisors of n. Sequence IDs: :a013960 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013960) |&gt; Sequence.take!(10) [1, 4097, 531442, 16781313, 244140626, 2177317874, 13841287202, 68736258049, 282430067923, 1000244144722]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013961/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013961/1","type":"function","doc":"OEIS Sequence A013961 - sum of 13th powers of divisors of n, simga-13(n), 𝝈13(n). From OEIS A013961: sigma_13(n): sum of 13th powers of divisors of n. Sequence IDs: :a013961 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013961) |&gt; Sequence.take!(10) [1, 8193, 1594324, 67117057, 1220703126, 13062296532, 96889010408, 549822930945, 2541867422653, 10001220711318]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013962/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013962/1","type":"function","doc":"OEIS Sequence A013962 - sum of 14th powers of divisors of n, simga-14(n), 𝝈14(n). From OEIS A013962: sigma_14(n): sum of 14th powers of divisors of n. Sequence IDs: :a013962 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013962) |&gt; Sequence.take!(10) [1, 16385, 4782970, 268451841, 6103515626, 78368963450, 678223072850, 4398314962945, 22876797237931, 100006103532010]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013963/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013963/1","type":"function","doc":"OEIS Sequence A013963 - sum of 15th powers of divisors of n, simga-15(n), 𝝈15(n). From OEIS A013963: sigma_15(n): sum of 15th powers of divisors of n. Sequence IDs: :a013963 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013963) |&gt; Sequence.take!(10) [1, 32769, 14348908, 1073774593, 30517578126, 470199366252, 4747561509944, 35185445863425, 205891146443557, 1000030517610894]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013964/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013964/1","type":"function","doc":"OEIS Sequence A013964 - sum of 16th powers of divisors of n, simga-16(n), 𝝈16(n). From OEIS A013964: sigma_16(n): sum of 16th powers of divisors of n. Sequence IDs: :a013964 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013964) |&gt; Sequence.take!(10) [1, 65537, 43046722, 4295032833, 152587890626, 2821153019714, 33232930569602, 281479271743489, 1853020231898563, 10000152587956162]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013965/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013965/1","type":"function","doc":"OEIS Sequence A013965 - sum of 17th powers of divisors of n, simga-17(n), 𝝈17(n). From OEIS A013965: sigma_17(n): sum of 17th powers of divisors of n. Sequence IDs: :a013965 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013965) |&gt; Sequence.take!(10) [1, 131073, 129140164, 17180000257, 762939453126, 16926788715972, 232630513987208, 2251816993685505, 16677181828806733, 100000762939584198]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013966/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013966/1","type":"function","doc":"OEIS Sequence A013966 - sum of 18th powers of divisors of n, simga-18(n), 𝝈18(n). From OEIS A013966: sigma_18(n): sum of 18th powers of divisors of n. Sequence IDs: :a013966 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013966) |&gt; Sequence.take!(10) [1, 262145, 387420490, 68719738881, 3814697265626, 101560344351050, 1628413597910450, 18014467229220865, 150094635684419611, 1000003814697527770]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013967/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013967/1","type":"function","doc":"OEIS Sequence A013967 - sum of 19th powers of divisors of n, simga-19(n), 𝝈19(n). From OEIS A013967: sigma_19(n): sum of 19th powers of divisors of n. Sequence IDs: :a013967 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013967) |&gt; Sequence.take!(10) [1, 524289, 1162261468, 274878431233, 19073486328126, 609360902796252, 11398895185373144, 144115462954287105, 1350851718835253557, 10000019073486852414]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#create_sequence_a013968/1","title":"Chunky.Sequence.OEIS.Sigma.create_sequence_a013968/1","type":"function","doc":"OEIS Sequence A013968 - sum of 20th powers of divisors of n, simga-20(n), 𝝈20(n). From OEIS A013968: sigma_20(n): sum of 20th powers of divisors of n. Sequence IDs: :a013968 Finite: False Offset: 1 Example iex&gt; Sequence.create(Sequence.OEIS.Sigma, :a013968) |&gt; Sequence.take!(10) [1, 1048577, 3486784402, 1099512676353, 95367431640626, 3656161927895954, 79792266297612002, 1152922604119523329, 12157665462543713203, 100000095367432689202]"},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a001158/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a001158/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a001159/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a001159/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a001160/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a001160/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a002093/3","title":"Chunky.Sequence.OEIS.Sigma.seq_a002093/3","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a003601/2","title":"Chunky.Sequence.OEIS.Sigma.seq_a003601/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013954/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013954/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013955/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013955/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013956/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013956/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013957/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013957/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013958/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013958/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013959/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013959/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013960/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013960/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013961/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013961/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013962/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013962/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013963/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013963/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013964/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013964/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013965/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013965/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013966/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013966/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013967/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013967/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Sigma.html#seq_a013968/1","title":"Chunky.Sequence.OEIS.Sigma.seq_a013968/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Util.html","title":"Chunky.Sequence.OEIS.Util","type":"module","doc":"Utilities for developing sequences."},{"ref":"Chunky.Sequence.OEIS.Util.html#crawl_keywords/1","title":"Chunky.Sequence.OEIS.Util.crawl_keywords/1","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Util.html#generate_list_sequences/2","title":"Chunky.Sequence.OEIS.Util.generate_list_sequences/2","type":"function","doc":""},{"ref":"Chunky.Sequence.OEIS.Util.html#generate_sequence_stub/2","title":"Chunky.Sequence.OEIS.Util.generate_sequence_stub/2","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html","title":"Chunky.Sequence.Test","type":"module","doc":"Test sequences with variations on sequence constructions. Test Conditions Verbose Iterators :whole_numbers - infinite iterator Simple Functions :doubler - infinite iterator, double index :last_two - add last two values, :last_three - add last three values, prep with specific fill value attribute :cycle - Cycle data from prepped data attribute Static Lists :empty - empty list :small - 5 values :medium - 10 values :large - 50 values"},{"ref":"Chunky.Sequence.Test.html#create_sequence_cycle/1","title":"Chunky.Sequence.Test.create_sequence_cycle/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_doubler/1","title":"Chunky.Sequence.Test.create_sequence_doubler/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_last_three/1","title":"Chunky.Sequence.Test.create_sequence_last_three/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_last_two/1","title":"Chunky.Sequence.Test.create_sequence_last_two/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_list_empty/1","title":"Chunky.Sequence.Test.create_sequence_list_empty/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_list_large/1","title":"Chunky.Sequence.Test.create_sequence_list_large/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_list_medium/1","title":"Chunky.Sequence.Test.create_sequence_list_medium/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_list_small/1","title":"Chunky.Sequence.Test.create_sequence_list_small/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#create_sequence_whole_numbers/1","title":"Chunky.Sequence.Test.create_sequence_whole_numbers/1","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#seq_cycle/2","title":"Chunky.Sequence.Test.seq_cycle/2","type":"function","doc":""},{"ref":"Chunky.Sequence.Test.html#seq_last_three/4","title":"Chunky.Sequence.Test.seq_last_three/4","type":"function","doc":""},{"ref":"readme.html","title":"Chunky","type":"extras","doc":"Chunky Fractions, Sequences, 2D Grids, and Enumeration manipulations in Elixir. iex&gt; Chunky.permutations(&quot;😀🤷🏽‍♀️⭐️&quot;) [ &quot;😀🤷🏽‍♀️⭐️&quot;, &quot;😀⭐️🤷🏽‍♀️&quot;, &quot;🤷🏽‍♀️😀⭐️&quot;, &quot;🤷🏽‍♀️⭐️😀&quot;, &quot;⭐️😀🤷🏽‍♀️&quot;, &quot;⭐️🤷🏽‍♀️😀&quot; ] iex&gt; Chunky.Math.is_prime?(30762542250301270692051460539586166927291732754961) true iex&gt; Chunky.combinations(1..4, 3) [[1, 2, 3], [1, 2, 4], [1, 3, 4], [2, 3, 4]] iex&gt; Chunky.Sequence.create(Chunky.Sequence.OEIS, :a000045) |&gt; Chunky.Sequence.take!(10) [0, 1, 1, 2, 3, 5, 8, 13, 21, 34] iex&gt; Chunky.Fraction.power(Chunky.Fraction.new(7, 32), Chunky.Fraction.new(30, 5)) %Chunky.Fraction{num: 117649, den: 1073741824} iex&gt; Chunky.Fraction.power(Chunky.Fraction.new(7, 32), Chunky.Fraction.new(30, 5)) |&gt; IO.puts() 117649/1073741824 iex&gt; Chunky.Math.prime_factors(3217644767340672907899084554130) [1, 2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79]"},{"ref":"readme.html#installation","title":"Chunky - Installation","type":"extras","doc":"Install by adding chunky to your list of dependencies in mix.exs: def deps do [ {:chunky, &quot;~&gt; 0.11.0&quot;} ] end Chunky documentation can be found on Hexdocs at https://hexdocs.pm/chunky."},{"ref":"readme.html#documentation","title":"Chunky - Documentation","type":"extras","doc":"Fractions Math Sequences Grids Combinitorics"}]